package com.meas.system.domain;

import java.math.BigDecimal;

import com.meas.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.meas.common.annotation.Excel;

/**
 * 光谱辐射-辐射亮度对象 meas_spectral_radiation_radiance
 *
 * @author Allen
 * @date 2025-07-08
 */
public class MeasSpectralRadiationRadiance extends BaseEntity
        {
private static final long serialVersionUID = 1L;

        /** 编号 */
        private Long id;

        /** 测量批次id */
        private Long measurementBatchId;

        /** 型号 */
                @Excel(name = "型号")
        private String model;

        /** 镜头视场角 */
                @Excel(name = "镜头视场角")
        private BigDecimal lensFView;

        /** 光阑 */
                @Excel(name = "光阑")
        private double gain;

        /** 标定温度 */
                @Excel(name = "标定温度")
        private String calTemp;

        /** 标定曲线（3~5μm） */
                @Excel(name = "标定曲线", readConverterExp = "3=~5μm")
        private String calCurve;

        /** 标定曲线（8~14μm） */
                @Excel(name = "标定曲线", readConverterExp = "8=~14μm")
        private String calCurve2;

        public void setId(Long id) {
            this.id = id;
        }

        public Long getId() {
            return id;
        }
        public void setMeasurementBatchId(Long measurementBatchId) {
            this.measurementBatchId = measurementBatchId;
        }

        public Long getMeasurementBatchId() {
            return measurementBatchId;
        }
        public void setModel(String model) {
            this.model = model;
        }

        public String getModel() {
            return model;
        }
        public void setLensFView(BigDecimal lensFView) {
            this.lensFView = lensFView;
        }

        public BigDecimal getLensFView() {
            return lensFView;
        }
        public void setGain(double gain) {
            this.gain = gain;
        }

        public double getGain() {
            return gain;
        }
        public void setCalTemp(String calTemp) {
            this.calTemp = calTemp;
        }

        public String getCalTemp() {
            return calTemp;
        }
        public void setCalCurve(String calCurve) {
            this.calCurve = calCurve;
        }

        public String getCalCurve() {
            return calCurve;
        }
        public void setCalCurve2(String calCurve2) {
            this.calCurve2 = calCurve2;
        }

        public String getCalCurve2() {
            return calCurve2;
        }

@Override
public String toString() {
    return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
        .append("id", getId())
        .append("measurementBatchId", getMeasurementBatchId())
        .append("model", getModel())
        .append("lensFView", getLensFView())
        .append("gain", getGain())
        .append("calTemp", getCalTemp())
        .append("calCurve", getCalCurve())
        .append("calCurve2", getCalCurve2())
        .append("createBy", getCreateBy())
        .append("createTime", getCreateTime())
        .append("updateBy", getUpdateBy())
        .append("updateTime", getUpdateTime())
            .toString();
}
}
