package com.meas.system.service;

import java.util.List;

import com.meas.system.domain .MeasSpectralRadiationRadiance;

/**
 * 光谱辐射-辐射亮度Service接口
 *
 * @author Allen
 * @date 2025-07-08
 */
public interface IMeasSpectralRadiationRadianceService {
    /**
     * 查询光谱辐射-辐射亮度
     *
     * @param id 光谱辐射-辐射亮度主键
     * @return 光谱辐射-辐射亮度
     */
    public MeasSpectralRadiationRadiance selectMeasSpectralRadiationRadianceById(Long id);

    /**
     * 查询光谱辐射-辐射亮度列表
     *
     * @param measSpectralRadiationRadiance 光谱辐射-辐射亮度
     * @return 光谱辐射-辐射亮度集合
     */
    public List<MeasSpectralRadiationRadiance> selectMeasSpectralRadiationRadianceList(MeasSpectralRadiationRadiance measSpectralRadiationRadiance);

    /**
     * 新增光谱辐射-辐射亮度
     *
     * @param measSpectralRadiationRadiance 光谱辐射-辐射亮度
     * @return 结果
     */
    public int insertMeasSpectralRadiationRadiance(MeasSpectralRadiationRadiance measSpectralRadiationRadiance);

    /**
     * 修改光谱辐射-辐射亮度
     *
     * @param measSpectralRadiationRadiance 光谱辐射-辐射亮度
     * @return 结果
     */
    public int updateMeasSpectralRadiationRadiance(MeasSpectralRadiationRadiance measSpectralRadiationRadiance);

    /**
     * 批量删除光谱辐射-辐射亮度
     *
     * @param ids 需要删除的光谱辐射-辐射亮度主键集合
     * @return 结果
     */
    public int deleteMeasSpectralRadiationRadianceByIds(Long[] ids);

    /**
     * 删除光谱辐射-辐射亮度信息
     *
     * @param id 光谱辐射-辐射亮度主键
     * @return 结果
     */
    public int deleteMeasSpectralRadiationRadianceById(Long id);

    MeasSpectralRadiationRadiance getInfoByCondition(MeasSpectralRadiationRadiance measSpectralRadiationRadiance);
}
