import request from '@/utils/request'

// 查询光谱辐射-辐射亮度列表
export function listRadiance(query) {
    return request({
        url: '/meas/radiance/list',
        method: 'get',
        params: query
    })
}

// 查询光谱辐射-辐射亮度详细
export function getRadiance(id) {
    return request({
        url: '/meas/radiance/' + id,
        method: 'get'
    })
}

// 新增光谱辐射-辐射亮度
export function addRadiance(data) {
    return request({
        url: '/meas/radiance',
        method: 'post',
        data: data
    })
}

// 修改光谱辐射-辐射亮度
export function updateRadiance(data) {
    return request({
        url: '/meas/radiance',
        method: 'put',
        data: data
    })
}

// 删除光谱辐射-辐射亮度
export function delRadiance(id) {
    return request({
        url: '/meas/radiance/' + id,
        method: 'delete'
    })
}

// 根据条件获取光谱辐射-辐射亮度
export function getRadianceByCondition(data) {
    return request({
        url: '/meas/radiance/getInfoByCondition',
        method: 'post',
        data: data
    })
}


