import request from "@/utils/request";

// 查询状态列表
export function listStatus(query) {
  return request({
    url: "/meas/status/list",
    method: "get",
    params: query,
  });
}

// 查询状态Option
export function statusOption() {
  return request({
    url: "/meas/status/getOption",
    method: "get",
  });
}

// 查询状态详细
export function getStatus(id) {
  return request({
    url: "/meas/status/" + id,
    method: "get",
  });
}

// 新增状态
export function addStatus(data) {
  return request({
    url: "/meas/status",
    method: "post",
    data: data,
  });
}

// 修改状态
export function updateStatus(data) {
  return request({
    url: "/meas/status",
    method: "put",
    data: data,
  });
}

// 删除状态
export function delStatus(id) {
  return request({
    url: "/meas/status/" + id,
    method: "delete",
  });
}
