-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- 主机： localhost
-- 生成日期： 2024-11-26 16:16:31
-- 服务器版本： 5.7.40-log
-- PHP 版本： 8.0.26
SET FOREIGN_KEY_CHECKS = 0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;


-- --------------------------------------------------------

--
-- 表的结构 `meas_batch`
--

DROP TABLE IF EXISTS `meas_batch`;
CREATE TABLE `meas_batch` (
  `id` bigint(20) NOT NULL COMMENT '编号',
  `engine_id` int(11) NOT NULL COMMENT '发动机型号ID',
  `measurement_batch` varchar(255) NOT NULL COMMENT '测量批次',
  `create_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='测量批次表' ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- 表的结构 `meas_data_results`
--

DROP TABLE IF EXISTS `meas_data_results`;
CREATE TABLE `meas_data_results` (
  `id` bigint(20) NOT NULL COMMENT '编号',
  `measurement_batch_id` bigint(20) NOT NULL COMMENT '测量批次id',
  `spec_irr_1` varchar(255) DEFAULT NULL COMMENT '光谱辐射强度3~5μm',
  `spec_irr_2` varchar(255) DEFAULT NULL COMMENT '光谱辐射强度8~14μm',
  `spec_band_irr_1` decimal(8,2) DEFAULT NULL COMMENT '波段辐射强度3~5μm',
  `spec_band_irr_2` decimal(8,2) DEFAULT NULL COMMENT '波段辐射强度8~14μm',
  `create_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='数据结果表' ROW_FORMAT=DYNAMIC;


-- --------------------------------------------------------

--
-- 表的结构 `meas_env_data`
--

DROP TABLE IF EXISTS `meas_env_data`;
CREATE TABLE `meas_env_data` (
  `id` bigint(20) NOT NULL COMMENT '编号',
  `measurement_batch_id` int(11) NOT NULL COMMENT '测量批次id',
  `engine_status_id` int(11) DEFAULT NULL COMMENT '发动机状态id',
  `angle_id` int(11) DEFAULT NULL COMMENT '角度id',
  `engine_status` varchar(20) NOT NULL COMMENT '发动机状态',
  `angle` varchar(255) DEFAULT NULL COMMENT '角度',
  `turbine_post_temp` varchar(255) DEFAULT NULL COMMENT '涡轮后温度',
  `test_distance` decimal(8,2) DEFAULT NULL COMMENT '测试距离',
  `time` datetime NOT NULL COMMENT '时间',
  `location` varchar(50) DEFAULT NULL COMMENT '地点',
  `atmos_press` decimal(8,2) DEFAULT NULL COMMENT '大气压',
  `temperature` decimal(8,2) DEFAULT NULL COMMENT '温度',
  `wind_speed` decimal(8,2) DEFAULT NULL COMMENT '风速',
  `humidity` decimal(8,2) DEFAULT NULL COMMENT '湿度',
  `concentration` decimal(8,2) DEFAULT NULL COMMENT '浓度',
  `visibility` decimal(8,2) DEFAULT NULL COMMENT '能见度',
  `create_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='测量环境数据表' ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- 表的结构 `meas_spectral_radiation`
--

DROP TABLE IF EXISTS `meas_spectral_radiation`;
CREATE TABLE `meas_spectral_radiation` (
  `id` bigint(20) NOT NULL COMMENT '编号',
  `measurement_batch_id` int(11) NOT NULL COMMENT '测量批次id',
  `model` varchar(50) NOT NULL COMMENT '型号',
  `lens_f_view` decimal(8,2) NOT NULL COMMENT '镜头视场角',
  `gain` int(11) NOT NULL COMMENT '增益',
  `background_data` varchar(255) DEFAULT NULL COMMENT '背景数据',
  `cal_temp` varchar(4000) DEFAULT NULL COMMENT '标定温度',
  `cal_curve` varchar(255) DEFAULT NULL COMMENT '标定曲线',
  `raw_data` varchar(255) DEFAULT NULL COMMENT '原始数据',
  `radiance_1` varchar(255) DEFAULT NULL COMMENT '辐射亮度（3~5μm）',
  `radiance_2` varchar(255) DEFAULT NULL COMMENT '辐射亮度（8~14μm）',
  `cal_temp_ek` varchar(255) DEFAULT NULL COMMENT '标定温度',
  `raw_target_1` text COMMENT '原始目标(3~5μm)',
  `raw_target_2` text COMMENT '原始目标(8~14μm)',
  `raw_background_1` text COMMENT '原始背景(3~5μm)',
  `raw_background_2` text COMMENT '原始背景(8~14μm)',
  `tackle_target_1` varchar(255) DEFAULT NULL COMMENT '处理后目标(3~5μm)',
  `tackle_target_2` varchar(255) DEFAULT NULL COMMENT '处理后目标(8~14μm)',
  `tackle_background_1` varchar(255) DEFAULT NULL COMMENT '处理后背景(3~5μm)',
  `tackle_background_2` varchar(255) DEFAULT NULL COMMENT '处理后背景(8~14μm)',
  `create_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='光谱辐射表' ROW_FORMAT=DYNAMIC;


-- --------------------------------------------------------

--
-- 表的结构 `meas_thermal_imager_test_data`
--

DROP TABLE IF EXISTS `meas_thermal_imager_test_data`;
CREATE TABLE `meas_thermal_imager_test_data` (
  `id` int(20) NOT NULL COMMENT '编号',
  `measurement_batch_id` int(20) DEFAULT NULL COMMENT '测量批次id',
  `model` varchar(50) DEFAULT NULL COMMENT '型号',
  `lens_f_view` varchar(255) DEFAULT NULL COMMENT '镜头视场角',
  `filter_no` varchar(255) DEFAULT NULL COMMENT '滤镜编号',
  `fps` varchar(255) DEFAULT NULL COMMENT '帧率',
  `spectral_band` varchar(255) DEFAULT NULL COMMENT '波段',
  `integration_time` int(11) DEFAULT NULL COMMENT '积分时间',
  `temp_cal` text COMMENT '温度标定',
  `radiance` varchar(255) DEFAULT NULL COMMENT '辐射亮度',
  `rad_illumination` varchar(255) DEFAULT NULL COMMENT '辐射照度',
  `rad_temp` varchar(255) DEFAULT NULL COMMENT '辐射温度',
  `create_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='热像仪测试数据表' ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- 表的结构 `meas_transmission_rate`
--

DROP TABLE IF EXISTS `meas_transmission_rate`;
CREATE TABLE `meas_transmission_rate` (
  `id` bigint(20) NOT NULL COMMENT '编号',
  `measurement_batch_id` bigint(20) NOT NULL COMMENT '测量批次id',
  `raw_data` varchar(255) DEFAULT NULL COMMENT '原始数据',
  `curve_1` varchar(255) DEFAULT NULL COMMENT '透过率曲线3~5μm',
  `curve_2` varchar(255) DEFAULT NULL COMMENT '透过率曲线8~14μm',
  `create_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='透过率表' ROW_FORMAT=DYNAMIC;


--
-- 表的索引 `meas_data_results`
--
ALTER TABLE `meas_data_results`
  ADD PRIMARY KEY (`id`) USING BTREE;

--
-- 表的索引 `meas_env_data`
--
ALTER TABLE `meas_env_data`
  ADD PRIMARY KEY (`id`) USING BTREE;

--
-- 表的索引 `meas_spectral_radiation`
--
ALTER TABLE `meas_spectral_radiation`
  ADD PRIMARY KEY (`id`) USING BTREE;

--
-- 表的索引 `meas_thermal_imager_test_data`
--
ALTER TABLE `meas_thermal_imager_test_data`
  ADD PRIMARY KEY (`id`) USING BTREE;

--
-- 表的索引 `meas_transmission_rate`
--
ALTER TABLE `meas_transmission_rate`
  ADD PRIMARY KEY (`id`) USING BTREE;


--
-- 使用表AUTO_INCREMENT `meas_batch`
--
ALTER TABLE `meas_batch`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号', AUTO_INCREMENT=1;

--
-- 使用表AUTO_INCREMENT `meas_data_results`
--
ALTER TABLE `meas_data_results`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号', AUTO_INCREMENT=1;

--
-- 使用表AUTO_INCREMENT `meas_env_data`
--
ALTER TABLE `meas_env_data`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号', AUTO_INCREMENT=1;

--
-- 使用表AUTO_INCREMENT `meas_spectral_radiation`
--
ALTER TABLE `meas_spectral_radiation`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号', AUTO_INCREMENT=1;


--
-- 使用表AUTO_INCREMENT `meas_thermal_imager_test_data`
--
ALTER TABLE `meas_thermal_imager_test_data`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号', AUTO_INCREMENT=1;

--
-- 使用表AUTO_INCREMENT `meas_transmission_rate`
--
ALTER TABLE `meas_transmission_rate`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号', AUTO_INCREMENT=1;


/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

CREATE INDEX idx_results_batch_id ON meas_data_results (measurement_batch_id);
CREATE INDEX idx_env_data_batch_id ON meas_env_data (measurement_batch_id);
CREATE INDEX idx_sr_batch_id ON meas_spectral_radiation (measurement_batch_id);
CREATE INDEX idx_titd_batch_id ON meas_thermal_imager_test_data (measurement_batch_id);
CREATE INDEX idx_tr_batch_id ON meas_transmission_rate (measurement_batch_id);


SET FOREIGN_KEY_CHECKS = 1;
