ALTER TABLE `meas`.`meas_spectral_radiation`
MODIFY COLUMN `cal_curve` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '标定曲线（3~5μm）' AFTER `cal_temp`,
ADD COLUMN `cal_curve2` varchar(255) NULL COMMENT '标定曲线（8~14μm）' AFTER `cal_curve`;

ALTER TABLE `meas`.`meas_spectral_radiation`
ADD COLUMN `radiance_id` int(11) NULL COMMENT '辐射亮度标定id' AFTER `background_data`;

DROP TABLE IF EXISTS `meas_spectral_radiation_radiance`;
CREATE TABLE `meas_spectral_radiation_radiance` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `measurement_batch_id` int(11) NOT NULL COMMENT '测量批次id',
  `model` varchar(50) NOT NULL COMMENT '型号',
  `lens_f_view` decimal(8,2) NOT NULL COMMENT '镜头视场角',
  `gain` decimal(7,1) NOT NULL COMMENT '光阑',
  `cal_temp` varchar(4000) DEFAULT NULL COMMENT '标定温度',
  `cal_curve` varchar(255) DEFAULT NULL COMMENT '标定曲线（3~5μm）',
  `cal_curve2` varchar(255) DEFAULT NULL COMMENT '标定曲线（8~14μm）',
  `create_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='光谱辐射-辐射亮度表' ROW_FORMAT=DYNAMIC;