/*
 Navicat Premium Data Transfer

 Source Server         : mysql5.7
 Source Server Type    : MySQL
 Source Server Version : 50736
 Source Host           : localhost:3306
 Source Schema         : meas

 Target Server Type    : MySQL
 Target Server Version : 50736
 File Encoding         : 65001

 Date: 29/10/2024 15:36:18
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for QRTZ_BLOB_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_BLOB_TRIGGERS`;
CREATE TABLE `QRTZ_BLOB_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `QRTZ_TRIGGERS` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Blob类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_BLOB_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_CALENDARS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_CALENDARS`;
CREATE TABLE `QRTZ_CALENDARS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '日历信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_CALENDARS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_CRON_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_CRON_TRIGGERS`;
CREATE TABLE `QRTZ_CRON_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `QRTZ_TRIGGERS` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Cron类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_CRON_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_FIRED_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_FIRED_TRIGGERS`;
CREATE TABLE `QRTZ_FIRED_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint(13) NOT NULL COMMENT '触发的时间',
  `sched_time` bigint(13) NOT NULL COMMENT '定时器制定的时间',
  `priority` int(11) NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '已触发的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_FIRED_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_JOB_DETAILS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_JOB_DETAILS`;
CREATE TABLE `QRTZ_JOB_DETAILS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '任务详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_JOB_DETAILS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_LOCKS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_LOCKS`;
CREATE TABLE `QRTZ_LOCKS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '存储的悲观锁信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_LOCKS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_PAUSED_TRIGGER_GRPS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_PAUSED_TRIGGER_GRPS`;
CREATE TABLE `QRTZ_PAUSED_TRIGGER_GRPS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '暂停的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_PAUSED_TRIGGER_GRPS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_SCHEDULER_STATE
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_SCHEDULER_STATE`;
CREATE TABLE `QRTZ_SCHEDULER_STATE`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint(13) NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint(13) NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '调度器状态表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_SCHEDULER_STATE
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_SIMPLE_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_SIMPLE_TRIGGERS`;
CREATE TABLE `QRTZ_SIMPLE_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint(7) NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint(12) NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint(10) NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `QRTZ_TRIGGERS` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '简单触发器的信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_SIMPLE_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_SIMPROP_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_SIMPROP_TRIGGERS`;
CREATE TABLE `QRTZ_SIMPROP_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `QRTZ_TRIGGERS` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '同步机制的行锁表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_SIMPROP_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_TRIGGERS`;
CREATE TABLE `QRTZ_TRIGGERS`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint(13) NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint(13) NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int(11) NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint(13) NOT NULL COMMENT '开始时间',
  `end_time` bigint(13) NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint(2) NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name`, `job_name`, `job_group`) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `QRTZ_JOB_DETAILS` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '触发器详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of QRTZ_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `tpl_web_type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '前端模板类型（element-ui模版 element-plus模版）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (1, 'meas_batch', '测量批次表', NULL, NULL, 'MeasBatch', 'crud', 'element-ui', 'com.ruoyi.system', 'meas', 'measBatch', '测量批次', 'wgk', '0', '/', '{\"parentMenuId\":\"2000\"}', 'admin', '2024-06-13 03:41:03', '', '2024-06-13 05:58:42', NULL);
INSERT INTO `gen_table` VALUES (2, 'meas_data_results', '数据结果表', NULL, NULL, 'MeasDataResults', 'crud', 'element-ui', 'com.ruoyi.system', 'meas', 'dataResults', '数据结果', 'wgk', '0', '/', '{\"parentMenuId\":2000}', 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:07:14', NULL);
INSERT INTO `gen_table` VALUES (3, 'meas_engine_model', '发动机型号表', NULL, NULL, 'MeasEngineModel', 'crud', 'element-ui', 'com.ruoyi.meas', 'meas', 'engineModel', '发动机型号', 'km', '0', '/', '{\"parentMenuId\":\"2000\"}', 'admin', '2024-06-13 03:41:03', '', '2024-06-13 03:45:57', NULL);
INSERT INTO `gen_table` VALUES (5, 'meas_spectral_radiation', '光谱辐射表', NULL, NULL, 'MeasSpectralRadiation', 'crud', 'element-ui', 'com.ruoyi.system', 'meas', 'radiation', '光谱辐射', 'wgk', '0', '/', '{\"parentMenuId\":2000}', 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21', NULL);
INSERT INTO `gen_table` VALUES (6, 'meas_thermal_imager_test_data', '热像仪测试数据表', NULL, NULL, 'MeasThermalImagerTestData', 'crud', 'element-ui', 'com.ruoyi.system', 'meas', 'thermalImagerTesDdata', '热像仪测试数据', 'wgk', '0', '/', '{\"parentMenuId\":2000}', 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59', NULL);
INSERT INTO `gen_table` VALUES (7, 'meas_transmission_rate', '透过率表', NULL, NULL, 'MeasTransmissionRate', 'crud', 'element-ui', 'com.ruoyi.system', 'meas', 'transmissionRate', '透过率', 'wgk', '0', '/', '{\"parentMenuId\":2000}', 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:13:01', NULL);
INSERT INTO `gen_table` VALUES (8, 'meas_env_data', '测量环境数据表', NULL, NULL, 'MeasEnvData', 'crud', 'element-ui', 'com.ruoyi.system', 'meas', 'envData', '测量环境数据', 'wgk', '0', '/', '{\"parentMenuId\":2000}', 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:52', NULL);
INSERT INTO `gen_table` VALUES (15, 'meas_angle', '角度表', NULL, NULL, 'MeasAngle', 'crud', 'element-ui', 'com.meas.system', 'system', 'angle', '角度', 'Allen', '0', '/', '{}', 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:13:27', NULL);
INSERT INTO `gen_table` VALUES (16, 'meas_status', '状态表', NULL, NULL, 'MeasStatus', 'crud', 'element-ui', 'com.meas.system', 'system', 'status', '状态', 'Allen', '0', '/', '{}', 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:31:19', NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` bigint(20) NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 143 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (1, 1, 'id', '编号', 'int(11)', 'Long', 'id', '1', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 05:58:42');
INSERT INTO `gen_table_column` VALUES (2, 1, 'engine_id', '发动机型号ID', 'int(11)', 'Long', 'engineId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 05:58:42');
INSERT INTO `gen_table_column` VALUES (3, 1, 'measurement_batch', '测量批次', 'varchar(255)', 'String', 'measurementBatch', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 05:58:42');
INSERT INTO `gen_table_column` VALUES (4, 1, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '0', NULL, '1', NULL, 'EQ', 'input', '', 4, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 05:58:42');
INSERT INTO `gen_table_column` VALUES (5, 1, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'datetime', '', 5, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 05:58:42');
INSERT INTO `gen_table_column` VALUES (6, 1, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '0', '0', NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 05:58:42');
INSERT INTO `gen_table_column` VALUES (7, 1, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '0', '0', NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 05:58:42');
INSERT INTO `gen_table_column` VALUES (8, 2, 'id', '编号', 'int(11)', 'Long', 'id', '1', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:07:14');
INSERT INTO `gen_table_column` VALUES (9, 2, 'measurement_batch_id', '测量批次id', 'varchar(255)', 'String', 'measurementBatchId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:07:14');
INSERT INTO `gen_table_column` VALUES (10, 2, 'spec_irr_1', '光谱辐射强度3~5μm', 'varchar(255)', 'String', 'specIrr1', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 3, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:07:14');
INSERT INTO `gen_table_column` VALUES (11, 2, 'spec_irr_2', '光谱辐射强度8~14μm', 'varchar(255)', 'String', 'specIrr2', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 4, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:07:14');
INSERT INTO `gen_table_column` VALUES (12, 2, 'spec_band_irr_1', '波段辐射强度3~5μm', 'decimal(8,2)', 'BigDecimal', 'specBandIrr1', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:07:14');
INSERT INTO `gen_table_column` VALUES (13, 2, 'spec_band_irr_2', '波段辐射强度8~14μm', 'decimal(8,2)', 'BigDecimal', 'specBandIrr2', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:07:14');
INSERT INTO `gen_table_column` VALUES (14, 2, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '0', NULL, '1', NULL, 'EQ', 'input', '', 7, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:07:14');
INSERT INTO `gen_table_column` VALUES (15, 2, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:07:14');
INSERT INTO `gen_table_column` VALUES (16, 2, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '0', '0', '1', NULL, 'EQ', 'input', '', 9, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:07:14');
INSERT INTO `gen_table_column` VALUES (17, 2, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '0', '0', NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:07:14');
INSERT INTO `gen_table_column` VALUES (18, 3, 'id', '编号', 'int(11)', 'Long', 'id', '1', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 03:45:57');
INSERT INTO `gen_table_column` VALUES (19, 3, 'model', '发动机型号', 'varchar(50)', 'String', 'model', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 03:45:57');
INSERT INTO `gen_table_column` VALUES (20, 3, 'geometry_files', '几何模型文件', 'varchar(255)', 'String', 'geometryFiles', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 3, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 03:45:57');
INSERT INTO `gen_table_column` VALUES (21, 3, 'geometry_image', '几何模型图片', 'varchar(255)', 'String', 'geometryImage', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'imageUpload', '', 4, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 03:45:57');
INSERT INTO `gen_table_column` VALUES (22, 3, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '0', NULL, '1', NULL, 'EQ', 'input', '', 5, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 03:45:57');
INSERT INTO `gen_table_column` VALUES (23, 3, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 03:45:57');
INSERT INTO `gen_table_column` VALUES (24, 3, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '0', '0', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 03:45:57');
INSERT INTO `gen_table_column` VALUES (25, 3, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '0', '0', '1', NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 03:45:57');
INSERT INTO `gen_table_column` VALUES (43, 5, 'id', '编号', 'int(11)', 'Long', 'id', '1', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (44, 5, 'measurement_batch_id', '测量批次id', 'int(11)', 'Long', 'measurementBatchId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (45, 5, 'model', '型号', 'varchar(50)', 'String', 'model', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (46, 5, 'lens_f_view', '镜头视场角', 'decimal(8,2)', 'BigDecimal', 'lensFView', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (47, 5, 'gain', '增益', 'int(11)', 'Long', 'gain', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (48, 5, 'background_data', '背景数据', 'varchar(255)', 'String', 'backgroundData', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 6, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (49, 5, 'cal_temp', '标定温度', 'int(11)', 'Long', 'calTemp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (50, 5, 'cal_curve', '标定曲线', 'varchar(255)', 'String', 'calCurve', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 8, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (51, 5, 'raw_data', '原始数据', 'varchar(255)', 'String', 'rawData', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 9, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (52, 5, 'radiance_1', '辐射亮度（3~5μm）', 'varchar(255)', 'String', 'radiance1', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 10, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (53, 5, 'radiance_2', '辐射亮度（8~14μm）', 'varchar(255)', 'String', 'radiance2', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 11, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (54, 5, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '0', NULL, '1', NULL, 'EQ', 'input', '', 12, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (55, 5, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (56, 5, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '0', '0', NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (57, 5, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '0', '0', '1', NULL, 'EQ', 'datetime', '', 15, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:09:21');
INSERT INTO `gen_table_column` VALUES (58, 6, 'id', '编号', 'int(11)', 'Long', 'id', '1', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (59, 6, 'measurement_batch_id', '测量批次id', 'int(11)', 'Long', 'measurementBatchId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (60, 6, 'model', '型号', 'varchar(50)', 'String', 'model', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (61, 6, 'lens_f_view', '镜头视场角', 'varchar(255)', 'String', 'lensFView', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 4, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (62, 6, 'filter_no', '滤镜编号', 'varchar(255)', 'String', 'filterNo', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (63, 6, 'fps', '帧率', 'varchar(255)', 'String', 'fps', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 6, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (64, 6, 'spectral_band', '波段', 'varchar(255)', 'String', 'spectralBand', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 7, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (65, 6, 'integration_time', '积分时间', 'int(11)', 'Long', 'integrationTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (66, 6, 'temp_cal', '温度标定', 'varchar(255)', 'String', 'tempCal', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 9, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (67, 6, 'radiance', '辐射亮度', 'varchar(255)', 'String', 'radiance', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 10, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (68, 6, 'rad_illumination', '辐射照度', 'varchar(255)', 'String', 'radIllumination', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 11, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (69, 6, 'rad_temp', '辐射温度', 'varchar(255)', 'String', 'radTemp', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 12, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (70, 6, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '0', NULL, '1', NULL, 'EQ', 'input', '', 13, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (71, 6, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'datetime', '', 14, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (72, 6, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '0', '0', NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (73, 6, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '0', '0', '1', NULL, 'EQ', 'datetime', '', 16, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:11:59');
INSERT INTO `gen_table_column` VALUES (74, 7, 'id', '编号', 'int(11)', 'Long', 'id', '1', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:13:01');
INSERT INTO `gen_table_column` VALUES (75, 7, 'measurement_batch_id', '测量批次id', 'int(11)', 'Long', 'measurementBatchId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:13:01');
INSERT INTO `gen_table_column` VALUES (76, 7, 'raw_data', '原始数据', 'varchar(255)', 'String', 'rawData', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 3, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:13:01');
INSERT INTO `gen_table_column` VALUES (77, 7, 'curve_1', '透过率曲线3~5μm', 'varchar(255)', 'String', 'curve1', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 4, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:13:01');
INSERT INTO `gen_table_column` VALUES (78, 7, 'curve_2', '透过率曲线8~14μm', 'varchar(255)', 'String', 'curve2', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 5, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:13:01');
INSERT INTO `gen_table_column` VALUES (79, 7, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '0', NULL, '1', NULL, 'EQ', 'input', '', 6, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:13:01');
INSERT INTO `gen_table_column` VALUES (80, 7, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:13:01');
INSERT INTO `gen_table_column` VALUES (81, 7, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '0', '0', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:13:01');
INSERT INTO `gen_table_column` VALUES (82, 7, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '0', '0', '1', NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-06-13 03:41:03', '', '2024-06-13 06:13:01');
INSERT INTO `gen_table_column` VALUES (83, 8, 'id', '编号', 'int(11)', 'Long', 'id', '1', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (84, 8, 'measurement_batch_id', '测量批次id', 'int(11)', 'Long', 'measurementBatchId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (85, 8, 'engine_status', '发动机状态', 'varchar(20)', 'String', 'engineStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 3, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (86, 8, 'angle', '角度', 'varchar(255)', 'String', 'angle', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (87, 8, 'turbine_post_temp', '涡轮后温度', 'decimal(8,2)', 'BigDecimal', 'turbinePostTemp', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'fileUpload', '', 5, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (88, 8, 'test_distance', '测试距离', 'decimal(8,2)', 'BigDecimal', 'testDistance', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (89, 8, 'time', '时间', 'varchar(255)', 'Date', 'time', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'datetime', '', 7, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (90, 8, 'location', '地点', 'varchar(50)', 'String', 'location', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (91, 8, 'atmos_press', '大气压', 'decimal(8,2)', 'BigDecimal', 'atmosPress', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (92, 8, 'temperature', '温度', 'decimal(8,2)', 'BigDecimal', 'temperature', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (93, 8, 'wind_speed', '风速', 'decimal(8,2)', 'BigDecimal', 'windSpeed', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (94, 8, 'humidity', '湿度', 'decimal(8,2)', 'BigDecimal', 'humidity', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (95, 8, 'concentration', '浓度', 'decimal(8,2)', 'BigDecimal', 'concentration', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (96, 8, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '0', NULL, '1', NULL, 'EQ', 'input', '', 14, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (97, 8, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '0', NULL, NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (98, 8, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '0', '0', NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (99, 8, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '0', '0', '1', NULL, 'EQ', 'datetime', '', 17, 'admin', '2024-06-13 06:03:31', '', '2024-06-13 06:06:53');
INSERT INTO `gen_table_column` VALUES (130, 15, 'id', '序号', 'bigint(20)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:13:27');
INSERT INTO `gen_table_column` VALUES (131, 15, 'angle', '角度', 'int(11)', 'Long', 'angle', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:13:27');
INSERT INTO `gen_table_column` VALUES (132, 15, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:13:27');
INSERT INTO `gen_table_column` VALUES (133, 15, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:13:27');
INSERT INTO `gen_table_column` VALUES (134, 15, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:13:27');
INSERT INTO `gen_table_column` VALUES (135, 15, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:13:27');
INSERT INTO `gen_table_column` VALUES (136, 16, 'id', '序号', 'bigint(20)', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:31:19');
INSERT INTO `gen_table_column` VALUES (137, 16, 'status', '状态', 'varchar(63)', 'String', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:31:19');
INSERT INTO `gen_table_column` VALUES (138, 16, 'index', '排序', 'bigint(20)', 'Long', 'index', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:31:19');
INSERT INTO `gen_table_column` VALUES (139, 16, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 4, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:31:19');
INSERT INTO `gen_table_column` VALUES (140, 16, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 5, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:31:19');
INSERT INTO `gen_table_column` VALUES (141, 16, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:31:19');
INSERT INTO `gen_table_column` VALUES (142, 16, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-07-24 02:12:05', '', '2024-07-24 02:31:19');

-- ----------------------------
-- Table structure for meas_angle
-- ----------------------------
DROP TABLE IF EXISTS `meas_angle`;
CREATE TABLE `meas_angle`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号',
  `angle` int(11) NOT NULL COMMENT '角度',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角度表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of meas_angle
-- ----------------------------
INSERT INTO `meas_angle` VALUES (1, 1, NULL, '2024-07-24 10:43:12', NULL, NULL);
INSERT INTO `meas_angle` VALUES (2, -180, NULL, '2024-07-24 11:22:53', NULL, NULL);
INSERT INTO `meas_angle` VALUES (3, 90, NULL, '2024-07-24 11:23:00', NULL, NULL);
INSERT INTO `meas_angle` VALUES (4, -90, NULL, '2024-07-24 11:23:05', NULL, NULL);
INSERT INTO `meas_angle` VALUES (5, 2, NULL, '2024-08-23 11:08:18', NULL, NULL);

-- ----------------------------
-- Table structure for meas_batch
-- ----------------------------
DROP TABLE IF EXISTS `meas_batch`;
CREATE TABLE `meas_batch`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `engine_id` int(11) NOT NULL COMMENT '发动机型号ID',
  `measurement_batch` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '测量批次',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '测量批次表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of meas_batch
-- ----------------------------
INSERT INTO `meas_batch` VALUES (1, 1, '批次1', NULL, '2024-07-24 16:15:40', NULL, NULL);
INSERT INTO `meas_batch` VALUES (2, 1, '批次1-1', NULL, '2024-07-24 16:15:53', NULL, NULL);
INSERT INTO `meas_batch` VALUES (3, 2, '批次2-1', NULL, '2024-07-24 16:16:02', NULL, NULL);
INSERT INTO `meas_batch` VALUES (4, 2, '批次2-2', NULL, '2024-07-24 16:16:10', NULL, NULL);
INSERT INTO `meas_batch` VALUES (5, 5, '20240823105929-发动', NULL, '2024-08-23 10:59:40', NULL, NULL);
INSERT INTO `meas_batch` VALUES (6, 5, '20240823110028-发动', NULL, '2024-08-23 11:00:34', NULL, NULL);
INSERT INTO `meas_batch` VALUES (7, 6, '20240906102158-超级发动机', NULL, '2024-09-06 10:22:23', NULL, NULL);
INSERT INTO `meas_batch` VALUES (8, 6, '20240906102232-超级发动机', NULL, '2024-09-06 10:22:35', NULL, NULL);
INSERT INTO `meas_batch` VALUES (9, 7, '123-发动机A', NULL, '2024-09-09 15:23:46', NULL, NULL);
INSERT INTO `meas_batch` VALUES (10, 5, '20241029150535-发动', NULL, '2024-10-29 15:05:38', NULL, NULL);

-- ----------------------------
-- Table structure for meas_data_results
-- ----------------------------
DROP TABLE IF EXISTS `meas_data_results`;
CREATE TABLE `meas_data_results`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `measurement_batch_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '测量批次id',
  `spec_irr_1` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '光谱辐射强度3~5μm',
  `spec_irr_2` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '光谱辐射强度8~14μm',
  `spec_band_irr_1` decimal(8, 2) NULL DEFAULT NULL COMMENT '波段辐射强度3~5μm',
  `spec_band_irr_2` decimal(8, 2) NULL DEFAULT NULL COMMENT '波段辐射强度8~14μm',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '数据结果表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of meas_data_results
-- ----------------------------

-- ----------------------------
-- Table structure for meas_engine_model
-- ----------------------------
DROP TABLE IF EXISTS `meas_engine_model`;
CREATE TABLE `meas_engine_model`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `model` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '发动机型号',
  `geometry_files` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '几何模型文件',
  `geometry_image` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '几何模型图片',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '发动机型号表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of meas_engine_model
-- ----------------------------
INSERT INTO `meas_engine_model` VALUES (1, '型号xx', 'f1', 'g1', NULL, '2024-07-24 16:00:25', NULL, '2024-07-24 16:01:21');
INSERT INTO `meas_engine_model` VALUES (2, '型号yy', 'f2', 'g2', NULL, '2024-07-24 16:00:25', NULL, '2024-07-24 16:01:31');
INSERT INTO `meas_engine_model` VALUES (3, '型号zz', 'f3', 'g3', NULL, '2024-07-24 16:00:34', NULL, '2024-07-24 16:01:44');
INSERT INTO `meas_engine_model` VALUES (4, '型号333', 'f4', 'g4', NULL, '2024-07-24 16:00:53', NULL, '2024-07-24 16:01:50');
INSERT INTO `meas_engine_model` VALUES (5, '发动', '/profile/upload/2024/08/21/x_t_20240821154006A001.x_t', '/profile/upload/2024/08/21/j20_20240821154015A002.jpg', NULL, '2024-08-21 15:40:17', NULL, NULL);
INSERT INTO `meas_engine_model` VALUES (6, '超级发动机', '/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t', '/profile/upload/2024/09/06/发动机_20240906102036A002.jpg', NULL, '2024-09-06 10:20:45', NULL, NULL);
INSERT INTO `meas_engine_model` VALUES (7, '发动机A', '/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t', '/profile/upload/2024/09/09/background_20240909152231A002.jpg', NULL, '2024-09-09 15:22:36', NULL, NULL);

-- ----------------------------
-- Table structure for meas_env_data
-- ----------------------------
DROP TABLE IF EXISTS `meas_env_data`;
CREATE TABLE `meas_env_data`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `measurement_batch_id` int(11) NOT NULL COMMENT '测量批次id',
  `engine_status` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '发动机状态',
  `angle` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '角度',
  `turbine_post_temp` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '涡轮后温度',
  `test_distance` decimal(8, 2) NULL DEFAULT NULL COMMENT '测试距离',
  `time` datetime NOT NULL COMMENT '时间',
  `location` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '地点',
  `atmos_press` decimal(8, 2) NULL DEFAULT NULL COMMENT '大气压',
  `temperature` decimal(8, 2) NULL DEFAULT NULL COMMENT '温度',
  `wind_speed` decimal(8, 2) NULL DEFAULT NULL COMMENT '风速',
  `humidity` decimal(8, 2) NULL DEFAULT NULL COMMENT '湿度',
  `concentration` decimal(8, 2) NULL DEFAULT NULL COMMENT '浓度',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '测量环境数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of meas_env_data
-- ----------------------------
INSERT INTO `meas_env_data` VALUES (1, 1, '1', '1', '/profile/upload/2024/07/25/新建 文本文档_20240725112616A001.txt', NULL, '2024-07-03 00:00:00', '111', NULL, NULL, NULL, NULL, NULL, NULL, '2024-07-25 11:30:19', NULL, NULL);
INSERT INTO `meas_env_data` VALUES (2, 3, '中间', '90', NULL, 11.00, '2024-08-07 00:00:00', '11', NULL, 235.00, NULL, NULL, NULL, NULL, '2024-08-07 17:52:31', NULL, NULL);
INSERT INTO `meas_env_data` VALUES (3, 3, '中间', '90', NULL, 11.00, '2024-08-07 00:00:00', '11', NULL, 235.00, NULL, NULL, NULL, NULL, '2024-08-07 17:53:30', NULL, NULL);
INSERT INTO `meas_env_data` VALUES (4, 3, '中间', '-90', '/profile/upload/2024/08/21/11_20240821161558A005.txt', 11.00, '2024-08-07 00:00:00', '11', NULL, 235.00, NULL, NULL, NULL, NULL, '2024-08-07 17:59:40', NULL, '2024-08-21 16:28:46');
INSERT INTO `meas_env_data` VALUES (5, 6, '最最大', '2', NULL, 100.00, '2024-08-23 11:08:00', '111.1', 1.10, 230.10, 1.10, 1.20, 1.20, NULL, '2024-08-23 11:12:25', NULL, '2024-08-23 11:20:41');
INSERT INTO `meas_env_data` VALUES (6, 7, '最最大', '-180', '/profile/upload/2024/09/06/涡轮后温度_20240906102344A004.txt', 12.00, '2024-09-10 00:00:00', '西安', 1000.00, 230.11, 100.00, 99.99, 1000.00, NULL, '2024-09-06 10:25:17', NULL, '2024-09-06 11:32:02');
INSERT INTO `meas_env_data` VALUES (7, 9, '状态测试', '-180', '/profile/upload/2024/09/09/11_20240909152544A003.txt', 100.00, '2024-09-03 00:02:00', '西安xxx', 100.00, 250.00, 100.00, 99.00, 100.00, NULL, '2024-09-09 15:27:25', NULL, '2024-09-09 16:23:23');
INSERT INTO `meas_env_data` VALUES (8, 10, '状态测试', '-180', NULL, 1.00, '2024-10-29 15:08:00', '1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-29 15:08:20', NULL, NULL);

-- ----------------------------
-- Table structure for meas_spectral_radiation
-- ----------------------------
DROP TABLE IF EXISTS `meas_spectral_radiation`;
CREATE TABLE `meas_spectral_radiation`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `measurement_batch_id` int(11) NOT NULL COMMENT '测量批次id',
  `model` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '型号',
  `lens_f_view` decimal(8, 2) NOT NULL COMMENT '镜头视场角',
  `gain` int(11) NOT NULL COMMENT '增益',
  `background_data` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '背景数据',
  `cal_temp` varchar(4000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '标定温度',
  `cal_curve` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '标定曲线',
  `raw_data` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '原始数据',
  `radiance_1` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '辐射亮度（3~5μm）',
  `radiance_2` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '辐射亮度（8~14μm）',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '光谱辐射表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of meas_spectral_radiation
-- ----------------------------
INSERT INTO `meas_spectral_radiation` VALUES (1, 4, '1', 2.00, 2, '/profile/upload/2024/08/21/lgm_20240821161606A006.lgm', NULL, '/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt', '/profile/upload/2024/08/21/222_20240821161730A011.txt', '/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt', '/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt', NULL, '2024-08-21 16:22:18', NULL, '2024-08-21 16:28:46');
INSERT INTO `meas_spectral_radiation` VALUES (2, 5, 'qqq', 12.20, 2, '/profile/upload/2024/08/23/lgm_20240823111308A001.lgm', NULL, '/profile/upload/2024/08/23/标定曲线3-5_20240823111312A002.txt', '/profile/upload/2024/08/23/222_20240823111353A005.txt', '/profile/upload/2024/08/23/辐射亮度3-5_20240823111356A006.txt', '/profile/upload/2024/08/23/辐射亮度8-14_20240823111404A007.txt', NULL, '2024-08-23 11:20:40', NULL, NULL);
INSERT INTO `meas_spectral_radiation` VALUES (3, 7, '型号ABC', 10.00, 10, '/profile/upload/2024/09/09/lgm_20240909152808A004.lgm', '[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/09/222_20240909152901A006.txt\"},{\"temp\":20,\"calTempFile\":\"/profile/upload/2024/09/09/11_20240909152919A007.txt\"}]', '/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt', '/profile/upload/2024/09/09/11_20240909153025A008.txt', '/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt', '/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt', NULL, '2024-09-09 15:35:40', NULL, '2024-09-09 16:23:23');

-- ----------------------------
-- Table structure for meas_status
-- ----------------------------
DROP TABLE IF EXISTS `meas_status`;
CREATE TABLE `meas_status`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号',
  `status` varchar(63) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态',
  `index` bigint(20) NOT NULL COMMENT '排序',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '状态表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of meas_status
-- ----------------------------
INSERT INTO `meas_status` VALUES (1, '最大', 1, NULL, '2024-07-24 10:43:04', NULL, NULL);
INSERT INTO `meas_status` VALUES (2, '中间', 2, NULL, '2024-07-24 11:22:12', NULL, NULL);
INSERT INTO `meas_status` VALUES (3, '最最大', 0, NULL, '2024-07-24 11:22:24', NULL, NULL);
INSERT INTO `meas_status` VALUES (4, '最小', 3, NULL, '2024-07-24 11:22:33', NULL, NULL);
INSERT INTO `meas_status` VALUES (5, '1', 3, NULL, '2024-08-23 11:08:08', NULL, NULL);
INSERT INTO `meas_status` VALUES (6, '状态测试', -1, NULL, '2024-09-09 15:24:57', NULL, NULL);

-- ----------------------------
-- Table structure for meas_thermal_imager_test_data
-- ----------------------------
DROP TABLE IF EXISTS `meas_thermal_imager_test_data`;
CREATE TABLE `meas_thermal_imager_test_data`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `measurement_batch_id` int(11) NULL DEFAULT NULL COMMENT '测量批次id',
  `model` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '型号',
  `lens_f_view` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '镜头视场角',
  `filter_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '滤镜编号',
  `fps` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '帧率',
  `spectral_band` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '波段',
  `integration_time` int(11) NULL DEFAULT NULL COMMENT '积分时间',
  `temp_cal` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '温度标定',
  `radiance` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '辐射亮度',
  `rad_illumination` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '辐射照度',
  `rad_temp` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '辐射温度',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '热像仪测试数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of meas_thermal_imager_test_data
-- ----------------------------
INSERT INTO `meas_thermal_imager_test_data` VALUES (1, 4, '2', NULL, NULL, NULL, NULL, NULL, '/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt', '/profile/upload/2024/08/21/热像仪_20240821161927A018.txt', '', '/profile/upload/2024/08/21/11_20240821162036A020.txt', NULL, '2024-08-21 16:22:18', NULL, '2024-08-21 16:28:46');
INSERT INTO `meas_thermal_imager_test_data` VALUES (2, 5, '22', NULL, NULL, NULL, NULL, 11, '/profile/upload/2024/08/23/标定曲线3-5_20240823111846A008.txt', '/profile/upload/2024/08/23/热像仪_20240823112002A012.txt', '/profile/upload/2024/08/23/辐射亮度3-5_20240823111923A010.txt', '/profile/upload/2024/08/23/辐射亮度8-14_20240823112018A013.txt', NULL, '2024-08-23 11:20:41', NULL, NULL);
INSERT INTO `meas_thermal_imager_test_data` VALUES (3, 6, 'x型号', '1000', 'xxfe123', '30', '3', 100, '/profile/upload/2024/09/06/标定温度_20240906105615A031.txt', '/profile/upload/2024/09/06/热像仪-辐射亮度_20240906105209A025.txt', '/profile/upload/2024/09/06/辐射亮度3-5_20240906112219A037.txt', '/profile/upload/2024/09/06/热像仪-辐射温度_20240906112423A039.txt', NULL, '2024-09-06 11:24:57', NULL, '2024-09-06 11:32:02');
INSERT INTO `meas_thermal_imager_test_data` VALUES (4, 7, 'xinghao123', '100', '编号123fes', '100000000', '8~12', 100, '/profile/upload/2024/09/09/标定温度_20240909153252A011.txt', '/profile/upload/2024/09/09/热像仪-辐射亮度_20240909153257A012.txt', '/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt', '/profile/upload/2024/09/09/11_20240909153422A014.txt', NULL, '2024-09-09 15:35:40', NULL, '2024-09-09 16:23:23');

-- ----------------------------
-- Table structure for meas_transmission_rate
-- ----------------------------
DROP TABLE IF EXISTS `meas_transmission_rate`;
CREATE TABLE `meas_transmission_rate`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `measurement_batch_id` int(11) NOT NULL COMMENT '测量批次id',
  `raw_data` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '原始数据',
  `curve_1` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '透过率曲线3~5μm',
  `curve_2` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '透过率曲线8~14μm',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '透过率表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of meas_transmission_rate
-- ----------------------------
INSERT INTO `meas_transmission_rate` VALUES (1, 4, '/profile/upload/2024/08/21/222_20240821162046A021.txt', '/profile/upload/2024/08/21/透过率_20240821162052A022.txt', '/profile/upload/2024/08/21/透过率_20240821162056A023.txt', NULL, '2024-08-21 16:22:18', NULL, '2024-08-21 16:28:46');
INSERT INTO `meas_transmission_rate` VALUES (2, 5, '/profile/upload/2024/08/23/11_20240823112028A014.txt', '/profile/upload/2024/08/23/透过率_20240823112032A015.txt', '/profile/upload/2024/08/23/透过率_20240823112038A016.txt', NULL, '2024-08-23 11:20:41', NULL, NULL);
INSERT INTO `meas_transmission_rate` VALUES (3, 6, '/profile/upload/2024/09/06/目标数据-原始_20240906112440A040.txt', '/profile/upload/2024/09/06/透过率_20240906112448A041.txt', '/profile/upload/2024/09/06/透过率_20240906112454A042.txt', NULL, '2024-09-06 11:24:57', NULL, '2024-09-06 11:32:02');
INSERT INTO `meas_transmission_rate` VALUES (4, 7, '/profile/upload/2024/09/09/222_20240909153501A015.txt', '/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt', '/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt', NULL, '2024-09-09 15:35:40', NULL, '2024-09-09 16:23:23');

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int(5) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '参数配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2024-06-13 03:27:03', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-06-13 03:27:03', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-06-13 03:27:03', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'true', 'Y', 'admin', '2024-06-13 03:27:03', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2024-06-13 03:27:03', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2024-06-13 03:27:03', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 110 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '部门表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '若依科技', 0, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-13 03:27:02', '', NULL);
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-13 03:27:02', '', NULL);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-13 03:27:02', '', NULL);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-13 03:27:02', '', NULL);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-13 03:27:02', '', NULL);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-13 03:27:02', '', NULL);
INSERT INTO `sys_dept` VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-13 03:27:02', '', NULL);
INSERT INTO `sys_dept` VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-13 03:27:02', '', NULL);
INSERT INTO `sys_dept` VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-13 03:27:02', '', NULL);
INSERT INTO `sys_dept` VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-13 03:27:02', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(4) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '停用状态');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典类型表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2024-06-13 03:27:03', '', NULL, '登录状态列表');

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2024-06-13 03:27:03', '', NULL, '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status`) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 139 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统访问记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (105, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-02 01:55:10');
INSERT INTO `sys_logininfor` VALUES (106, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-07-02 07:19:21');
INSERT INTO `sys_logininfor` VALUES (107, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-03 08:55:03');
INSERT INTO `sys_logininfor` VALUES (108, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-03 09:29:28');
INSERT INTO `sys_logininfor` VALUES (109, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-23 08:57:17');
INSERT INTO `sys_logininfor` VALUES (110, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-24 02:05:35');
INSERT INTO `sys_logininfor` VALUES (111, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-24 03:19:13');
INSERT INTO `sys_logininfor` VALUES (112, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-24 06:27:48');
INSERT INTO `sys_logininfor` VALUES (113, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-25 03:13:58');
INSERT INTO `sys_logininfor` VALUES (114, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-25 06:17:56');
INSERT INTO `sys_logininfor` VALUES (115, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-25 07:31:34');
INSERT INTO `sys_logininfor` VALUES (116, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-25 09:21:22');
INSERT INTO `sys_logininfor` VALUES (117, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-07-26 05:53:34');
INSERT INTO `sys_logininfor` VALUES (118, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-08-07 07:02:39');
INSERT INTO `sys_logininfor` VALUES (119, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-08-07 09:40:22');
INSERT INTO `sys_logininfor` VALUES (120, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码已失效', '2024-08-09 03:03:52');
INSERT INTO `sys_logininfor` VALUES (121, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-08-09 03:03:55');
INSERT INTO `sys_logininfor` VALUES (122, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-08-09 09:21:46');
INSERT INTO `sys_logininfor` VALUES (123, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-08-21 07:31:04');
INSERT INTO `sys_logininfor` VALUES (124, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码已失效', '2024-08-21 07:37:25');
INSERT INTO `sys_logininfor` VALUES (125, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-08-21 07:37:29');
INSERT INTO `sys_logininfor` VALUES (126, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-08-21 10:00:42');
INSERT INTO `sys_logininfor` VALUES (127, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-08-21 10:00:48');
INSERT INTO `sys_logininfor` VALUES (128, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-09-05 09:54:53');
INSERT INTO `sys_logininfor` VALUES (129, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-09-06 01:49:07');
INSERT INTO `sys_logininfor` VALUES (130, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-09-06 07:04:07');
INSERT INTO `sys_logininfor` VALUES (131, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-09-09 07:20:36');
INSERT INTO `sys_logininfor` VALUES (132, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-09-09 07:20:55');
INSERT INTO `sys_logininfor` VALUES (133, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-09-09 07:21:07');
INSERT INTO `sys_logininfor` VALUES (134, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-09-10 09:28:26');
INSERT INTO `sys_logininfor` VALUES (135, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-09-10 10:41:26');
INSERT INTO `sys_logininfor` VALUES (136, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-09-10 11:59:41');
INSERT INTO `sys_logininfor` VALUES (137, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-10-28 09:08:58');
INSERT INTO `sys_logininfor` VALUES (138, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-10-29 06:44:19');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `is_frame` int(1) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(1) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2057 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 11, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-06-13 03:27:02', 'admin', '2024-07-24 06:29:24', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 12, 'monitor', NULL, '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2024-06-13 03:27:02', 'admin', '2024-07-24 06:29:30', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 13, 'tool', NULL, '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-06-13 03:27:02', 'admin', '2024-07-24 06:30:17', '系统工具目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-06-13 03:27:02', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-06-13 03:27:02', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-06-13 03:27:02', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-06-13 03:27:02', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-06-13 03:27:02', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-06-13 03:27:02', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-06-13 03:27:02', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-06-13 03:27:02', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-06-13 03:27:02', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-06-13 03:27:02', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-06-13 03:27:02', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-06-13 03:27:02', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-06-13 03:27:02', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-06-13 03:27:02', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-06-13 03:27:02', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2024-06-13 03:27:02', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-06-13 03:27:02', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-06-13 03:27:02', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-06-13 03:27:02', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-06-13 03:27:02', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-06-13 03:27:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-06-13 03:27:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-06-13 03:27:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-06-13 03:27:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-06-13 03:27:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-06-13 03:27:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-06-13 03:27:02', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-06-13 03:27:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2000, '测量数据管理', 0, 1, 'meas', NULL, NULL, 1, 0, 'M', '0', '0', '', 'list', 'admin', '2024-06-13 03:45:09', 'admin', '2024-07-24 06:29:20', '');
INSERT INTO `sys_menu` VALUES (2001, '光谱辐射', 2056, 2, 'radiation', 'meas/radiation/index', NULL, 1, 0, 'C', '0', '0', 'meas:radiation:list', 'select', 'admin', '2024-06-13 06:18:11', 'admin', '2024-09-06 01:52:27', '光谱辐射菜单');
INSERT INTO `sys_menu` VALUES (2002, '光谱辐射查询', 2001, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:radiation:query', '#', 'admin', '2024-06-13 06:18:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2003, '光谱辐射新增', 2001, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:radiation:add', '#', 'admin', '2024-06-13 06:18:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2004, '光谱辐射修改', 2001, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:radiation:edit', '#', 'admin', '2024-06-13 06:18:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2005, '光谱辐射删除', 2001, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:radiation:remove', '#', 'admin', '2024-06-13 06:18:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2006, '光谱辐射导出', 2001, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:radiation:export', '#', 'admin', '2024-06-13 06:18:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2007, '测量环境数据', 2000, 1, 'envData', 'meas/envData/index', NULL, 1, 0, 'C', '0', '0', 'meas:envData:list', 'swagger', 'admin', '2024-06-13 06:19:05', 'admin', '2024-07-24 06:55:07', '测量环境数据菜单');
INSERT INTO `sys_menu` VALUES (2008, '测量环境数据查询', 2007, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:envData:query', '#', 'admin', '2024-06-13 06:19:05', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2009, '测量环境数据新增', 2007, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:envData:add', '#', 'admin', '2024-06-13 06:19:05', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2010, '测量环境数据修改', 2007, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:envData:edit', '#', 'admin', '2024-06-13 06:19:05', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2011, '测量环境数据删除', 2007, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:envData:remove', '#', 'admin', '2024-06-13 06:19:05', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2012, '测量环境数据导出', 2007, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:envData:export', '#', 'admin', '2024-06-13 06:19:05', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2013, '测量批次', 2055, 2, 'measBatch', 'meas/measBatch/index', NULL, 1, 0, 'C', '0', '0', 'meas:measBatch:list', 'number', 'admin', '2024-06-13 06:19:10', 'admin', '2024-07-24 07:49:01', '测量批次菜单');
INSERT INTO `sys_menu` VALUES (2014, '测量批次查询', 2013, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:measBatch:query', '#', 'admin', '2024-06-13 06:19:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2015, '测量批次新增', 2013, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:measBatch:add', '#', 'admin', '2024-06-13 06:19:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2016, '测量批次修改', 2013, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:measBatch:edit', '#', 'admin', '2024-06-13 06:19:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2017, '测量批次删除', 2013, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:measBatch:remove', '#', 'admin', '2024-06-13 06:19:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2018, '测量批次导出', 2013, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:measBatch:export', '#', 'admin', '2024-06-13 06:19:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2019, '数据结果', 2000, 2, 'dataResults', 'meas/dataResults/index', NULL, 1, 0, 'C', '0', '0', 'meas:dataResults:list', 'table', 'admin', '2024-06-13 06:19:16', 'admin', '2024-09-06 01:53:05', '数据结果菜单');
INSERT INTO `sys_menu` VALUES (2020, '数据结果查询', 2019, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:dataResults:query', '#', 'admin', '2024-06-13 06:19:16', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2021, '数据结果新增', 2019, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:dataResults:add', '#', 'admin', '2024-06-13 06:19:16', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2022, '数据结果修改', 2019, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:dataResults:edit', '#', 'admin', '2024-06-13 06:19:16', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2023, '数据结果删除', 2019, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:dataResults:remove', '#', 'admin', '2024-06-13 06:19:16', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2024, '数据结果导出', 2019, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:dataResults:export', '#', 'admin', '2024-06-13 06:19:16', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2025, '热像仪测试数据', 2056, 3, 'thermalImagerTesDdata', 'meas/thermalImagerTesDdata/index', NULL, 1, 0, 'C', '0', '0', 'meas:thermalImagerTesDdata:list', 'online', 'admin', '2024-06-13 06:19:21', 'admin', '2024-09-06 01:52:37', '热像仪测试数据菜单');
INSERT INTO `sys_menu` VALUES (2026, '热像仪测试数据查询', 2025, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:thermalImagerTesDdata:query', '#', 'admin', '2024-06-13 06:19:21', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2027, '热像仪测试数据新增', 2025, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:thermalImagerTesDdata:add', '#', 'admin', '2024-06-13 06:19:21', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2028, '热像仪测试数据修改', 2025, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:thermalImagerTesDdata:edit', '#', 'admin', '2024-06-13 06:19:21', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2029, '热像仪测试数据删除', 2025, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:thermalImagerTesDdata:remove', '#', 'admin', '2024-06-13 06:19:21', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2030, '热像仪测试数据导出', 2025, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:thermalImagerTesDdata:export', '#', 'admin', '2024-06-13 06:19:21', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2031, '发动机型号', 2055, 1, 'engineModel', 'meas/engineModel/index', NULL, 1, 0, 'C', '0', '0', 'meas:engineModel:list', 'table', 'admin', '2024-06-13 06:19:26', 'admin', '2024-07-24 07:01:00', '发动机型号菜单');
INSERT INTO `sys_menu` VALUES (2032, '发动机型号查询', 2031, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:engineModel:query', '#', 'admin', '2024-06-13 06:19:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2033, '发动机型号新增', 2031, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:engineModel:add', '#', 'admin', '2024-06-13 06:19:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2034, '发动机型号修改', 2031, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:engineModel:edit', '#', 'admin', '2024-06-13 06:19:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2035, '发动机型号删除', 2031, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:engineModel:remove', '#', 'admin', '2024-06-13 06:19:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2036, '发动机型号导出', 2031, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:engineModel:export', '#', 'admin', '2024-06-13 06:19:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2037, '透过率', 2056, 4, 'transmissionRate', 'meas/transmissionRate/index', NULL, 1, 0, 'C', '0', '0', 'meas:transmissionRate:list', 'druid', 'admin', '2024-06-13 06:19:33', 'admin', '2024-09-06 01:52:46', '透过率菜单');
INSERT INTO `sys_menu` VALUES (2038, '透过率查询', 2037, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:transmissionRate:query', '#', 'admin', '2024-06-13 06:19:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2039, '透过率新增', 2037, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:transmissionRate:add', '#', 'admin', '2024-06-13 06:19:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2040, '透过率修改', 2037, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:transmissionRate:edit', '#', 'admin', '2024-06-13 06:19:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2041, '透过率删除', 2037, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:transmissionRate:remove', '#', 'admin', '2024-06-13 06:19:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2042, '透过率导出', 2037, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:transmissionRate:export', '#', 'admin', '2024-06-13 06:19:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2043, '状态', 2055, 3, 'status', 'meas/status/index', NULL, 1, 0, 'C', '0', '0', 'meas:status:list', 'server', 'admin', '2024-07-23 10:00:48', 'admin', '2024-07-24 07:49:20', '状态菜单');
INSERT INTO `sys_menu` VALUES (2044, '状态查询', 2043, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:status:query', '#', 'admin', '2024-07-23 10:00:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2045, '状态新增', 2043, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:status:add', '#', 'admin', '2024-07-23 10:00:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2046, '状态修改', 2043, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:status:edit', '#', 'admin', '2024-07-23 10:00:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2047, '状态删除', 2043, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:status:remove', '#', 'admin', '2024-07-23 10:00:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2048, '状态导出', 2043, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:status:export', '#', 'admin', '2024-07-23 10:00:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2049, '角度', 2055, 4, 'angle', 'meas/angle/index', NULL, 1, 0, 'C', '0', '0', 'meas:angle:list', 'cascader', 'admin', '2024-07-23 10:00:48', 'admin', '2024-07-24 07:48:53', '角度菜单');
INSERT INTO `sys_menu` VALUES (2050, '角度查询', 2049, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:angle:query', '#', 'admin', '2024-07-23 10:00:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2051, '角度新增', 2049, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:angle:add', '#', 'admin', '2024-07-23 10:00:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2052, '角度修改', 2049, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:angle:edit', '#', 'admin', '2024-07-23 10:00:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2053, '角度删除', 2049, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:angle:remove', '#', 'admin', '2024-07-23 10:00:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2054, '角度导出', 2049, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'meas:angle:export', '#', 'admin', '2024-07-23 10:00:48', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2055, '基础数据管理', 0, 3, 'backdata', NULL, NULL, 1, 0, 'M', '0', '0', '', 'slider', 'admin', '2024-07-24 06:29:02', 'admin', '2024-09-06 01:55:06', '');
INSERT INTO `sys_menu` VALUES (2056, '后台数据管理', 0, 2, 'bg', NULL, NULL, 1, 0, 'M', '0', '0', '', 'redis', 'admin', '2024-09-06 01:52:10', 'admin', '2024-09-06 01:55:00', '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int(4) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '通知公告表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2024-06-13 03:27:03', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2024-06-13 03:27:03', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int(2) NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int(1) NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int(1) NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint(20) NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type`) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status`) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 137 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '操作日志记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (1, '代码生成', 6, 'com.meas.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"status,angle\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-23 09:43:29', 116);
INSERT INTO `sys_oper_log` VALUES (2, '代码生成', 2, 'com.meas.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"angle\",\"className\":\"Angle\",\"columns\":[{\"capJavaField\":\"Angle\",\"columnComment\":\"角度\",\"columnId\":100,\"columnName\":\"angle\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"1\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"angle\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":true,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":101,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":true,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":102,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createTime\",\"javaType\":\"Date\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UpdateBy\",\"columnComment\":\"更新人\",\"columnId\":103,\"columnName\":\"update_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"updateBy\",\"javaType\":\"String\",\"list\":false,\"params', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-23 09:47:22', 47);
INSERT INTO `sys_oper_log` VALUES (3, '代码生成', 2, 'com.meas.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"angle\",\"className\":\"Angle\",\"columns\":[{\"capJavaField\":\"Angle\",\"columnComment\":\"角度\",\"columnId\":100,\"columnName\":\"angle\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"1\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"angle\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":true,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":1,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":101,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"0\",\"isPk\":\"0\",\"isQuery\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":true,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":102,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createTime\",\"javaType\":\"Date\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UpdateBy\",\"columnComment\":\"更新人\",\"columnId\":103,\"columnName\":\"update_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"updateBy\",\"javaType\":\"St', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-23 09:49:41', 32);
INSERT INTO `sys_oper_log` VALUES (4, '代码生成', 2, 'com.meas.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"status\",\"className\":\"Status\",\"columns\":[{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":105,\"columnName\":\"status\",\"columnType\":\"varchar(63)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"1\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":true,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":1,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":106,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":true,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":107,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createTime\",\"javaType\":\"Date\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UpdateBy\",\"columnComment\":\"更新人\",\"columnId\":108,\"columnName\":\"update_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"updateBy\",\"javaType\":\"String\",\"list\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-23 09:57:49', 36);
INSERT INTO `sys_oper_log` VALUES (5, '代码生成', 8, 'com.meas.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"angle,status\"}', NULL, 0, NULL, '2024-07-23 09:57:58', 332);
INSERT INTO `sys_oper_log` VALUES (6, '代码生成', 3, 'com.meas.generator.controller.GenController.remove()', 'DELETE', 1, 'admin', '研发部门', '/tool/gen/9', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:06:12', 40);
INSERT INTO `sys_oper_log` VALUES (7, '代码生成', 3, 'com.meas.generator.controller.GenController.remove()', 'DELETE', 1, 'admin', '研发部门', '/tool/gen/10', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:06:16', 14);
INSERT INTO `sys_oper_log` VALUES (8, '代码生成', 6, 'com.meas.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"angle,status\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:06:26', 81);
INSERT INTO `sys_oper_log` VALUES (9, '代码生成', 3, 'com.meas.generator.controller.GenController.remove()', 'DELETE', 1, 'admin', '研发部门', '/tool/gen/11,12', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:08:15', 15);
INSERT INTO `sys_oper_log` VALUES (10, '代码生成', 6, 'com.meas.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"angle,status\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:08:35', 70);
INSERT INTO `sys_oper_log` VALUES (11, '代码生成', 3, 'com.meas.generator.controller.GenController.remove()', 'DELETE', 1, 'admin', '研发部门', '/tool/gen/13,14', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:08:44', 15);
INSERT INTO `sys_oper_log` VALUES (12, '代码生成', 6, 'com.meas.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"meas_status,meas_angle\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:12:06', 80);
INSERT INTO `sys_oper_log` VALUES (13, '代码生成', 2, 'com.meas.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"angle\",\"className\":\"MeasAngle\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"序号\",\"columnId\":130,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Angle\",\"columnComment\":\"角度\",\"columnId\":131,\"columnName\":\"angle\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"angle\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":132,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":133,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createTime\",\"javaType\":\"Date\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:13:27', 47);
INSERT INTO `sys_oper_log` VALUES (14, '代码生成', 2, 'com.meas.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"status\",\"className\":\"MeasStatus\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"序号\",\"columnId\":136,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":137,\"columnName\":\"status\",\"columnType\":\"varchar(63)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Index\",\"columnComment\":\"排序\",\"columnId\":138,\"columnName\":\"index\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"index\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":139,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":false,\"params', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:13:38', 36);
INSERT INTO `sys_oper_log` VALUES (15, '代码生成', 8, 'com.meas.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"meas_angle,meas_status\"}', NULL, 0, NULL, '2024-07-24 02:17:36', 368);
INSERT INTO `sys_oper_log` VALUES (16, '代码生成', 2, 'com.meas.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', '研发部门', '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"status\",\"className\":\"MeasStatus\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"序号\",\"columnId\":136,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"updateTime\":\"2024-07-24 02:13:38\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":137,\"columnName\":\"status\",\"columnType\":\"varchar(63)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"updateTime\":\"2024-07-24 02:13:38\",\"usableColumn\":false},{\"capJavaField\":\"Index\",\"columnComment\":\"排序\",\"columnId\":138,\"columnName\":\"index\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"index\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"updateTime\":\"2024-07-24 02:13:38\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":139,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:31:19', 52);
INSERT INTO `sys_oper_log` VALUES (17, '状态', 1, 'com.meas.system.controller.MeasStatusController.add()', 'POST', 1, 'admin', '研发部门', '/system/status', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 10:37:43\",\"index\":1,\"params\":{},\"status\":\"最大\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'index,\n                    \n                    \n                    create_time\' at line 4\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasStatusMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasStatusMapper.insertMeasStatus-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_status          ( status,                                          index,                                                               create_time )           values ( ?,                                          ?,                                                               ? )\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'index,\n                    \n                    \n                    create_time\' at line 4\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'index,\n                    \n                    \n                    create_time\' at line 4', '2024-07-24 02:37:43', 62);
INSERT INTO `sys_oper_log` VALUES (18, '状态', 1, 'com.meas.system.controller.MeasStatusController.add()', 'POST', 1, 'admin', '研发部门', '/system/status', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 10:43:03\",\"id\":1,\"index\":1,\"params\":{},\"status\":\"最大\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:43:03', 137);
INSERT INTO `sys_oper_log` VALUES (19, '角度', 1, 'com.meas.system.controller.MeasAngleController.add()', 'POST', 1, 'admin', '研发部门', '/system/angle', '127.0.0.1', '内网IP', '{\"angle\":1,\"createTime\":\"2024-07-24 10:43:11\",\"id\":1,\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 02:43:11', 14);
INSERT INTO `sys_oper_log` VALUES (20, '状态', 1, 'com.meas.system.controller.MeasStatusController.add()', 'POST', 1, 'admin', '研发部门', '/meas/status', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 11:22:12\",\"id\":2,\"index\":2,\"params\":{},\"status\":\"中间\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 03:22:12', 19);
INSERT INTO `sys_oper_log` VALUES (21, '状态', 1, 'com.meas.system.controller.MeasStatusController.add()', 'POST', 1, 'admin', '研发部门', '/meas/status', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 11:22:24\",\"id\":3,\"index\":0,\"params\":{},\"status\":\"最最大\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 03:22:24', 10);
INSERT INTO `sys_oper_log` VALUES (22, '状态', 1, 'com.meas.system.controller.MeasStatusController.add()', 'POST', 1, 'admin', '研发部门', '/meas/status', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 11:22:33\",\"id\":4,\"index\":3,\"params\":{},\"status\":\"最小\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 03:22:33', 11);
INSERT INTO `sys_oper_log` VALUES (23, '角度', 1, 'com.meas.system.controller.MeasAngleController.add()', 'POST', 1, 'admin', '研发部门', '/meas/angle', '127.0.0.1', '内网IP', '{\"angle\":-180,\"createTime\":\"2024-07-24 11:22:53\",\"id\":2,\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 03:22:53', 19);
INSERT INTO `sys_oper_log` VALUES (24, '角度', 1, 'com.meas.system.controller.MeasAngleController.add()', 'POST', 1, 'admin', '研发部门', '/meas/angle', '127.0.0.1', '内网IP', '{\"angle\":90,\"createTime\":\"2024-07-24 11:22:59\",\"id\":3,\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 03:22:59', 19);
INSERT INTO `sys_oper_log` VALUES (25, '角度', 1, 'com.meas.system.controller.MeasAngleController.add()', 'POST', 1, 'admin', '研发部门', '/meas/angle', '127.0.0.1', '内网IP', '{\"angle\":-90,\"createTime\":\"2024-07-24 11:23:05\",\"id\":4,\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 03:23:05', 18);
INSERT INTO `sys_oper_log` VALUES (26, '菜单管理', 1, 'com.meas.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"后台数据管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"backdata\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:29:02', 21);
INSERT INTO `sys_oper_log` VALUES (27, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-06-13 03:45:09\",\"icon\":\"list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"测量数据管理\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"meas\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:29:20', 12);
INSERT INTO `sys_oper_log` VALUES (28, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-06-13 03:27:02\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":11,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:29:24', 11);
INSERT INTO `sys_oper_log` VALUES (29, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-06-13 03:27:02\",\"icon\":\"monitor\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2,\"menuName\":\"系统监控\",\"menuType\":\"M\",\"orderNum\":12,\"params\":{},\"parentId\":0,\"path\":\"monitor\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:29:30', 11);
INSERT INTO `sys_oper_log` VALUES (30, '菜单管理', 3, 'com.meas.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2024-07-24 06:29:34', 23);
INSERT INTO `sys_oper_log` VALUES (31, '角色管理', 2, 'com.meas.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-06-13 03:27:02\",\"dataScope\":\"2\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[3,115,116,1055,1056,1057,1058,1059,1060,117,1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,102,1012,1013,1014,1015,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,105,1025,1026,1027,1028,1029,106,1030,1031,1032,1033,1034,107,1035,1036,1037,1038,108,500,1039,1040,1041,501,1042,1043,1044,1045,2,109,1046,1047,1048,110,1049,1050,1051,1052,1053,1054,111,112,113,114],\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:29:50', 36);
INSERT INTO `sys_oper_log` VALUES (32, '菜单管理', 3, 'com.meas.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:30:09', 16);
INSERT INTO `sys_oper_log` VALUES (33, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-06-13 03:27:02\",\"icon\":\"tool\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"系统工具\",\"menuType\":\"M\",\"orderNum\":13,\"params\":{},\"parentId\":0,\"path\":\"tool\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:30:17', 10);
INSERT INTO `sys_oper_log` VALUES (34, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/angle/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2049,\"menuName\":\"角度\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"angle\",\"perms\":\"meas:angle:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:30:38', 10);
INSERT INTO `sys_oper_log` VALUES (35, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/status/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2043,\"menuName\":\"状态\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"status\",\"perms\":\"meas:status:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:30:47', 12);
INSERT INTO `sys_oper_log` VALUES (36, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/measBatch/index\",\"createTime\":\"2024-06-13 06:19:10\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"测量批次\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"measBatch\",\"perms\":\"meas:measBatch:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:31:09', 11);
INSERT INTO `sys_oper_log` VALUES (37, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/engineModel/index\",\"createTime\":\"2024-06-13 06:19:26\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"发动机型号\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"engineModel\",\"perms\":\"meas:engineModel:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:31:46', 10);
INSERT INTO `sys_oper_log` VALUES (38, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/radiation/index\",\"createTime\":\"2024-06-13 06:18:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"光谱辐射\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"radiation\",\"perms\":\"meas:radiation:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:52:37', 13);
INSERT INTO `sys_oper_log` VALUES (39, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/thermalImagerTesDdata/index\",\"createTime\":\"2024-06-13 06:19:21\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2025,\"menuName\":\"热像仪测试数据\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"thermalImagerTesDdata\",\"perms\":\"meas:thermalImagerTesDdata:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:52:51', 9);
INSERT INTO `sys_oper_log` VALUES (40, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/transmissionRate/index\",\"createTime\":\"2024-06-13 06:19:33\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"透过率\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":2000,\"path\":\"transmissionRate\",\"perms\":\"meas:transmissionRate:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:52:57', 12);
INSERT INTO `sys_oper_log` VALUES (41, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/envData/index\",\"createTime\":\"2024-06-13 06:19:05\",\"icon\":\"swagger\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2007,\"menuName\":\"测量环境数据\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"envData\",\"perms\":\"meas:envData:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:55:07', 10);
INSERT INTO `sys_oper_log` VALUES (42, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/dataResults/index\",\"createTime\":\"2024-06-13 06:19:16\",\"icon\":\"table\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"数据结果\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"dataResults\",\"perms\":\"meas:dataResults:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:55:24', 10);
INSERT INTO `sys_oper_log` VALUES (43, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/radiation/index\",\"createTime\":\"2024-06-13 06:18:11\",\"icon\":\"select\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"光谱辐射\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"radiation\",\"perms\":\"meas:radiation:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:55:37', 11);
INSERT INTO `sys_oper_log` VALUES (44, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/thermalImagerTesDdata/index\",\"createTime\":\"2024-06-13 06:19:21\",\"icon\":\"online\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2025,\"menuName\":\"热像仪测试数据\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"thermalImagerTesDdata\",\"perms\":\"meas:thermalImagerTesDdata:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:56:05', 10);
INSERT INTO `sys_oper_log` VALUES (45, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/transmissionRate/index\",\"createTime\":\"2024-06-13 06:19:33\",\"icon\":\"druid\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"透过率\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":2000,\"path\":\"transmissionRate\",\"perms\":\"meas:transmissionRate:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:56:14', 11);
INSERT INTO `sys_oper_log` VALUES (46, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-07-24 06:29:02\",\"icon\":\"slider\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2055,\"menuName\":\"后台数据管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"backdata\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:59:37', 11);
INSERT INTO `sys_oper_log` VALUES (47, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/angle/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2049,\"menuName\":\"角度\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"angle\",\"perms\":\"meas:angle:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 06:59:46', 10);
INSERT INTO `sys_oper_log` VALUES (48, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/status/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2043,\"menuName\":\"状态\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"status\",\"perms\":\"meas:status:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 07:00:07', 11);
INSERT INTO `sys_oper_log` VALUES (49, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/measBatch/index\",\"createTime\":\"2024-06-13 06:19:10\",\"icon\":\"number\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"测量批次\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"measBatch\",\"perms\":\"meas:measBatch:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 07:00:26', 11);
INSERT INTO `sys_oper_log` VALUES (50, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/engineModel/index\",\"createTime\":\"2024-06-13 06:19:26\",\"icon\":\"table\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"发动机型号\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"engineModel\",\"perms\":\"meas:engineModel:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 07:01:00', 10);
INSERT INTO `sys_oper_log` VALUES (51, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/angle/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2049,\"menuName\":\"角度\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":2055,\"path\":\"angle\",\"perms\":\"meas:angle:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 07:48:53', 24);
INSERT INTO `sys_oper_log` VALUES (52, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/measBatch/index\",\"createTime\":\"2024-06-13 06:19:10\",\"icon\":\"number\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"测量批次\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2055,\"path\":\"measBatch\",\"perms\":\"meas:measBatch:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 07:49:01', 12);
INSERT INTO `sys_oper_log` VALUES (53, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/status/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2043,\"menuName\":\"状态\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2055,\"path\":\"status\",\"perms\":\"meas:status:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 07:49:20', 12);
INSERT INTO `sys_oper_log` VALUES (54, '发动机型号', 1, 'com.meas.system.controller.MeasEngineModelController.add()', 'POST', 1, 'admin', '研发部门', '/meas/engineModel', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:00:24\",\"model\":\"111\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:00:25', 133);
INSERT INTO `sys_oper_log` VALUES (55, '发动机型号', 1, 'com.meas.system.controller.MeasEngineModelController.add()', 'POST', 1, 'admin', '研发部门', '/meas/engineModel', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:00:25\",\"model\":\"111\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:00:25', 10);
INSERT INTO `sys_oper_log` VALUES (56, '发动机型号', 1, 'com.meas.system.controller.MeasEngineModelController.add()', 'POST', 1, 'admin', '研发部门', '/meas/engineModel', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:00:33\",\"model\":\"22\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:00:33', 10);
INSERT INTO `sys_oper_log` VALUES (57, '发动机型号', 1, 'com.meas.system.controller.MeasEngineModelController.add()', 'POST', 1, 'admin', '研发部门', '/meas/engineModel', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:00:52\",\"model\":\"333\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:00:52', 10);
INSERT INTO `sys_oper_log` VALUES (58, '发动机型号', 2, 'com.meas.system.controller.MeasEngineModelController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/engineModel', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:00:25\",\"id\":1,\"model\":\"型号xx\",\"params\":{},\"updateTime\":\"2024-07-24 16:01:21\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:01:21', 11);
INSERT INTO `sys_oper_log` VALUES (59, '发动机型号', 2, 'com.meas.system.controller.MeasEngineModelController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/engineModel', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:00:25\",\"id\":2,\"model\":\"型号yy\",\"params\":{},\"updateTime\":\"2024-07-24 16:01:31\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:01:31', 10);
INSERT INTO `sys_oper_log` VALUES (60, '发动机型号', 2, 'com.meas.system.controller.MeasEngineModelController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/engineModel', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:00:34\",\"id\":3,\"model\":\"型号zz\",\"params\":{},\"updateTime\":\"2024-07-24 16:01:44\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:01:44', 9);
INSERT INTO `sys_oper_log` VALUES (61, '发动机型号', 2, 'com.meas.system.controller.MeasEngineModelController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/engineModel', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:00:53\",\"id\":4,\"model\":\"型号333\",\"params\":{},\"updateTime\":\"2024-07-24 16:01:49\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:01:49', 11);
INSERT INTO `sys_oper_log` VALUES (62, '测量批次', 1, 'com.meas.system.controller.MeasBatchController.add()', 'POST', 1, 'admin', '研发部门', '/meas/measBatch', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:15:39\",\"engineId\":1,\"measurementBatch\":\"批次1\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:15:39', 19);
INSERT INTO `sys_oper_log` VALUES (63, '测量批次', 1, 'com.meas.system.controller.MeasBatchController.add()', 'POST', 1, 'admin', '研发部门', '/meas/measBatch', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:15:52\",\"engineId\":1,\"measurementBatch\":\"批次1-1\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:15:52', 9);
INSERT INTO `sys_oper_log` VALUES (64, '测量批次', 1, 'com.meas.system.controller.MeasBatchController.add()', 'POST', 1, 'admin', '研发部门', '/meas/measBatch', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:16:02\",\"engineId\":2,\"measurementBatch\":\"批次2-1\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:16:02', 10);
INSERT INTO `sys_oper_log` VALUES (65, '测量批次', 1, 'com.meas.system.controller.MeasBatchController.add()', 'POST', 1, 'admin', '研发部门', '/meas/measBatch', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-07-24 16:16:09\",\"engineId\":2,\"measurementBatch\":\"批次2-2\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-24 08:16:09', 7);
INSERT INTO `sys_oper_log` VALUES (66, '测量环境数据', 1, 'com.meas.system.controller.MeasEnvDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"1\",\"createTime\":\"2024-07-25 11:24:46\",\"engineStatus\":\"1\",\"location\":\"111\",\"measurementBatchId\":1,\"params\":{},\"time\":\"2024-07-03\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasEnvDataMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasEnvDataMapper.insertMeasEnvData-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_env_data          ( measurement_batch_id,             engine_status,             angle,                                       time,             location,                                                                                           create_time )           values ( ?,             ?,             ?,                                       ?,             ?,                                                                                           ? )\r\n### Cause: java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value\n; Field \'turbine_post_temp\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value', '2024-07-25 03:24:46', 68);
INSERT INTO `sys_oper_log` VALUES (67, '测量环境数据', 1, 'com.meas.system.controller.MeasEnvDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"1\",\"createTime\":\"2024-07-25 11:24:52\",\"engineStatus\":\"1\",\"location\":\"111\",\"measurementBatchId\":1,\"params\":{},\"time\":\"2024-07-03\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasEnvDataMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasEnvDataMapper.insertMeasEnvData-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_env_data          ( measurement_batch_id,             engine_status,             angle,                                       time,             location,                                                                                           create_time )           values ( ?,             ?,             ?,                                       ?,             ?,                                                                                           ? )\r\n### Cause: java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value\n; Field \'turbine_post_temp\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value', '2024-07-25 03:24:52', 9);
INSERT INTO `sys_oper_log` VALUES (68, '测量环境数据', 1, 'com.meas.system.controller.MeasEnvDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"1\",\"createTime\":\"2024-07-25 11:30:18\",\"engineStatus\":\"1\",\"location\":\"111\",\"measurementBatchId\":1,\"params\":{},\"time\":\"2024-07-03\",\"turbinePostTemp\":\"/profile/upload/2024/07/25/新建 文本文档_20240725112616A001.txt\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-07-25 03:30:18', 28);
INSERT INTO `sys_oper_log` VALUES (69, '测量环境数据', 1, 'com.meas.system.controller.MeasEnvDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:52:30\",\"engineStatus\":\"中间\",\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:52:30\",\"engineStatus\":\"中间\",\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}}', 0, NULL, '2024-08-07 09:52:30', 62);
INSERT INTO `sys_oper_log` VALUES (70, '测量环境数据', 1, 'com.meas.system.controller.MeasEnvDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:53:29\",\"engineStatus\":\"中间\",\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:53:29\",\"engineStatus\":\"中间\",\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}}', 0, NULL, '2024-08-07 09:59:25', 356251);
INSERT INTO `sys_oper_log` VALUES (71, '测量环境数据', 1, 'com.meas.system.controller.MeasEnvDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:59:39\",\"engineStatus\":\"中间\",\"id\":4,\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:59:39\",\"engineStatus\":\"中间\",\"id\":4,\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}}', 0, NULL, '2024-08-07 09:59:54', 14881);
INSERT INTO `sys_oper_log` VALUES (72, '发动机型号', 1, 'com.meas.system.controller.MeasEngineModelController.add()', 'POST', 1, 'admin', '研发部门', '/meas/engineModel', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-08-21 15:40:17\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"id\":5,\"model\":\"发动\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 07:40:17', 21);
INSERT INTO `sys_oper_log` VALUES (73, '测量环境数据', 1, 'com.meas.system.controller.MeasEnvDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"createTime\":\"2024-08-21 15:46:12\",\"engineModel\":\"5\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"location\":\"1\",\"params\":{},\"time\":\"2024-07-10 00:00\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'measurement_batch_id\' doesn\'t have a default value\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasEnvDataMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasEnvDataMapper.insertMeasEnvData-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_env_data          ( engine_status,             angle,                                       time,             location,                                                                                           create_time )           values ( ?,             ?,                                       ?,             ?,                                                                                           ? )\r\n### Cause: java.sql.SQLException: Field \'measurement_batch_id\' doesn\'t have a default value\n; Field \'measurement_batch_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'measurement_batch_id\' doesn\'t have a default value', '2024-08-21 07:46:12', 80);
INSERT INTO `sys_oper_log` VALUES (74, '测量环境数据', 2, 'com.meas.system.controller.MeasEnvDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:59:40\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":4,\"location\":\"11\",\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":3,\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/08/21/11_20240821161558A005.txt\",\"updateTime\":\"2024-08-21 16:22:17\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:22:17', 41);
INSERT INTO `sys_oper_log` VALUES (75, '透过率', 1, 'com.meas.system.controller.MeasTransmissionRateController.add()', 'POST', 1, 'admin', '研发部门', '/meas/transmissionRate', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:17\",\"curve1\":\"/profile/upload/2024/08/21/透过率_20240821162052A022.txt\",\"curve2\":\"/profile/upload/2024/08/21/透过率_20240821162056A023.txt\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"params\":{},\"rawData\":\"/profile/upload/2024/08/21/222_20240821162046A021.txt\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:17\",\"curve1\":\"/profile/upload/2024/08/21/透过率_20240821162052A022.txt\",\"curve2\":\"/profile/upload/2024/08/21/透过率_20240821162056A023.txt\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"params\":{},\"rawData\":\"/profile/upload/2024/08/21/222_20240821162046A021.txt\"}}', 0, NULL, '2024-08-21 08:22:17', 54);
INSERT INTO `sys_oper_log` VALUES (76, '光谱辐射', 1, 'com.meas.system.controller.MeasSpectralRadiationController.add()', 'POST', 1, 'admin', '研发部门', '/meas/radiation', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"backgroundData\":\"/profile/upload/2024/08/21/lgm_20240821161606A006.lgm\",\"calCurve\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt\",\"createTime\":\"2024-08-21 16:22:17\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"gain\":2,\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"lensFView\":2,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"1\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt\",\"radiance2\":\"/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt\",\"rawData\":\"/profile/upload/2024/08/21/222_20240821161730A011.txt\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"backgroundData\":\"/profile/upload/2024/08/21/lgm_20240821161606A006.lgm\",\"calCurve\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt\",\"createTime\":\"2024-08-21 16:22:17\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"gain\":2,\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"lensFView\":2,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"1\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt\",\"radiance2\":\"/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt\",\"rawData\":\"/profile/upload/2024/08/21/222_20240821161730A011.txt\"}}', 0, NULL, '2024-08-21 08:22:17', 58);
INSERT INTO `sys_oper_log` VALUES (77, '热像仪测试数据', 1, 'com.meas.system.controller.MeasThermalImagerTestDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/thermalImagerTesDdata', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:17\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"2\",\"params\":{},\"radIllumination\":\"\",\"radTemp\":\"/profile/upload/2024/08/21/11_20240821162036A020.txt\",\"radiance\":\"/profile/upload/2024/08/21/热像仪_20240821161927A018.txt\",\"tempCal\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:17\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"2\",\"params\":{},\"radIllumination\":\"\",\"radTemp\":\"/profile/upload/2024/08/21/11_20240821162036A020.txt\",\"radiance\":\"/profile/upload/2024/08/21/热像仪_20240821161927A018.txt\",\"tempCal\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt\"}}', 0, NULL, '2024-08-21 08:22:17', 61);
INSERT INTO `sys_oper_log` VALUES (78, '测量环境数据', 2, 'com.meas.system.controller.MeasEnvDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:59:40\",\"engineModel\":\"5\",\"engineStatus\":\"中间\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"id\":4,\"location\":\"11\",\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":3,\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/08/21/11_20240821161558A005.txt\",\"updateTime\":\"2024-08-21 16:22:59\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:22:59', 14);
INSERT INTO `sys_oper_log` VALUES (79, '光谱辐射', 2, 'com.meas.system.controller.MeasSpectralRadiationController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/radiation', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"backgroundData\":\"/profile/upload/2024/08/21/lgm_20240821161606A006.lgm\",\"calCurve\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"gain\":2,\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"lensFView\":2,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"1\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt\",\"radiance2\":\"/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt\",\"rawData\":\"/profile/upload/2024/08/21/222_20240821161730A011.txt\",\"updateTime\":\"2024-08-21 16:22:59\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:22:59', 17);
INSERT INTO `sys_oper_log` VALUES (80, '热像仪测试数据', 2, 'com.meas.system.controller.MeasThermalImagerTestDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/thermalImagerTesDdata', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"2\",\"params\":{},\"radIllumination\":\"\",\"radTemp\":\"/profile/upload/2024/08/21/11_20240821162036A020.txt\",\"radiance\":\"/profile/upload/2024/08/21/热像仪_20240821161927A018.txt\",\"tempCal\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt\",\"updateTime\":\"2024-08-21 16:22:59\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:22:59', 17);
INSERT INTO `sys_oper_log` VALUES (81, '透过率', 2, 'com.meas.system.controller.MeasTransmissionRateController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/transmissionRate', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"curve1\":\"/profile/upload/2024/08/21/透过率_20240821162052A022.txt\",\"curve2\":\"/profile/upload/2024/08/21/透过率_20240821162056A023.txt\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"params\":{},\"rawData\":\"/profile/upload/2024/08/21/222_20240821162046A021.txt\",\"updateTime\":\"2024-08-21 16:22:59\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:22:59', 17);
INSERT INTO `sys_oper_log` VALUES (82, '透过率', 2, 'com.meas.system.controller.MeasTransmissionRateController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/transmissionRate', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"curve1\":\"/profile/upload/2024/08/21/透过率_20240821162052A022.txt\",\"curve2\":\"/profile/upload/2024/08/21/透过率_20240821162056A023.txt\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"params\":{},\"rawData\":\"/profile/upload/2024/08/21/222_20240821162046A021.txt\",\"updateTime\":\"2024-08-21 16:28:36\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:28:36', 11);
INSERT INTO `sys_oper_log` VALUES (83, '热像仪测试数据', 2, 'com.meas.system.controller.MeasThermalImagerTestDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/thermalImagerTesDdata', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"2\",\"params\":{},\"radIllumination\":\"\",\"radTemp\":\"/profile/upload/2024/08/21/11_20240821162036A020.txt\",\"radiance\":\"/profile/upload/2024/08/21/热像仪_20240821161927A018.txt\",\"tempCal\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt\",\"updateTime\":\"2024-08-21 16:28:36\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:28:36', 14);
INSERT INTO `sys_oper_log` VALUES (84, '测量环境数据', 2, 'com.meas.system.controller.MeasEnvDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:59:40\",\"engineModel\":\"5\",\"engineStatus\":\"中间\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"id\":4,\"location\":\"11\",\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":3,\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/08/21/11_20240821161558A005.txt\",\"updateTime\":\"2024-08-21 16:28:36\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:28:36', 14);
INSERT INTO `sys_oper_log` VALUES (85, '光谱辐射', 2, 'com.meas.system.controller.MeasSpectralRadiationController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/radiation', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"backgroundData\":\"/profile/upload/2024/08/21/lgm_20240821161606A006.lgm\",\"calCurve\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"gain\":2,\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"lensFView\":2,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"1\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt\",\"radiance2\":\"/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt\",\"rawData\":\"/profile/upload/2024/08/21/222_20240821161730A011.txt\",\"updateTime\":\"2024-08-21 16:28:36\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:28:36', 14);
INSERT INTO `sys_oper_log` VALUES (86, '透过率', 2, 'com.meas.system.controller.MeasTransmissionRateController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/transmissionRate', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"curve1\":\"/profile/upload/2024/08/21/透过率_20240821162052A022.txt\",\"curve2\":\"/profile/upload/2024/08/21/透过率_20240821162056A023.txt\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"params\":{},\"rawData\":\"/profile/upload/2024/08/21/222_20240821162046A021.txt\",\"updateTime\":\"2024-08-21 16:28:46\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:28:46', 11);
INSERT INTO `sys_oper_log` VALUES (87, '热像仪测试数据', 2, 'com.meas.system.controller.MeasThermalImagerTestDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/thermalImagerTesDdata', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"2\",\"params\":{},\"radIllumination\":\"\",\"radTemp\":\"/profile/upload/2024/08/21/11_20240821162036A020.txt\",\"radiance\":\"/profile/upload/2024/08/21/热像仪_20240821161927A018.txt\",\"tempCal\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt\",\"updateTime\":\"2024-08-21 16:28:46\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:28:46', 14);
INSERT INTO `sys_oper_log` VALUES (88, '光谱辐射', 2, 'com.meas.system.controller.MeasSpectralRadiationController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/radiation', '127.0.0.1', '内网IP', '{\"angle\":\"90\",\"backgroundData\":\"/profile/upload/2024/08/21/lgm_20240821161606A006.lgm\",\"calCurve\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"gain\":2,\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"lensFView\":2,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"1\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt\",\"radiance2\":\"/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt\",\"rawData\":\"/profile/upload/2024/08/21/222_20240821161730A011.txt\",\"updateTime\":\"2024-08-21 16:28:46\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:28:46', 13);
INSERT INTO `sys_oper_log` VALUES (89, '测量环境数据', 2, 'com.meas.system.controller.MeasEnvDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"-90\",\"createTime\":\"2024-08-07 17:59:40\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":4,\"location\":\"11\",\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":3,\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/08/21/11_20240821161558A005.txt\",\"updateTime\":\"2024-08-21 16:28:46\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-21 08:28:46', 13);
INSERT INTO `sys_oper_log` VALUES (90, '测量批次', 1, 'com.meas.system.controller.MeasBatchController.add()', 'POST', 1, 'admin', '一部', '/meas/measBatch', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-08-23 10:59:39\",\"engineId\":5,\"id\":5,\"measurementBatch\":\"20240823105929-发动\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-23 02:59:39', 81);
INSERT INTO `sys_oper_log` VALUES (91, '测量批次', 1, 'com.meas.system.controller.MeasBatchController.add()', 'POST', 1, 'admin', '一部', '/meas/measBatch', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-08-23 11:00:33\",\"engineId\":5,\"id\":6,\"measurementBatch\":\"20240823110028-发动\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-23 03:00:33', 12);
INSERT INTO `sys_oper_log` VALUES (92, '状态', 1, 'com.meas.system.controller.MeasStatusController.add()', 'POST', 1, 'admin', '一部', '/meas/status', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-08-23 11:08:08\",\"id\":5,\"index\":3,\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-23 03:08:08', 13);
INSERT INTO `sys_oper_log` VALUES (93, '角度', 1, 'com.meas.system.controller.MeasAngleController.add()', 'POST', 1, 'admin', '一部', '/meas/angle', '127.0.0.1', '内网IP', '{\"angle\":2,\"createTime\":\"2024-08-23 11:08:18\",\"id\":5,\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-23 03:08:18', 16);
INSERT INTO `sys_oper_log` VALUES (94, '测量环境数据', 1, 'com.meas.system.controller.MeasEnvDataController.add()', 'POST', 1, 'admin', '一部', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"2\",\"atmosPress\":1.1,\"concentration\":1.2,\"createTime\":\"2024-08-23 11:12:25\",\"engineModel\":\"5\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"humidity\":1.2,\"id\":5,\"location\":\"111.1\",\"measurementBatchId\":6,\"params\":{},\"temperature\":230.1,\"testDistance\":100,\"time\":\"2024-08-23 11:08\",\"windSpeed\":1.1}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"2\",\"atmosPress\":1.1,\"concentration\":1.2,\"createTime\":\"2024-08-23 11:12:25\",\"engineModel\":\"5\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"humidity\":1.2,\"id\":5,\"location\":\"111.1\",\"measurementBatchId\":6,\"params\":{},\"temperature\":230.1,\"testDistance\":100,\"time\":\"2024-08-23 11:08\",\"windSpeed\":1.1}}', 0, NULL, '2024-08-23 03:12:25', 16);
INSERT INTO `sys_oper_log` VALUES (95, '光谱辐射', 1, 'com.meas.system.controller.MeasSpectralRadiationController.add()', 'POST', 1, 'admin', '一部', '/meas/radiation', '127.0.0.1', '内网IP', '{\"backgroundData\":\"/profile/upload/2024/08/23/lgm_20240823111308A001.lgm\",\"calCurve\":\"/profile/upload/2024/08/23/标定曲线3-5_20240823111312A002.txt\",\"createTime\":\"2024-08-23 11:20:40\",\"gain\":2,\"id\":2,\"lensFView\":12.2,\"measurementBatchId\":5,\"model\":\"qqq\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/23/辐射亮度3-5_20240823111356A006.txt\",\"radiance2\":\"/profile/upload/2024/08/23/辐射亮度8-14_20240823111404A007.txt\",\"rawData\":\"/profile/upload/2024/08/23/222_20240823111353A005.txt\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"backgroundData\":\"/profile/upload/2024/08/23/lgm_20240823111308A001.lgm\",\"calCurve\":\"/profile/upload/2024/08/23/标定曲线3-5_20240823111312A002.txt\",\"createTime\":\"2024-08-23 11:20:40\",\"gain\":2,\"id\":2,\"lensFView\":12.2,\"measurementBatchId\":5,\"model\":\"qqq\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/23/辐射亮度3-5_20240823111356A006.txt\",\"radiance2\":\"/profile/upload/2024/08/23/辐射亮度8-14_20240823111404A007.txt\",\"rawData\":\"/profile/upload/2024/08/23/222_20240823111353A005.txt\"}}', 0, NULL, '2024-08-23 03:20:40', 15);
INSERT INTO `sys_oper_log` VALUES (96, '测量环境数据', 2, 'com.meas.system.controller.MeasEnvDataController.edit()', 'PUT', 1, 'admin', '一部', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"2\",\"atmosPress\":1.1,\"concentration\":1.2,\"createTime\":\"2024-08-23 11:12:25\",\"engineModel\":\"发动\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"humidity\":1.2,\"id\":5,\"location\":\"111.1\",\"measurementBatch\":\"20240823110028-发动\",\"measurementBatchId\":6,\"params\":{},\"temperature\":230.1,\"testDistance\":100,\"time\":\"2024-08-23 11:08\",\"updateTime\":\"2024-08-23 11:20:40\",\"windSpeed\":1.1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-08-23 03:20:40', 12);
INSERT INTO `sys_oper_log` VALUES (97, '透过率', 1, 'com.meas.system.controller.MeasTransmissionRateController.add()', 'POST', 1, 'admin', '一部', '/meas/transmissionRate', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-08-23 11:20:40\",\"curve1\":\"/profile/upload/2024/08/23/透过率_20240823112032A015.txt\",\"curve2\":\"/profile/upload/2024/08/23/透过率_20240823112038A016.txt\",\"id\":2,\"measurementBatchId\":5,\"params\":{},\"rawData\":\"/profile/upload/2024/08/23/11_20240823112028A014.txt\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-08-23 11:20:40\",\"curve1\":\"/profile/upload/2024/08/23/透过率_20240823112032A015.txt\",\"curve2\":\"/profile/upload/2024/08/23/透过率_20240823112038A016.txt\",\"id\":2,\"measurementBatchId\":5,\"params\":{},\"rawData\":\"/profile/upload/2024/08/23/11_20240823112028A014.txt\"}}', 0, NULL, '2024-08-23 03:20:40', 21);
INSERT INTO `sys_oper_log` VALUES (98, '热像仪测试数据', 1, 'com.meas.system.controller.MeasThermalImagerTestDataController.add()', 'POST', 1, 'admin', '一部', '/meas/thermalImagerTesDdata', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-08-23 11:20:40\",\"id\":2,\"integrationTime\":11,\"measurementBatchId\":5,\"model\":\"22\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/08/23/辐射亮度3-5_20240823111923A010.txt\",\"radTemp\":\"/profile/upload/2024/08/23/辐射亮度8-14_20240823112018A013.txt\",\"radiance\":\"/profile/upload/2024/08/23/热像仪_20240823112002A012.txt\",\"tempCal\":\"/profile/upload/2024/08/23/标定曲线3-5_20240823111846A008.txt\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-08-23 11:20:40\",\"id\":2,\"integrationTime\":11,\"measurementBatchId\":5,\"model\":\"22\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/08/23/辐射亮度3-5_20240823111923A010.txt\",\"radTemp\":\"/profile/upload/2024/08/23/辐射亮度8-14_20240823112018A013.txt\",\"radiance\":\"/profile/upload/2024/08/23/热像仪_20240823112002A012.txt\",\"tempCal\":\"/profile/upload/2024/08/23/标定曲线3-5_20240823111846A008.txt\"}}', 0, NULL, '2024-08-23 03:20:40', 30);
INSERT INTO `sys_oper_log` VALUES (99, '数据结果', 2, 'com.meas.system.controller.MeasDataResultsController.edit()', 'PUT', 1, 'admin', '一部', '/meas/dataResults', '127.0.0.1', '内网IP', '{\"angle\":\"2\",\"engineModel\":\"发动\",\"engineStatus\":\"20240823110028-发动\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"measurementBatch\":\"20240823110028-发动\",\"measurementBatchId\":\"5\",\"params\":{},\"specBandIrr1\":3,\"specBandIrr2\":5,\"specIrr1\":\"/profile/upload/2024/08/23/光谱辐射计3~5μm波段的标定系数_20240823113407A017.txt\",\"specIrr2\":\"/profile/upload/2024/08/23/光谱辐射计8~14μm波段的标定系数_20240823113411A018.txt\",\"updateTime\":\"2024-08-23 11:34:26\"}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2024-08-23 03:34:26', 7);
INSERT INTO `sys_oper_log` VALUES (100, '数据结果', 2, 'com.meas.system.controller.MeasDataResultsController.edit()', 'PUT', 1, 'admin', '一部', '/meas/dataResults', '127.0.0.1', '内网IP', '{\"angle\":\"2\",\"engineModel\":\"发动\",\"engineStatus\":\"20240823110028-发动\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"measurementBatch\":\"20240823110028-发动\",\"measurementBatchId\":\"5\",\"params\":{},\"specBandIrr1\":3,\"specBandIrr2\":5,\"specIrr1\":\"/profile/upload/2024/08/23/光谱辐射计3~5μm波段的标定系数_20240823113407A017.txt\",\"specIrr2\":\"/profile/upload/2024/08/23/光谱辐射计8~14μm波段的标定系数_20240823113411A018.txt\",\"updateTime\":\"2024-08-23 11:34:31\"}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2024-08-23 03:34:31', 5);
INSERT INTO `sys_oper_log` VALUES (101, '数据结果', 2, 'com.meas.system.controller.MeasDataResultsController.edit()', 'PUT', 1, 'admin', '一部', '/meas/dataResults', '127.0.0.1', '内网IP', '{\"angle\":\"2\",\"engineModel\":\"发动\",\"engineStatus\":\"20240823110028-发动\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"measurementBatch\":\"20240823110028-发动\",\"measurementBatchId\":\"5\",\"params\":{},\"specBandIrr1\":3,\"specBandIrr2\":5,\"specIrr1\":\"/profile/upload/2024/08/23/光谱辐射计3~5μm波段的标定系数_20240823113407A017.txt\",\"specIrr2\":\"/profile/upload/2024/08/23/光谱辐射计8~14μm波段的标定系数_20240823113411A018.txt\",\"updateTime\":\"2024-08-23 11:34:43\"}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2024-08-23 03:34:43', 3);
INSERT INTO `sys_oper_log` VALUES (102, '数据结果', 2, 'com.meas.system.controller.MeasDataResultsController.edit()', 'PUT', 1, 'admin', '一部', '/meas/dataResults', '127.0.0.1', '内网IP', '{\"angle\":\"2\",\"engineModel\":\"发动\",\"engineStatus\":\"20240823110028-发动\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"measurementBatch\":\"20240823110028-发动\",\"measurementBatchId\":\"5\",\"params\":{},\"specBandIrr1\":3,\"specBandIrr2\":5,\"specIrr1\":\"/profile/upload/2024/08/23/光谱辐射计3~5μm波段的标定系数_20240823113407A017.txt\",\"specIrr2\":\"/profile/upload/2024/08/23/光谱辐射计8~14μm波段的标定系数_20240823113411A018.txt\",\"updateTime\":\"2024-08-23 11:42:10\"}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2024-08-23 03:42:10', 7);
INSERT INTO `sys_oper_log` VALUES (103, '菜单管理', 1, 'com.meas.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"redis\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"测量后台管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"bg\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 01:52:10', 28);
INSERT INTO `sys_oper_log` VALUES (104, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/radiation/index\",\"createTime\":\"2024-06-13 06:18:11\",\"icon\":\"select\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"光谱辐射\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2056,\"path\":\"radiation\",\"perms\":\"meas:radiation:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 01:52:27', 13);
INSERT INTO `sys_oper_log` VALUES (105, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/thermalImagerTesDdata/index\",\"createTime\":\"2024-06-13 06:19:21\",\"icon\":\"online\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2025,\"menuName\":\"热像仪测试数据\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2056,\"path\":\"thermalImagerTesDdata\",\"perms\":\"meas:thermalImagerTesDdata:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 01:52:37', 12);
INSERT INTO `sys_oper_log` VALUES (106, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/transmissionRate/index\",\"createTime\":\"2024-06-13 06:19:33\",\"icon\":\"druid\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"透过率\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":2056,\"path\":\"transmissionRate\",\"perms\":\"meas:transmissionRate:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 01:52:46', 13);
INSERT INTO `sys_oper_log` VALUES (107, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"meas/dataResults/index\",\"createTime\":\"2024-06-13 06:19:16\",\"icon\":\"table\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"数据结果\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"dataResults\",\"perms\":\"meas:dataResults:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 01:53:05', 13);
INSERT INTO `sys_oper_log` VALUES (108, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-07-24 06:29:02\",\"icon\":\"slider\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2055,\"menuName\":\"基础数据管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"backdata\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 01:53:32', 13);
INSERT INTO `sys_oper_log` VALUES (109, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-09-06 01:52:10\",\"icon\":\"redis\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2056,\"menuName\":\"后台数据管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"bg\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 01:55:00', 13);
INSERT INTO `sys_oper_log` VALUES (110, '菜单管理', 2, 'com.meas.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-07-24 06:29:02\",\"icon\":\"slider\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2055,\"menuName\":\"基础数据管理\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"backdata\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 01:55:06', 13);
INSERT INTO `sys_oper_log` VALUES (111, '发动机型号', 1, 'com.meas.system.controller.MeasEngineModelController.add()', 'POST', 1, 'admin', '研发部门', '/meas/engineModel', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-09-06 10:20:45\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"id\":6,\"model\":\"超级发动机\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 02:20:45', 75);
INSERT INTO `sys_oper_log` VALUES (112, '测量批次', 1, 'com.meas.system.controller.MeasBatchController.add()', 'POST', 1, 'admin', '研发部门', '/meas/measBatch', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-09-06 10:22:22\",\"engineId\":6,\"id\":7,\"measurementBatch\":\"20240906102158-超级发动机\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 02:22:22', 12);
INSERT INTO `sys_oper_log` VALUES (113, '测量批次', 1, 'com.meas.system.controller.MeasBatchController.add()', 'POST', 1, 'admin', '研发部门', '/meas/measBatch', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-09-06 10:22:35\",\"engineId\":6,\"id\":8,\"measurementBatch\":\"20240906102232-超级发动机\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 02:22:35', 10);
INSERT INTO `sys_oper_log` VALUES (114, '测量环境数据', 1, 'com.meas.system.controller.MeasEnvDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"atmosPress\":1000,\"concentration\":1000,\"createTime\":\"2024-09-06 10:25:17\",\"engineModel\":\"6\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"humidity\":99.99,\"id\":6,\"location\":\"西安\",\"measurementBatchId\":7,\"params\":{},\"temperature\":230.11,\"testDistance\":12,\"time\":\"2024-09-10 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/09/06/涡轮后温度_20240906102344A004.txt\",\"windSpeed\":100}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"-180\",\"atmosPress\":1000,\"concentration\":1000,\"createTime\":\"2024-09-06 10:25:17\",\"engineModel\":\"6\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"humidity\":99.99,\"id\":6,\"location\":\"西安\",\"measurementBatchId\":7,\"params\":{},\"temperature\":230.11,\"testDistance\":12,\"time\":\"2024-09-10 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/09/06/涡轮后温度_20240906102344A004.txt\",\"windSpeed\":100}}', 0, NULL, '2024-09-06 02:25:17', 16);
INSERT INTO `sys_oper_log` VALUES (115, '测量环境数据', 2, 'com.meas.system.controller.MeasEnvDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"atmosPress\":1000,\"concentration\":1000,\"createTime\":\"2024-09-06 10:25:17\",\"engineModel\":\"超级发动机\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"humidity\":99.99,\"id\":6,\"location\":\"西安\",\"measurementBatch\":\"20240906102158-超级发动机\",\"measurementBatchId\":7,\"params\":{},\"temperature\":230.11,\"testDistance\":12,\"time\":\"2024-09-10 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/09/06/涡轮后温度_20240906102344A004.txt\",\"updateTime\":\"2024-09-06 11:24:56\",\"windSpeed\":100}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 03:24:56', 25);
INSERT INTO `sys_oper_log` VALUES (116, '透过率', 1, 'com.meas.system.controller.MeasTransmissionRateController.add()', 'POST', 1, 'admin', '研发部门', '/meas/transmissionRate', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-09-06 11:24:56\",\"curve1\":\"/profile/upload/2024/09/06/透过率_20240906112448A041.txt\",\"curve2\":\"/profile/upload/2024/09/06/透过率_20240906112454A042.txt\",\"id\":3,\"measurementBatchId\":6,\"params\":{},\"rawData\":\"/profile/upload/2024/09/06/目标数据-原始_20240906112440A040.txt\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-09-06 11:24:56\",\"curve1\":\"/profile/upload/2024/09/06/透过率_20240906112448A041.txt\",\"curve2\":\"/profile/upload/2024/09/06/透过率_20240906112454A042.txt\",\"id\":3,\"measurementBatchId\":6,\"params\":{},\"rawData\":\"/profile/upload/2024/09/06/目标数据-原始_20240906112440A040.txt\"}}', 0, NULL, '2024-09-06 03:24:57', 103);
INSERT INTO `sys_oper_log` VALUES (117, '热像仪测试数据', 1, 'com.meas.system.controller.MeasThermalImagerTestDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/thermalImagerTesDdata', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-09-06 11:24:56\",\"filterNo\":\"xxfe123\",\"fps\":\"30\",\"id\":3,\"integrationTime\":100,\"lensFView\":\"1000\",\"measurementBatchId\":6,\"model\":\"x型号\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/06/辐射亮度3-5_20240906112219A037.txt\",\"radTemp\":\"/profile/upload/2024/09/06/热像仪-辐射温度_20240906112423A039.txt\",\"radiance\":\"/profile/upload/2024/09/06/热像仪-辐射亮度_20240906105209A025.txt\",\"spectralBand\":\"3\",\"tempCal\":\"/profile/upload/2024/09/06/标定温度_20240906105615A031.txt\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-09-06 11:24:56\",\"filterNo\":\"xxfe123\",\"fps\":\"30\",\"id\":3,\"integrationTime\":100,\"lensFView\":\"1000\",\"measurementBatchId\":6,\"model\":\"x型号\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/06/辐射亮度3-5_20240906112219A037.txt\",\"radTemp\":\"/profile/upload/2024/09/06/热像仪-辐射温度_20240906112423A039.txt\",\"radiance\":\"/profile/upload/2024/09/06/热像仪-辐射亮度_20240906105209A025.txt\",\"spectralBand\":\"3\",\"tempCal\":\"/profile/upload/2024/09/06/标定温度_20240906105615A031.txt\"}}', 0, NULL, '2024-09-06 03:24:57', 117);
INSERT INTO `sys_oper_log` VALUES (118, '光谱辐射', 1, 'com.meas.system.controller.MeasSpectralRadiationController.add()', 'POST', 1, 'admin', '研发部门', '/meas/radiation', '127.0.0.1', '内网IP', '{\"backgroundData\":\"/profile/upload/2024/09/06/背景数据_20240906102554A005.lgm\",\"calCurve\":\"/profile/upload/2024/09/06/标定曲线3-5_20240906102605A006.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/06/标定温度_20240906112115A036.txt\\\"}]\",\"createTime\":\"2024-09-06 11:24:56\",\"gain\":2,\"lensFView\":88,\"measurementBatchId\":6,\"model\":\"x型号\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/06/光谱辐射计测得3~5μm的光谱辐射亮度_20240906112052A035.txt\",\"radiance2\":\"/profile/upload/2024/09/06/光谱辐射计测得8~14μm的光谱辐射亮度_20240906112020A034.txt\",\"rawData\":\"/profile/upload/2024/09/06/目标数据-原始_20240906104447A013.txt\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906112115A036.txt\"}]\' for column \'cal_temp\' at row 1\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasSpectralRadiationMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasSpectralRadiationMapper.insertMeasSpectralRadiation-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_spectral_radiation          ( measurement_batch_id,             model,             lens_f_view,             gain,             background_data,             cal_temp,             cal_curve,             raw_data,             radiance_1,             radiance_2,                          create_time )           values ( ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,                          ? )\r\n### Cause: java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906112115A036.txt\"}]\' for column \'cal_temp\' at row 1\n; uncategorized SQLException; SQL state [HY000]; error code [1366]; Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906112115A036.txt\"}]\' for column \'cal_temp\' at row 1; nested exception is java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906112115A036.txt\"}]\' for column \'cal_temp\' at row 1', '2024-09-06 03:24:57', 442);
INSERT INTO `sys_oper_log` VALUES (119, '光谱辐射', 1, 'com.meas.system.controller.MeasSpectralRadiationController.add()', 'POST', 1, 'admin', '研发部门', '/meas/radiation', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/06/标定温度_20240906113151A044.txt\\\"}]\",\"createTime\":\"2024-09-06 11:32:01\",\"engineModel\":\"超级发动机\",\"engineStatus\":\"最最大\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"lensFView\":10,\"measurementBatch\":\"20240906102158-超级发动机\",\"measurementBatchId\":6,\"model\":\"222\",\"params\":{}}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906113151A044.txt\"}]\' for column \'cal_temp\' at row 1\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasSpectralRadiationMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasSpectralRadiationMapper.insertMeasSpectralRadiation-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_spectral_radiation          ( measurement_batch_id,             model,             lens_f_view,             gain,                          cal_temp,                                                                              create_time )           values ( ?,             ?,             ?,             ?,                          ?,                                                                              ? )\r\n### Cause: java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906113151A044.txt\"}]\' for column \'cal_temp\' at row 1\n; uncategorized SQLException; SQL state [HY000]; error code [1366]; Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906113151A044.txt\"}]\' for column \'cal_temp\' at row 1; nested exception is java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906113151A044.txt\"}]\' for column \'cal_temp\' at row 1', '2024-09-06 03:32:01', 7);
INSERT INTO `sys_oper_log` VALUES (120, '测量环境数据', 2, 'com.meas.system.controller.MeasEnvDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"atmosPress\":1000,\"concentration\":1000,\"createTime\":\"2024-09-06 10:25:17\",\"engineModel\":\"超级发动机\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"humidity\":99.99,\"id\":6,\"location\":\"西安\",\"measurementBatch\":\"20240906102158-超级发动机\",\"measurementBatchId\":7,\"params\":{},\"temperature\":230.11,\"testDistance\":12,\"time\":\"2024-09-10 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/09/06/涡轮后温度_20240906102344A004.txt\",\"updateTime\":\"2024-09-06 11:32:01\",\"windSpeed\":100}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 03:32:01', 15);
INSERT INTO `sys_oper_log` VALUES (121, '热像仪测试数据', 2, 'com.meas.system.controller.MeasThermalImagerTestDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/thermalImagerTesDdata', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"createTime\":\"2024-09-06 11:24:57\",\"engineModel\":\"超级发动机\",\"engineStatus\":\"最最大\",\"filterNo\":\"xxfe123\",\"fps\":\"30\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"id\":3,\"integrationTime\":100,\"lensFView\":\"1000\",\"measurementBatch\":\"20240906102158-超级发动机\",\"measurementBatchId\":6,\"model\":\"x型号\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/06/辐射亮度3-5_20240906112219A037.txt\",\"radTemp\":\"/profile/upload/2024/09/06/热像仪-辐射温度_20240906112423A039.txt\",\"radiance\":\"/profile/upload/2024/09/06/热像仪-辐射亮度_20240906105209A025.txt\",\"spectralBand\":\"3\",\"tempCal\":\"/profile/upload/2024/09/06/标定温度_20240906105615A031.txt\",\"updateTime\":\"2024-09-06 11:32:01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 03:32:01', 17);
INSERT INTO `sys_oper_log` VALUES (122, '透过率', 2, 'com.meas.system.controller.MeasTransmissionRateController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/transmissionRate', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"createTime\":\"2024-09-06 11:24:57\",\"curve1\":\"/profile/upload/2024/09/06/透过率_20240906112448A041.txt\",\"curve2\":\"/profile/upload/2024/09/06/透过率_20240906112454A042.txt\",\"engineModel\":\"超级发动机\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"id\":3,\"measurementBatch\":\"20240906102158-超级发动机\",\"measurementBatchId\":6,\"params\":{},\"rawData\":\"/profile/upload/2024/09/06/目标数据-原始_20240906112440A040.txt\",\"updateTime\":\"2024-09-06 11:32:01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-06 03:32:01', 17);
INSERT INTO `sys_oper_log` VALUES (123, '发动机型号', 1, 'com.meas.system.controller.MeasEngineModelController.add()', 'POST', 1, 'admin', '研发部门', '/meas/engineModel', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-09-09 15:22:35\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":7,\"model\":\"发动机A\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-09 07:22:35', 56);
INSERT INTO `sys_oper_log` VALUES (124, '测量批次', 1, 'com.meas.system.controller.MeasBatchController.add()', 'POST', 1, 'admin', '研发部门', '/meas/measBatch', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-09-09 15:23:45\",\"engineId\":7,\"id\":9,\"measurementBatch\":\"123-发动机A\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-09 07:23:46', 26);
INSERT INTO `sys_oper_log` VALUES (125, '状态', 1, 'com.meas.system.controller.MeasStatusController.add()', 'POST', 1, 'admin', '研发部门', '/meas/status', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-09-09 15:24:56\",\"id\":6,\"index\":-1,\"params\":{},\"status\":\"状态测试\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-09 07:24:56', 21);
INSERT INTO `sys_oper_log` VALUES (126, '测量环境数据', 1, 'com.meas.system.controller.MeasEnvDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:24\",\"engineModel\":\"7\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":100,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"windSpeed\":100}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:24\",\"engineModel\":\"7\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":100,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"windSpeed\":100}}', 0, NULL, '2024-09-09 07:27:24', 43);
INSERT INTO `sys_oper_log` VALUES (127, '测量环境数据', 2, 'com.meas.system.controller.MeasEnvDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":100,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-09-09 15:35:39\",\"windSpeed\":100}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-09 07:35:39', 42);
INSERT INTO `sys_oper_log` VALUES (128, '光谱辐射', 1, 'com.meas.system.controller.MeasSpectralRadiationController.add()', 'POST', 1, 'admin', '研发部门', '/meas/radiation', '127.0.0.1', '内网IP', '{\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"createTime\":\"2024-09-09 15:35:39\",\"gain\":10,\"id\":3,\"lensFView\":10,\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"createTime\":\"2024-09-09 15:35:39\",\"gain\":10,\"id\":3,\"lensFView\":10,\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\"}}', 0, NULL, '2024-09-09 07:35:39', 128);
INSERT INTO `sys_oper_log` VALUES (129, '透过率', 1, 'com.meas.system.controller.MeasTransmissionRateController.add()', 'POST', 1, 'admin', '研发部门', '/meas/transmissionRate', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-09-09 15:35:39\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"id\":4,\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/09/09/222_20240909153501A015.txt\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-09-09 15:35:39\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"id\":4,\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/09/09/222_20240909153501A015.txt\"}}', 0, NULL, '2024-09-09 07:35:39', 133);
INSERT INTO `sys_oper_log` VALUES (130, '热像仪测试数据', 1, 'com.meas.system.controller.MeasThermalImagerTestDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/thermalImagerTesDdata', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-09-09 15:35:39\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt\",\"radTemp\":\"/profile/upload/2024/09/09/11_20240909153422A014.txt\",\"radiance\":\"/profile/upload/2024/09/09/热像仪-辐射亮度_20240909153257A012.txt\",\"spectralBand\":\"1000000000000\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-09-09 15:35:39\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt\",\"radTemp\":\"/profile/upload/2024/09/09/11_20240909153422A014.txt\",\"radiance\":\"/profile/upload/2024/09/09/热像仪-辐射亮度_20240909153257A012.txt\",\"spectralBand\":\"1000000000000\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\"}}', 0, NULL, '2024-09-09 07:35:39', 129);
INSERT INTO `sys_oper_log` VALUES (131, '测量环境数据', 2, 'com.meas.system.controller.MeasEnvDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":100,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-09-09 16:23:23\",\"windSpeed\":100}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-09 08:23:23', 14);
INSERT INTO `sys_oper_log` VALUES (132, '光谱辐射', 2, 'com.meas.system.controller.MeasSpectralRadiationController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/radiation', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"updateTime\":\"2024-09-09 16:23:23\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-09 08:23:23', 12);
INSERT INTO `sys_oper_log` VALUES (133, '透过率', 2, 'com.meas.system.controller.MeasTransmissionRateController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/transmissionRate', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/09/09/222_20240909153501A015.txt\",\"updateTime\":\"2024-09-09 16:23:23\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-09 08:23:23', 16);
INSERT INTO `sys_oper_log` VALUES (134, '热像仪测试数据', 2, 'com.meas.system.controller.MeasThermalImagerTestDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/meas/thermalImagerTesDdata', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt\",\"radTemp\":\"/profile/upload/2024/09/09/11_20240909153422A014.txt\",\"radiance\":\"/profile/upload/2024/09/09/热像仪-辐射亮度_20240909153257A012.txt\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-09-09 16:23:23\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-09-09 08:23:23', 16);
INSERT INTO `sys_oper_log` VALUES (135, '测量批次', 1, 'com.meas.system.controller.MeasBatchController.add()', 'POST', 1, 'admin', '研发部门', '/meas/measBatch', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-10-29 15:05:37\",\"engineId\":5,\"id\":10,\"measurementBatch\":\"20241029150535-发动\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-29 07:05:38', 376);
INSERT INTO `sys_oper_log` VALUES (136, '测量环境数据', 1, 'com.meas.system.controller.MeasEnvDataController.add()', 'POST', 1, 'admin', '研发部门', '/meas/envData', '127.0.0.1', '内网IP', '{\"angle\":\"-180\",\"createTime\":\"2024-10-29 15:08:19\",\"engineModel\":\"5\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"id\":8,\"location\":\"1\",\"measurementBatchId\":10,\"params\":{},\"testDistance\":1,\"time\":\"2024-10-29 15:08\"}', '{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"-180\",\"createTime\":\"2024-10-29 15:08:19\",\"engineModel\":\"5\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"id\":8,\"location\":\"1\",\"measurementBatchId\":10,\"params\":{},\"testDistance\":1,\"time\":\"2024-10-29 15:08\"}}', 0, NULL, '2024-10-29 07:08:19', 54);

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int(4) NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '岗位信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2024-06-13 03:27:02', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2024-06-13 03:27:02', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2024-06-13 03:27:02', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2024-06-13 03:27:02', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(4) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-06-13 03:27:02', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-06-13 03:27:02', 'admin', '2024-07-24 06:29:50', '普通角色');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和部门关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 102);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 105);
INSERT INTO `sys_role_menu` VALUES (2, 106);
INSERT INTO `sys_role_menu` VALUES (2, 107);
INSERT INTO `sys_role_menu` VALUES (2, 108);
INSERT INTO `sys_role_menu` VALUES (2, 109);
INSERT INTO `sys_role_menu` VALUES (2, 110);
INSERT INTO `sys_role_menu` VALUES (2, 111);
INSERT INTO `sys_role_menu` VALUES (2, 112);
INSERT INTO `sys_role_menu` VALUES (2, 113);
INSERT INTO `sys_role_menu` VALUES (2, 114);
INSERT INTO `sys_role_menu` VALUES (2, 115);
INSERT INTO `sys_role_menu` VALUES (2, 116);
INSERT INTO `sys_role_menu` VALUES (2, 117);
INSERT INTO `sys_role_menu` VALUES (2, 500);
INSERT INTO `sys_role_menu` VALUES (2, 501);
INSERT INTO `sys_role_menu` VALUES (2, 1000);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1012);
INSERT INTO `sys_role_menu` VALUES (2, 1013);
INSERT INTO `sys_role_menu` VALUES (2, 1014);
INSERT INTO `sys_role_menu` VALUES (2, 1015);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 1025);
INSERT INTO `sys_role_menu` VALUES (2, 1026);
INSERT INTO `sys_role_menu` VALUES (2, 1027);
INSERT INTO `sys_role_menu` VALUES (2, 1028);
INSERT INTO `sys_role_menu` VALUES (2, 1029);
INSERT INTO `sys_role_menu` VALUES (2, 1030);
INSERT INTO `sys_role_menu` VALUES (2, 1031);
INSERT INTO `sys_role_menu` VALUES (2, 1032);
INSERT INTO `sys_role_menu` VALUES (2, 1033);
INSERT INTO `sys_role_menu` VALUES (2, 1034);
INSERT INTO `sys_role_menu` VALUES (2, 1035);
INSERT INTO `sys_role_menu` VALUES (2, 1036);
INSERT INTO `sys_role_menu` VALUES (2, 1037);
INSERT INTO `sys_role_menu` VALUES (2, 1038);
INSERT INTO `sys_role_menu` VALUES (2, 1039);
INSERT INTO `sys_role_menu` VALUES (2, 1040);
INSERT INTO `sys_role_menu` VALUES (2, 1041);
INSERT INTO `sys_role_menu` VALUES (2, 1042);
INSERT INTO `sys_role_menu` VALUES (2, 1043);
INSERT INTO `sys_role_menu` VALUES (2, 1044);
INSERT INTO `sys_role_menu` VALUES (2, 1045);
INSERT INTO `sys_role_menu` VALUES (2, 1046);
INSERT INTO `sys_role_menu` VALUES (2, 1047);
INSERT INTO `sys_role_menu` VALUES (2, 1048);
INSERT INTO `sys_role_menu` VALUES (2, 1049);
INSERT INTO `sys_role_menu` VALUES (2, 1050);
INSERT INTO `sys_role_menu` VALUES (2, 1051);
INSERT INTO `sys_role_menu` VALUES (2, 1052);
INSERT INTO `sys_role_menu` VALUES (2, 1053);
INSERT INTO `sys_role_menu` VALUES (2, 1054);
INSERT INTO `sys_role_menu` VALUES (2, 1055);
INSERT INTO `sys_role_menu` VALUES (2, 1056);
INSERT INTO `sys_role_menu` VALUES (2, 1057);
INSERT INTO `sys_role_menu` VALUES (2, 1058);
INSERT INTO `sys_role_menu` VALUES (2, 1059);
INSERT INTO `sys_role_menu` VALUES (2, 1060);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '若依', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-10-29 14:44:19', 'admin', '2024-06-13 03:27:02', '', '2024-10-29 06:44:18', '管理员');
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '若依', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-06-13 03:27:02', 'admin', '2024-06-13 03:27:02', '', NULL, '测试员');

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);

SET FOREIGN_KEY_CHECKS = 1;
