/*
SQLyog Community v13.1.6 (64 bit)
MySQL - 8.4.0 : Database - meas
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`meas` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;

USE `meas`;

/*Table structure for table `gen_table` */

DROP TABLE IF EXISTS `gen_table`;

CREATE TABLE `gen_table` (
  `table_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `tpl_web_type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '前端模板类型（element-ui模版 element-plus模版）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='代码生成业务表';

/*Data for the table `gen_table` */

insert  into `gen_table`(`table_id`,`table_name`,`table_comment`,`sub_table_name`,`sub_table_fk_name`,`class_name`,`tpl_category`,`tpl_web_type`,`package_name`,`module_name`,`business_name`,`function_name`,`function_author`,`gen_type`,`gen_path`,`options`,`create_by`,`create_time`,`update_by`,`update_time`,`remark`) values 
(1,'meas_batch','测量批次表',NULL,NULL,'MeasBatch','crud','element-ui','com.ruoyi.system','meas','measBatch','测量批次','wgk','0','/','{\"parentMenuId\":\"2000\"}','admin','2024-06-13 03:41:03','','2024-06-13 05:58:42',NULL),
(2,'meas_data_results','数据结果表',NULL,NULL,'MeasDataResults','crud','element-ui','com.ruoyi.system','meas','dataResults','数据结果','wgk','0','/','{\"parentMenuId\":2000}','admin','2024-06-13 03:41:03','','2024-06-13 06:07:14',NULL),
(3,'meas_engine_model','发动机型号表',NULL,NULL,'MeasEngineModel','crud','element-ui','com.ruoyi.meas','meas','engineModel','发动机型号','km','0','/','{\"parentMenuId\":\"2000\"}','admin','2024-06-13 03:41:03','','2024-06-13 03:45:57',NULL),
(5,'meas_spectral_radiation','光谱辐射表',NULL,NULL,'MeasSpectralRadiation','crud','element-ui','com.ruoyi.system','meas','radiation','光谱辐射','wgk','0','/','{\"parentMenuId\":\"2000\"}','admin','2024-06-13 03:41:03','','2024-10-31 10:48:10',NULL),
(6,'meas_thermal_imager_test_data','热像仪测试数据表',NULL,NULL,'MeasThermalImagerTestData','crud','element-ui','com.ruoyi.system','meas','thermalImagerTesDdata','热像仪测试数据','wgk','0','/','{\"parentMenuId\":2000}','admin','2024-06-13 03:41:03','','2024-06-13 06:11:59',NULL),
(7,'meas_transmission_rate','透过率表',NULL,NULL,'MeasTransmissionRate','crud','element-ui','com.ruoyi.system','meas','transmissionRate','透过率','wgk','0','/','{\"parentMenuId\":2000}','admin','2024-06-13 03:41:03','','2024-06-13 06:13:01',NULL),
(8,'meas_env_data','测量环境数据表',NULL,NULL,'MeasEnvData','crud','element-ui','com.ruoyi.system','meas','envData','测量环境数据','wgk','0','/','{\"parentMenuId\":2000}','admin','2024-06-13 06:03:31','','2024-06-13 06:06:52',NULL),
(15,'meas_angle','角度表',NULL,NULL,'MeasAngle','crud','element-ui','com.meas.system','system','angle','角度','Allen','0','/','{}','admin','2024-07-24 02:12:05','','2024-07-24 02:13:27',NULL),
(16,'meas_status','状态表',NULL,NULL,'MeasStatus','crud','element-ui','com.meas.system','system','status','状态','Allen','0','/','{}','admin','2024-07-24 02:12:05','','2024-07-24 02:31:19',NULL);

/*Table structure for table `gen_table_column` */

DROP TABLE IF EXISTS `gen_table_column`;

CREATE TABLE `gen_table_column` (
  `column_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` bigint DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '字典类型',
  `sort` int DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=152 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='代码生成业务表字段';

/*Data for the table `gen_table_column` */

insert  into `gen_table_column`(`column_id`,`table_id`,`column_name`,`column_comment`,`column_type`,`java_type`,`java_field`,`is_pk`,`is_increment`,`is_required`,`is_insert`,`is_edit`,`is_list`,`is_query`,`query_type`,`html_type`,`dict_type`,`sort`,`create_by`,`create_time`,`update_by`,`update_time`) values 
(1,1,'id','编号','int(11)','Long','id','1','0','0','0',NULL,NULL,NULL,'EQ','input','',1,'admin','2024-06-13 03:41:03','','2024-06-13 05:58:42'),
(2,1,'engine_id','发动机型号ID','int(11)','Long','engineId','0','0','1','1','1','1','1','EQ','input','',2,'admin','2024-06-13 03:41:03','','2024-06-13 05:58:42'),
(3,1,'measurement_batch','测量批次','varchar(255)','String','measurementBatch','0','0','1','1','1','1','1','EQ','input','',3,'admin','2024-06-13 03:41:03','','2024-06-13 05:58:42'),
(4,1,'create_by','创建人','varchar(32)','String','createBy','0','0','0','0',NULL,'1',NULL,'EQ','input','',4,'admin','2024-06-13 03:41:03','','2024-06-13 05:58:42'),
(5,1,'create_time','创建时间','datetime','Date','createTime','0','0','0','0',NULL,NULL,NULL,'EQ','datetime','',5,'admin','2024-06-13 03:41:03','','2024-06-13 05:58:42'),
(6,1,'update_by','更新人','varchar(32)','String','updateBy','0','0','0','0','0',NULL,NULL,'EQ','input','',6,'admin','2024-06-13 03:41:03','','2024-06-13 05:58:42'),
(7,1,'update_time','更新时间','datetime','Date','updateTime','0','0','0','0','0',NULL,NULL,'EQ','datetime','',7,'admin','2024-06-13 03:41:03','','2024-06-13 05:58:42'),
(8,2,'id','编号','int(11)','Long','id','1','0','0','0',NULL,NULL,NULL,'EQ','input','',1,'admin','2024-06-13 03:41:03','','2024-06-13 06:07:14'),
(9,2,'measurement_batch_id','测量批次id','varchar(255)','String','measurementBatchId','0','0','1','1','1','1','1','EQ','input','',2,'admin','2024-06-13 03:41:03','','2024-06-13 06:07:14'),
(10,2,'spec_irr_1','光谱辐射强度3~5μm','varchar(255)','String','specIrr1','0','0','0','1','1','1','1','EQ','fileUpload','',3,'admin','2024-06-13 03:41:03','','2024-06-13 06:07:14'),
(11,2,'spec_irr_2','光谱辐射强度8~14μm','varchar(255)','String','specIrr2','0','0','0','1','1','1','1','EQ','fileUpload','',4,'admin','2024-06-13 03:41:03','','2024-06-13 06:07:14'),
(12,2,'spec_band_irr_1','波段辐射强度3~5μm','decimal(8,2)','BigDecimal','specBandIrr1','0','0','0','1','1','1','1','EQ','input','',5,'admin','2024-06-13 03:41:03','','2024-06-13 06:07:14'),
(13,2,'spec_band_irr_2','波段辐射强度8~14μm','decimal(8,2)','BigDecimal','specBandIrr2','0','0','0','1','1','1','1','EQ','input','',6,'admin','2024-06-13 03:41:03','','2024-06-13 06:07:14'),
(14,2,'create_by','创建人','varchar(32)','String','createBy','0','0','0','0',NULL,'1',NULL,'EQ','input','',7,'admin','2024-06-13 03:41:03','','2024-06-13 06:07:14'),
(15,2,'create_time','创建时间','datetime','Date','createTime','0','0','0','0',NULL,NULL,NULL,'EQ','datetime','',8,'admin','2024-06-13 03:41:03','','2024-06-13 06:07:14'),
(16,2,'update_by','更新人','varchar(32)','String','updateBy','0','0','0','0','0','1',NULL,'EQ','input','',9,'admin','2024-06-13 03:41:03','','2024-06-13 06:07:14'),
(17,2,'update_time','更新时间','datetime','Date','updateTime','0','0','0','0','0',NULL,NULL,'EQ','datetime','',10,'admin','2024-06-13 03:41:03','','2024-06-13 06:07:14'),
(18,3,'id','编号','int(11)','Long','id','1','0','0','0',NULL,NULL,NULL,'EQ','input','',1,'admin','2024-06-13 03:41:03','','2024-06-13 03:45:57'),
(19,3,'model','发动机型号','varchar(50)','String','model','0','0','1','1','1','1','1','EQ','input','',2,'admin','2024-06-13 03:41:03','','2024-06-13 03:45:57'),
(20,3,'geometry_files','几何模型文件','varchar(255)','String','geometryFiles','0','0','0','1','1','1','1','EQ','fileUpload','',3,'admin','2024-06-13 03:41:03','','2024-06-13 03:45:57'),
(21,3,'geometry_image','几何模型图片','varchar(255)','String','geometryImage','0','0','0','1','1','1','1','EQ','imageUpload','',4,'admin','2024-06-13 03:41:03','','2024-06-13 03:45:57'),
(22,3,'create_by','创建人','varchar(32)','String','createBy','0','0','0','0',NULL,'1',NULL,'EQ','input','',5,'admin','2024-06-13 03:41:03','','2024-06-13 03:45:57'),
(23,3,'create_time','创建时间','datetime','Date','createTime','0','0','0','0',NULL,NULL,NULL,'EQ','datetime','',6,'admin','2024-06-13 03:41:03','','2024-06-13 03:45:57'),
(24,3,'update_by','更新人','varchar(32)','String','updateBy','0','0','0','0','0',NULL,NULL,'EQ','input','',7,'admin','2024-06-13 03:41:03','','2024-06-13 03:45:57'),
(25,3,'update_time','更新时间','datetime','Date','updateTime','0','0','0','0','0','1',NULL,'EQ','datetime','',8,'admin','2024-06-13 03:41:03','','2024-06-13 03:45:57'),
(43,5,'id','编号','int(11)','Long','id','1','0','0','1',NULL,NULL,NULL,'EQ','input','',1,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(44,5,'measurement_batch_id','测量批次id','int(11)','Long','measurementBatchId','0','0','1','1','1','1','1','EQ','input','',2,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(45,5,'model','型号','varchar(50)','String','model','0','0','1','1','1','1','1','EQ','input','',3,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(46,5,'lens_f_view','镜头视场角','decimal(8,2)','BigDecimal','lensFView','0','0','1','1','1','1','1','EQ','input','',4,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(47,5,'gain','增益','int(11)','Long','gain','0','0','1','1','1','1','1','EQ','input','',5,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(48,5,'background_data','背景数据','varchar(255)','String','backgroundData','0','0','0','1','1','1','1','EQ','fileUpload','',6,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(49,5,'cal_temp','标定温度','int(11)','String','calTemp','0','0','0','1','1','1','1','EQ','input','',7,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(50,5,'cal_curve','标定曲线','varchar(255)','String','calCurve','0','0','0','1','1','1','1','EQ','fileUpload','',8,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(51,5,'raw_data','原始数据','varchar(255)','String','rawData','0','0','0','1','1','1','1','EQ','fileUpload','',9,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(52,5,'radiance_1','辐射亮度（3~5μm）','varchar(255)','String','radiance1','0','0','0','1','1','1','1','EQ','fileUpload','',10,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(53,5,'radiance_2','辐射亮度（8~14μm）','varchar(255)','String','radiance2','0','0','0','1','1','1','1','EQ','fileUpload','',11,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(54,5,'create_by','创建人','varchar(32)','String','createBy','0','0','0','1',NULL,'1',NULL,'EQ','input','',21,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(55,5,'create_time','创建时间','datetime','Date','createTime','0','0','0','1',NULL,NULL,NULL,'EQ','datetime','',22,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(56,5,'update_by','更新人','varchar(32)','String','updateBy','0','0','0','1','1',NULL,NULL,'EQ','input','',23,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(57,5,'update_time','更新时间','datetime','Date','updateTime','0','0','0','1','1','1',NULL,'EQ','datetime','',24,'admin','2024-06-13 03:41:03','','2024-10-31 10:48:18'),
(58,6,'id','编号','int(11)','Long','id','1','0','0','0',NULL,NULL,NULL,'EQ','input','',1,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(59,6,'measurement_batch_id','测量批次id','int(11)','Long','measurementBatchId','0','0','0','1','1','1','1','EQ','input','',2,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(60,6,'model','型号','varchar(50)','String','model','0','0','0','1','1','1','1','EQ','input','',3,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(61,6,'lens_f_view','镜头视场角','varchar(255)','String','lensFView','0','0','0','1','1','1','1','EQ','select','',4,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(62,6,'filter_no','滤镜编号','varchar(255)','String','filterNo','0','0','0','1','1','1','1','EQ','select','',5,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(63,6,'fps','帧率','varchar(255)','String','fps','0','0','0','1','1','1','1','EQ','select','',6,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(64,6,'spectral_band','波段','varchar(255)','String','spectralBand','0','0','0','1','1','1','1','EQ','select','',7,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(65,6,'integration_time','积分时间','int(11)','Long','integrationTime','0','0','0','1','1','1','1','EQ','input','',8,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(66,6,'temp_cal','温度标定','varchar(255)','String','tempCal','0','0','0','1','1','1','1','EQ','fileUpload','',9,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(67,6,'radiance','辐射亮度','varchar(255)','String','radiance','0','0','0','1','1','1','1','EQ','fileUpload','',10,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(68,6,'rad_illumination','辐射照度','varchar(255)','String','radIllumination','0','0','0','1','1','1','1','EQ','fileUpload','',11,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(69,6,'rad_temp','辐射温度','varchar(255)','String','radTemp','0','0','0','1','1','1','1','EQ','fileUpload','',12,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(70,6,'create_by','创建人','varchar(32)','String','createBy','0','0','0','0',NULL,'1',NULL,'EQ','input','',13,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(71,6,'create_time','创建时间','datetime','Date','createTime','0','0','0','0',NULL,NULL,NULL,'EQ','datetime','',14,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(72,6,'update_by','更新人','varchar(32)','String','updateBy','0','0','0','0','0',NULL,NULL,'EQ','input','',15,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(73,6,'update_time','更新时间','datetime','Date','updateTime','0','0','0','0','0','1',NULL,'EQ','datetime','',16,'admin','2024-06-13 03:41:03','','2024-06-13 06:11:59'),
(74,7,'id','编号','int(11)','Long','id','1','0','0','0',NULL,NULL,NULL,'EQ','input','',1,'admin','2024-06-13 03:41:03','','2024-06-13 06:13:01'),
(75,7,'measurement_batch_id','测量批次id','int(11)','Long','measurementBatchId','0','0','1','1','1','1','1','EQ','input','',2,'admin','2024-06-13 03:41:03','','2024-06-13 06:13:01'),
(76,7,'raw_data','原始数据','varchar(255)','String','rawData','0','0','0','1','1','1','1','EQ','fileUpload','',3,'admin','2024-06-13 03:41:03','','2024-06-13 06:13:01'),
(77,7,'curve_1','透过率曲线3~5μm','varchar(255)','String','curve1','0','0','0','1','1','1','1','EQ','fileUpload','',4,'admin','2024-06-13 03:41:03','','2024-06-13 06:13:01'),
(78,7,'curve_2','透过率曲线8~14μm','varchar(255)','String','curve2','0','0','0','1','1','1','1','EQ','fileUpload','',5,'admin','2024-06-13 03:41:03','','2024-06-13 06:13:01'),
(79,7,'create_by','创建人','varchar(32)','String','createBy','0','0','0','0',NULL,'1',NULL,'EQ','input','',6,'admin','2024-06-13 03:41:03','','2024-06-13 06:13:01'),
(80,7,'create_time','创建时间','datetime','Date','createTime','0','0','0','0',NULL,NULL,NULL,'EQ','datetime','',7,'admin','2024-06-13 03:41:03','','2024-06-13 06:13:01'),
(81,7,'update_by','更新人','varchar(32)','String','updateBy','0','0','0','0','0',NULL,NULL,'EQ','input','',8,'admin','2024-06-13 03:41:03','','2024-06-13 06:13:01'),
(82,7,'update_time','更新时间','datetime','Date','updateTime','0','0','0','0','0','1',NULL,'EQ','datetime','',9,'admin','2024-06-13 03:41:03','','2024-06-13 06:13:01'),
(83,8,'id','编号','int(11)','Long','id','1','0','0','0',NULL,NULL,NULL,'EQ','input','',1,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(84,8,'measurement_batch_id','测量批次id','int(11)','Long','measurementBatchId','0','0','1','1','1','1','1','EQ','input','',2,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(85,8,'engine_status','发动机状态','varchar(20)','String','engineStatus','0','0','1','1','1','1','1','EQ','radio','',3,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(86,8,'angle','角度','varchar(255)','String','angle','0','0','0','1','1','1','1','EQ','input','',4,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(87,8,'turbine_post_temp','涡轮后温度','decimal(8,2)','BigDecimal','turbinePostTemp','0','0','1','1','1','1','1','EQ','fileUpload','',5,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(88,8,'test_distance','测试距离','decimal(8,2)','BigDecimal','testDistance','0','0','0','1','1','1','1','EQ','input','',6,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(89,8,'time','时间','varchar(255)','Date','time','0','0','1','1','1','1','1','EQ','datetime','',7,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(90,8,'location','地点','varchar(50)','String','location','0','0','1','1','1','1','1','EQ','input','',8,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(91,8,'atmos_press','大气压','decimal(8,2)','BigDecimal','atmosPress','0','0','0','1','1','1','1','EQ','input','',9,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(92,8,'temperature','温度','decimal(8,2)','BigDecimal','temperature','0','0','0','1','1','1','1','EQ','input','',10,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(93,8,'wind_speed','风速','decimal(8,2)','BigDecimal','windSpeed','0','0','0','1','1','1','1','EQ','input','',11,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(94,8,'humidity','湿度','decimal(8,2)','BigDecimal','humidity','0','0','0','1','1','1','1','EQ','input','',12,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(95,8,'concentration','浓度','decimal(8,2)','BigDecimal','concentration','0','0','0','1','1','1','1','EQ','input','',13,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(96,8,'create_by','创建人','varchar(32)','String','createBy','0','0','0','0',NULL,'1',NULL,'EQ','input','',14,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(97,8,'create_time','创建时间','datetime','Date','createTime','0','0','0','0',NULL,NULL,NULL,'EQ','datetime','',15,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(98,8,'update_by','更新人','varchar(32)','String','updateBy','0','0','0','0','0',NULL,NULL,'EQ','input','',16,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(99,8,'update_time','更新时间','datetime','Date','updateTime','0','0','0','0','0','1',NULL,'EQ','datetime','',17,'admin','2024-06-13 06:03:31','','2024-06-13 06:06:53'),
(130,15,'id','序号','bigint(20)','Long','id','1','1','0','1',NULL,NULL,NULL,'EQ','input','',1,'admin','2024-07-24 02:12:05','','2024-07-24 02:13:27'),
(131,15,'angle','角度','int(11)','Long','angle','0','0','1','1','1','1','1','EQ','input','',2,'admin','2024-07-24 02:12:05','','2024-07-24 02:13:27'),
(132,15,'create_by','创建人','varchar(32)','String','createBy','0','0','0','1',NULL,NULL,NULL,'EQ','input','',3,'admin','2024-07-24 02:12:05','','2024-07-24 02:13:27'),
(133,15,'create_time','创建时间','datetime','Date','createTime','0','0','0','1',NULL,NULL,NULL,'EQ','datetime','',4,'admin','2024-07-24 02:12:05','','2024-07-24 02:13:27'),
(134,15,'update_by','更新人','varchar(32)','String','updateBy','0','0','0','1','1',NULL,NULL,'EQ','input','',5,'admin','2024-07-24 02:12:05','','2024-07-24 02:13:27'),
(135,15,'update_time','更新时间','datetime','Date','updateTime','0','0','0','1','1',NULL,NULL,'EQ','datetime','',6,'admin','2024-07-24 02:12:05','','2024-07-24 02:13:27'),
(136,16,'id','序号','bigint(20)','Long','id','1','1','0','1',NULL,NULL,NULL,'EQ','input','',1,'admin','2024-07-24 02:12:05','','2024-07-24 02:31:19'),
(137,16,'status','状态','varchar(63)','String','status','0','0','1','1','1','1','1','EQ','input','',2,'admin','2024-07-24 02:12:05','','2024-07-24 02:31:19'),
(138,16,'index','排序','bigint(20)','Long','index','0','0','1','1','1','1','1','EQ','input','',3,'admin','2024-07-24 02:12:05','','2024-07-24 02:31:19'),
(139,16,'create_by','创建人','varchar(32)','String','createBy','0','0','0','1',NULL,NULL,NULL,'EQ','input','',4,'admin','2024-07-24 02:12:05','','2024-07-24 02:31:19'),
(140,16,'create_time','创建时间','datetime','Date','createTime','0','0','0','1',NULL,NULL,NULL,'EQ','datetime','',5,'admin','2024-07-24 02:12:05','','2024-07-24 02:31:19'),
(141,16,'update_by','更新人','varchar(32)','String','updateBy','0','0','0','1','1',NULL,NULL,'EQ','input','',6,'admin','2024-07-24 02:12:05','','2024-07-24 02:31:19'),
(142,16,'update_time','更新时间','datetime','Date','updateTime','0','0','0','1','1',NULL,NULL,'EQ','datetime','',7,'admin','2024-07-24 02:12:05','','2024-07-24 02:31:19'),
(143,5,'cal_temp_ek','标定温度','varchar(255)','String','calTempEk','0','0','0','1','1','1','1','EQ','input','',12,'','2024-10-31 10:42:15','','2024-10-31 10:48:18'),
(144,5,'raw_target_1','原始目标(3~5μm)','text','String','rawTarget1','0','0','0','1','1','1','1','EQ','textarea','',13,'','2024-10-31 10:42:15','','2024-10-31 10:48:18'),
(145,5,'raw_target_2','原始目标(8~14μm)','text','String','rawTarget2','0','0','0','1','1','1','1','EQ','textarea','',14,'','2024-10-31 10:42:15','','2024-10-31 10:48:18'),
(146,5,'raw_background_1','原始背景(3~5μm)','text','String','rawBackground1','0','0','0','1','1','1','1','EQ','textarea','',15,'','2024-10-31 10:42:15','','2024-10-31 10:48:18'),
(147,5,'raw_background_2','原始背景(8~14μm)','text','String','rawBackground2','0','0','0','1','1','1','1','EQ','textarea','',16,'','2024-10-31 10:42:15','','2024-10-31 10:48:18'),
(148,5,'tackle_target_1','处理后目标(3~5μm)','varchar(255)','String','tackleTarget1','0','0','0','1','1','1','1','EQ','input','',17,'','2024-10-31 10:42:15','','2024-10-31 10:48:18'),
(149,5,'tackle_target_2','处理后目标(8~14μm)','varchar(255)','String','tackleTarget2','0','0','0','1','1','1','1','EQ','input','',18,'','2024-10-31 10:42:15','','2024-10-31 10:48:18'),
(150,5,'tackle_background_1','处理后背景(3~5μm)','varchar(255)','String','tackleBackground1','0','0','0','1','1','1','1','EQ','input','',19,'','2024-10-31 10:42:15','','2024-10-31 10:48:18'),
(151,5,'tackle_background_2','处理后背景(8~14μm)','varchar(255)','String','tackleBackground2','0','0','0','1','1','1','1','EQ','input','',20,'','2024-10-31 10:42:15','','2024-10-31 10:48:18');

/*Table structure for table `meas_angle` */

DROP TABLE IF EXISTS `meas_angle`;

CREATE TABLE `meas_angle` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '序号',
  `angle` int NOT NULL COMMENT '角度',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='角度表';

/*Data for the table `meas_angle` */

insert  into `meas_angle`(`id`,`angle`,`create_by`,`create_time`,`update_by`,`update_time`) values 
(1,1,NULL,'2024-07-24 10:43:12',NULL,NULL),
(2,-180,NULL,'2024-07-24 11:22:53',NULL,NULL),
(3,90,NULL,'2024-07-24 11:23:00',NULL,NULL),
(4,-90,NULL,'2024-07-24 11:23:05',NULL,NULL),
(5,2,NULL,'2024-08-23 11:08:18',NULL,NULL);

/*Table structure for table `meas_batch` */

DROP TABLE IF EXISTS `meas_batch`;

CREATE TABLE `meas_batch` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `engine_id` int NOT NULL COMMENT '发动机型号ID',
  `measurement_batch` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '测量批次',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='测量批次表';

/*Data for the table `meas_batch` */

insert  into `meas_batch`(`id`,`engine_id`,`measurement_batch`,`create_by`,`create_time`,`update_by`,`update_time`) values 
(1,1,'批次1',NULL,'2024-07-24 16:15:40',NULL,NULL),
(2,1,'批次1-1',NULL,'2024-07-24 16:15:53',NULL,NULL),
(3,2,'批次2-1',NULL,'2024-07-24 16:16:02',NULL,NULL),
(4,2,'批次2-2',NULL,'2024-07-24 16:16:10',NULL,NULL),
(5,5,'20240823105929-发动',NULL,'2024-08-23 10:59:40',NULL,NULL),
(6,5,'20240823110028-发动',NULL,'2024-08-23 11:00:34',NULL,NULL),
(7,6,'20240906102158-超级发动机',NULL,'2024-09-06 10:22:23',NULL,NULL),
(8,6,'20240906102232-超级发动机',NULL,'2024-09-06 10:22:35',NULL,NULL),
(9,7,'123-发动机A',NULL,'2024-09-09 15:23:46',NULL,NULL),
(10,5,'20241029150535-发动',NULL,'2024-10-29 15:05:38',NULL,NULL);

/*Table structure for table `meas_data_results` */

DROP TABLE IF EXISTS `meas_data_results`;

CREATE TABLE `meas_data_results` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `measurement_batch_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '测量批次id',
  `spec_irr_1` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '光谱辐射强度3~5μm',
  `spec_irr_2` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '光谱辐射强度8~14μm',
  `spec_band_irr_1` decimal(8,2) DEFAULT NULL COMMENT '波段辐射强度3~5μm',
  `spec_band_irr_2` decimal(8,2) DEFAULT NULL COMMENT '波段辐射强度8~14μm',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='数据结果表';

/*Data for the table `meas_data_results` */

/*Table structure for table `meas_engine_model` */

DROP TABLE IF EXISTS `meas_engine_model`;

CREATE TABLE `meas_engine_model` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `model` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '发动机型号',
  `geometry_files` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '几何模型文件',
  `geometry_image` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '几何模型图片',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='发动机型号表';

/*Data for the table `meas_engine_model` */

insert  into `meas_engine_model`(`id`,`model`,`geometry_files`,`geometry_image`,`create_by`,`create_time`,`update_by`,`update_time`) values 
(1,'型号xx','f1','g1',NULL,'2024-07-24 16:00:25',NULL,'2024-07-24 16:01:21'),
(2,'型号yy','f2','g2',NULL,'2024-07-24 16:00:25',NULL,'2024-07-24 16:01:31'),
(3,'型号zz','f3','g3',NULL,'2024-07-24 16:00:34',NULL,'2024-07-24 16:01:44'),
(4,'型号333','f4','g4',NULL,'2024-07-24 16:00:53',NULL,'2024-07-24 16:01:50'),
(5,'发动','/profile/upload/2024/08/21/x_t_20240821154006A001.x_t','/profile/upload/2024/08/21/j20_20240821154015A002.jpg',NULL,'2024-08-21 15:40:17',NULL,NULL),
(6,'超级发动机','/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t','/profile/upload/2024/09/06/发动机_20240906102036A002.jpg',NULL,'2024-09-06 10:20:45',NULL,NULL),
(7,'发动机A','/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t','/profile/upload/2024/09/09/background_20240909152231A002.jpg',NULL,'2024-09-09 15:22:36',NULL,NULL);

/*Table structure for table `meas_env_data` */

DROP TABLE IF EXISTS `meas_env_data`;

CREATE TABLE `meas_env_data` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `measurement_batch_id` int NOT NULL COMMENT '测量批次id',
  `engine_status_id` int NOT NULL COMMENT '发动机状态id',
  `angle_id` int DEFAULT NULL COMMENT '角度id',
  `engine_status` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '发动机状态',
  `angle` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '角度',
  `turbine_post_temp` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '涡轮后温度',
  `test_distance` decimal(8,2) DEFAULT NULL COMMENT '测试距离',
  `time` datetime NOT NULL COMMENT '时间',
  `location` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '地点',
  `atmos_press` decimal(8,2) DEFAULT NULL COMMENT '大气压',
  `temperature` decimal(8,2) DEFAULT NULL COMMENT '温度',
  `wind_speed` decimal(8,2) DEFAULT NULL COMMENT '风速',
  `humidity` decimal(8,2) DEFAULT NULL COMMENT '湿度',
  `concentration` decimal(8,2) DEFAULT NULL COMMENT '浓度',
  `visibility` decimal(8,2) DEFAULT NULL COMMENT '能见度',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='测量环境数据表';

/*Data for the table `meas_env_data` */

insert  into `meas_env_data`(`id`,`measurement_batch_id`,`engine_status_id`,`angle_id`,`engine_status`,`angle`,`turbine_post_temp`,`test_distance`,`time`,`location`,`atmos_press`,`temperature`,`wind_speed`,`humidity`,`concentration`,`visibility`,`create_by`,`create_time`,`update_by`,`update_time`) values 
(1,1,5,1,'1','1','/profile/upload/2024/07/25/新建 文本文档_20240725112616A001.txt',NULL,'2024-07-03 00:00:00','111',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-07-25 11:30:19',NULL,NULL),
(2,3,2,3,'中间','90',NULL,11.00,'2024-08-07 00:00:00','11',NULL,235.00,NULL,NULL,NULL,NULL,NULL,'2024-08-07 17:52:31',NULL,NULL),
(3,3,2,3,'中间','90',NULL,11.00,'2024-08-07 00:00:00','11',NULL,235.00,NULL,NULL,NULL,NULL,NULL,'2024-08-07 17:53:30',NULL,NULL),
(4,3,2,4,'中间','-90','/profile/upload/2024/08/21/11_20240821161558A005.txt',11.00,'2024-08-07 00:00:00','11',NULL,235.00,NULL,NULL,NULL,NULL,NULL,'2024-08-07 17:59:40',NULL,'2024-08-21 16:28:46'),
(5,6,3,5,'最最大','2',NULL,100.00,'2024-08-23 11:08:00','111.1',1.10,230.10,1.10,1.20,1.20,NULL,NULL,'2024-08-23 11:12:25',NULL,'2024-08-23 11:20:41'),
(6,7,3,2,'最最大','-180','/profile/upload/2024/09/06/涡轮后温度_20240906102344A004.txt',12.00,'2024-09-10 00:00:00','西安',1000.00,230.11,100.00,99.99,1000.00,NULL,NULL,'2024-09-06 10:25:17',NULL,'2024-09-06 11:32:02'),
(7,9,6,2,'状态测试','-180','/profile/upload/2024/09/09/11_20240909152544A003.txt',101.00,'2024-09-03 00:02:00','西安xxx',100.00,250.00,100.00,99.00,100.00,10.00,NULL,'2024-09-09 15:27:25',NULL,'2024-11-06 11:22:18'),
(8,10,6,2,'状态测试','-180',NULL,1.00,'2024-10-29 15:08:00','1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-10-29 15:08:20',NULL,NULL);

/*Table structure for table `meas_spectral_radiation` */

DROP TABLE IF EXISTS `meas_spectral_radiation`;

CREATE TABLE `meas_spectral_radiation` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `measurement_batch_id` int NOT NULL COMMENT '测量批次id',
  `model` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '型号',
  `lens_f_view` decimal(8,2) NOT NULL COMMENT '镜头视场角',
  `gain` int NOT NULL COMMENT '增益',
  `background_data` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '背景数据',
  `cal_temp` varchar(4000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '标定温度',
  `cal_curve` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '标定曲线',
  `raw_data` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '原始数据',
  `radiance_1` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '辐射亮度（3~5μm）',
  `radiance_2` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '辐射亮度（8~14μm）',
  `cal_temp_ek` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '标定温度',
  `raw_target_1` text COLLATE utf8mb4_general_ci COMMENT '原始目标(3~5μm)',
  `raw_target_2` text COLLATE utf8mb4_general_ci COMMENT '原始目标(8~14μm)',
  `raw_background_1` text COLLATE utf8mb4_general_ci COMMENT '原始背景(3~5μm)',
  `raw_background_2` text COLLATE utf8mb4_general_ci COMMENT '原始背景(8~14μm)',
  `tackle_target_1` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '处理后目标(3~5μm)',
  `tackle_target_2` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '处理后目标(8~14μm)',
  `tackle_background_1` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '处理后背景(3~5μm)',
  `tackle_background_2` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '处理后背景(8~14μm)',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='光谱辐射表';

/*Data for the table `meas_spectral_radiation` */

insert  into `meas_spectral_radiation`(`id`,`measurement_batch_id`,`model`,`lens_f_view`,`gain`,`background_data`,`cal_temp`,`cal_curve`,`raw_data`,`radiance_1`,`radiance_2`,`cal_temp_ek`,`raw_target_1`,`raw_target_2`,`raw_background_1`,`raw_background_2`,`tackle_target_1`,`tackle_target_2`,`tackle_background_1`,`tackle_background_2`,`create_by`,`create_time`,`update_by`,`update_time`) values 
(1,4,'1',2.00,2,'/profile/upload/2024/08/21/lgm_20240821161606A006.lgm',NULL,'/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt','/profile/upload/2024/08/21/222_20240821161730A011.txt','/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt','/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-08-21 16:22:18',NULL,'2024-08-21 16:28:46'),
(2,5,'qqq',12.20,2,'/profile/upload/2024/08/23/lgm_20240823111308A001.lgm',NULL,'/profile/upload/2024/08/23/标定曲线3-5_20240823111312A002.txt','/profile/upload/2024/08/23/222_20240823111353A005.txt','/profile/upload/2024/08/23/辐射亮度3-5_20240823111356A006.txt','/profile/upload/2024/08/23/辐射亮度8-14_20240823111404A007.txt',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-08-23 11:20:40',NULL,NULL),
(3,7,'型号ABC',10.00,10,'/profile/upload/2024/09/09/lgm_20240909152808A004.lgm','[{\"temp\":10,\"calTempFile\":null},{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/11/05/标定曲线3-5_20241105172124A004.txt\"}]','/profile/upload/2024/10/31/标定曲线3-5_20241031112854A005.txt,/profile/upload/2024/10/31/标定曲线8-14_20241031112909A006.txt,/profile/upload/2024/11/05/1_20241105173555A008.txt','/profile/upload/2024/09/09/11_20240909153025A008.txt','/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt','/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt','/profile/upload/2024/10/31/背景数据_20241031112846A004.lgm','/profile/upload/2024/10/31/背景数据_20241031142841A008.lgm,/profile/upload/2024/10/31/背景数据_20241031142846A009.lgm',NULL,NULL,NULL,'/profile/upload/2024/10/31/光谱辐射计3~5μm波段的标定系数_20241031142701A007.txt',NULL,NULL,NULL,NULL,'2024-09-09 15:35:40',NULL,'2024-11-05 17:36:21');

/*Table structure for table `meas_status` */

DROP TABLE IF EXISTS `meas_status`;

CREATE TABLE `meas_status` (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '序号',
  `status` varchar(63) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态',
  `index` bigint NOT NULL COMMENT '排序',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='状态表';

/*Data for the table `meas_status` */

insert  into `meas_status`(`id`,`status`,`index`,`create_by`,`create_time`,`update_by`,`update_time`) values 
(1,'最大',1,NULL,'2024-07-24 10:43:04',NULL,NULL),
(2,'中间',2,NULL,'2024-07-24 11:22:12',NULL,NULL),
(3,'最最大',0,NULL,'2024-07-24 11:22:24',NULL,NULL),
(4,'最小',3,NULL,'2024-07-24 11:22:33',NULL,NULL),
(5,'1',3,NULL,'2024-08-23 11:08:08',NULL,NULL),
(6,'状态测试',-1,NULL,'2024-09-09 15:24:57',NULL,NULL);

/*Table structure for table `meas_thermal_imager_test_data` */

DROP TABLE IF EXISTS `meas_thermal_imager_test_data`;

CREATE TABLE `meas_thermal_imager_test_data` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `measurement_batch_id` int DEFAULT NULL COMMENT '测量批次id',
  `model` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '型号',
  `lens_f_view` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '镜头视场角',
  `filter_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '滤镜编号',
  `fps` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '帧率',
  `spectral_band` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '波段',
  `integration_time` int DEFAULT NULL COMMENT '积分时间',
  `temp_cal` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '温度标定',
  `radiance` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '辐射亮度',
  `rad_illumination` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '辐射照度',
  `rad_temp` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '辐射温度',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='热像仪测试数据表';

/*Data for the table `meas_thermal_imager_test_data` */

insert  into `meas_thermal_imager_test_data`(`id`,`measurement_batch_id`,`model`,`lens_f_view`,`filter_no`,`fps`,`spectral_band`,`integration_time`,`temp_cal`,`radiance`,`rad_illumination`,`rad_temp`,`create_by`,`create_time`,`update_by`,`update_time`) values 
(1,4,'2',NULL,NULL,NULL,NULL,NULL,'/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt','/profile/upload/2024/08/21/热像仪_20240821161927A018.txt','','/profile/upload/2024/08/21/11_20240821162036A020.txt',NULL,'2024-08-21 16:22:18',NULL,'2024-08-21 16:28:46'),
(2,5,'22',NULL,NULL,NULL,NULL,11,'/profile/upload/2024/08/23/标定曲线3-5_20240823111846A008.txt','/profile/upload/2024/08/23/热像仪_20240823112002A012.txt','/profile/upload/2024/08/23/辐射亮度3-5_20240823111923A010.txt','/profile/upload/2024/08/23/辐射亮度8-14_20240823112018A013.txt',NULL,'2024-08-23 11:20:41',NULL,NULL),
(3,6,'x型号','1000','xxfe123','30','3',100,'/profile/upload/2024/09/06/标定温度_20240906105615A031.txt','/profile/upload/2024/09/06/热像仪-辐射亮度_20240906105209A025.txt','/profile/upload/2024/09/06/辐射亮度3-5_20240906112219A037.txt','/profile/upload/2024/09/06/热像仪-辐射温度_20240906112423A039.txt',NULL,'2024-09-06 11:24:57',NULL,'2024-09-06 11:32:02'),
(4,7,'xinghao123','100','编号123fes','100000000','8~12',100,'[{\"temp\":10,\"tempCalFile\":\"/profile/upload/2024/11/05/温度标定_20241105185034A010.txt\"},{\"temp\":20,\"tempCalFile\":\"/profile/upload/2024/11/05/温度标定_20241105185046A011.txt\"}]','/profile/upload/2024/11/06/热像仪-辐射亮度(1)_20241106112216A004.zip','/profile/upload/2024/11/05/辐射亮度_20241105172610A005.zip','/profile/upload/2024/11/05/辐射温度_20241105172621A007.zip',NULL,'2024-09-09 15:35:40',NULL,'2024-11-06 11:22:18');

/*Table structure for table `meas_transmission_rate` */

DROP TABLE IF EXISTS `meas_transmission_rate`;

CREATE TABLE `meas_transmission_rate` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `measurement_batch_id` int NOT NULL COMMENT '测量批次id',
  `raw_data` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '原始数据',
  `curve_1` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '透过率曲线3~5μm',
  `curve_2` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '透过率曲线8~14μm',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='透过率表';

/*Data for the table `meas_transmission_rate` */

insert  into `meas_transmission_rate`(`id`,`measurement_batch_id`,`raw_data`,`curve_1`,`curve_2`,`create_by`,`create_time`,`update_by`,`update_time`) values 
(1,4,'/profile/upload/2024/08/21/222_20240821162046A021.txt','/profile/upload/2024/08/21/透过率_20240821162052A022.txt','/profile/upload/2024/08/21/透过率_20240821162056A023.txt',NULL,'2024-08-21 16:22:18',NULL,'2024-08-21 16:28:46'),
(2,5,'/profile/upload/2024/08/23/11_20240823112028A014.txt','/profile/upload/2024/08/23/透过率_20240823112032A015.txt','/profile/upload/2024/08/23/透过率_20240823112038A016.txt',NULL,'2024-08-23 11:20:41',NULL,NULL),
(3,6,'/profile/upload/2024/09/06/目标数据-原始_20240906112440A040.txt','/profile/upload/2024/09/06/透过率_20240906112448A041.txt','/profile/upload/2024/09/06/透过率_20240906112454A042.txt',NULL,'2024-09-06 11:24:57',NULL,'2024-09-06 11:32:02'),
(4,7,'/profile/upload/2024/10/31/透过率原始数据测试_20241031143233A010.xls','/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt','/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt',NULL,'2024-09-09 15:35:40',NULL,'2024-11-05 17:36:21');

/*Table structure for table `qrtz_blob_triggers` */

DROP TABLE IF EXISTS `qrtz_blob_triggers`;

CREATE TABLE `qrtz_blob_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='Blob类型的触发器表';

/*Data for the table `qrtz_blob_triggers` */

/*Table structure for table `qrtz_calendars` */

DROP TABLE IF EXISTS `qrtz_calendars`;

CREATE TABLE `qrtz_calendars` (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`,`calendar_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='日历信息表';

/*Data for the table `qrtz_calendars` */

/*Table structure for table `qrtz_cron_triggers` */

DROP TABLE IF EXISTS `qrtz_cron_triggers`;

CREATE TABLE `qrtz_cron_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='Cron类型的触发器表';

/*Data for the table `qrtz_cron_triggers` */

/*Table structure for table `qrtz_fired_triggers` */

DROP TABLE IF EXISTS `qrtz_fired_triggers`;

CREATE TABLE `qrtz_fired_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint NOT NULL COMMENT '触发的时间',
  `sched_time` bigint NOT NULL COMMENT '定时器制定的时间',
  `priority` int NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`,`entry_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='已触发的触发器表';

/*Data for the table `qrtz_fired_triggers` */

/*Table structure for table `qrtz_job_details` */

DROP TABLE IF EXISTS `qrtz_job_details`;

CREATE TABLE `qrtz_job_details` (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`,`job_name`,`job_group`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='任务详细信息表';

/*Data for the table `qrtz_job_details` */

/*Table structure for table `qrtz_locks` */

DROP TABLE IF EXISTS `qrtz_locks`;

CREATE TABLE `qrtz_locks` (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`,`lock_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='存储的悲观锁信息表';

/*Data for the table `qrtz_locks` */

/*Table structure for table `qrtz_paused_trigger_grps` */

DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;

CREATE TABLE `qrtz_paused_trigger_grps` (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`,`trigger_group`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='暂停的触发器表';

/*Data for the table `qrtz_paused_trigger_grps` */

/*Table structure for table `qrtz_scheduler_state` */

DROP TABLE IF EXISTS `qrtz_scheduler_state`;

CREATE TABLE `qrtz_scheduler_state` (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`,`instance_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='调度器状态表';

/*Data for the table `qrtz_scheduler_state` */

/*Table structure for table `qrtz_simple_triggers` */

DROP TABLE IF EXISTS `qrtz_simple_triggers`;

CREATE TABLE `qrtz_simple_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='简单触发器的信息表';

/*Data for the table `qrtz_simple_triggers` */

/*Table structure for table `qrtz_simprop_triggers` */

DROP TABLE IF EXISTS `qrtz_simprop_triggers`;

CREATE TABLE `qrtz_simprop_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13,4) DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13,4) DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='同步机制的行锁表';

/*Data for the table `qrtz_simprop_triggers` */

/*Table structure for table `qrtz_triggers` */

DROP TABLE IF EXISTS `qrtz_triggers`;

CREATE TABLE `qrtz_triggers` (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint NOT NULL COMMENT '开始时间',
  `end_time` bigint DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  KEY `sched_name` (`sched_name`,`job_name`,`job_group`) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='触发器详细信息表';

/*Data for the table `qrtz_triggers` */

/*Table structure for table `sys_config` */

DROP TABLE IF EXISTS `sys_config`;

CREATE TABLE `sys_config` (
  `config_id` int NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='参数配置表';

/*Data for the table `sys_config` */

insert  into `sys_config`(`config_id`,`config_name`,`config_key`,`config_value`,`config_type`,`create_by`,`create_time`,`update_by`,`update_time`,`remark`) values 
(1,'主框架页-默认皮肤样式名称','sys.index.skinName','skin-blue','Y','admin','2024-06-13 03:27:03','',NULL,'蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow'),
(2,'用户管理-账号初始密码','sys.user.initPassword','123456','Y','admin','2024-06-13 03:27:03','',NULL,'初始化密码 123456'),
(3,'主框架页-侧边栏主题','sys.index.sideTheme','theme-dark','Y','admin','2024-06-13 03:27:03','',NULL,'深色主题theme-dark，浅色主题theme-light'),
(4,'账号自助-验证码开关','sys.account.captchaEnabled','true','Y','admin','2024-06-13 03:27:03','',NULL,'是否开启验证码功能（true开启，false关闭）'),
(5,'账号自助-是否开启用户注册功能','sys.account.registerUser','false','Y','admin','2024-06-13 03:27:03','',NULL,'是否开启注册用户功能（true开启，false关闭）'),
(6,'用户登录-黑名单列表','sys.login.blackIPList','','Y','admin','2024-06-13 03:27:03','',NULL,'设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

/*Table structure for table `sys_dept` */

DROP TABLE IF EXISTS `sys_dept`;

CREATE TABLE `sys_dept` (
  `dept_id` bigint NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint DEFAULT '0' COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '部门名称',
  `order_num` int DEFAULT '0' COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=110 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='部门表';

/*Data for the table `sys_dept` */

insert  into `sys_dept`(`dept_id`,`parent_id`,`ancestors`,`dept_name`,`order_num`,`leader`,`phone`,`email`,`status`,`del_flag`,`create_by`,`create_time`,`update_by`,`update_time`) values 
(100,0,'0','若依科技',0,'若依','15888888888','ry@qq.com','0','0','admin','2024-06-13 03:27:02','',NULL),
(101,100,'0,100','深圳总公司',1,'若依','15888888888','ry@qq.com','0','0','admin','2024-06-13 03:27:02','',NULL),
(102,100,'0,100','长沙分公司',2,'若依','15888888888','ry@qq.com','0','0','admin','2024-06-13 03:27:02','',NULL),
(103,101,'0,100,101','研发部门',1,'若依','15888888888','ry@qq.com','0','0','admin','2024-06-13 03:27:02','',NULL),
(104,101,'0,100,101','市场部门',2,'若依','15888888888','ry@qq.com','0','0','admin','2024-06-13 03:27:02','',NULL),
(105,101,'0,100,101','测试部门',3,'若依','15888888888','ry@qq.com','0','0','admin','2024-06-13 03:27:02','',NULL),
(106,101,'0,100,101','财务部门',4,'若依','15888888888','ry@qq.com','0','0','admin','2024-06-13 03:27:02','',NULL),
(107,101,'0,100,101','运维部门',5,'若依','15888888888','ry@qq.com','0','0','admin','2024-06-13 03:27:02','',NULL),
(108,102,'0,100,102','市场部门',1,'若依','15888888888','ry@qq.com','0','0','admin','2024-06-13 03:27:02','',NULL),
(109,102,'0,100,102','财务部门',2,'若依','15888888888','ry@qq.com','0','0','admin','2024-06-13 03:27:02','',NULL);

/*Table structure for table `sys_dict_data` */

DROP TABLE IF EXISTS `sys_dict_data`;

CREATE TABLE `sys_dict_data` (
  `dict_code` bigint NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int DEFAULT '0' COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='字典数据表';

/*Data for the table `sys_dict_data` */

insert  into `sys_dict_data`(`dict_code`,`dict_sort`,`dict_label`,`dict_value`,`dict_type`,`css_class`,`list_class`,`is_default`,`status`,`create_by`,`create_time`,`update_by`,`update_time`,`remark`) values 
(1,1,'男','0','sys_user_sex','','','Y','0','admin','2024-06-13 03:27:03','',NULL,'性别男'),
(2,2,'女','1','sys_user_sex','','','N','0','admin','2024-06-13 03:27:03','',NULL,'性别女'),
(3,3,'未知','2','sys_user_sex','','','N','0','admin','2024-06-13 03:27:03','',NULL,'性别未知'),
(4,1,'显示','0','sys_show_hide','','primary','Y','0','admin','2024-06-13 03:27:03','',NULL,'显示菜单'),
(5,2,'隐藏','1','sys_show_hide','','danger','N','0','admin','2024-06-13 03:27:03','',NULL,'隐藏菜单'),
(6,1,'正常','0','sys_normal_disable','','primary','Y','0','admin','2024-06-13 03:27:03','',NULL,'正常状态'),
(7,2,'停用','1','sys_normal_disable','','danger','N','0','admin','2024-06-13 03:27:03','',NULL,'停用状态'),
(8,1,'正常','0','sys_job_status','','primary','Y','0','admin','2024-06-13 03:27:03','',NULL,'正常状态'),
(9,2,'暂停','1','sys_job_status','','danger','N','0','admin','2024-06-13 03:27:03','',NULL,'停用状态'),
(10,1,'默认','DEFAULT','sys_job_group','','','Y','0','admin','2024-06-13 03:27:03','',NULL,'默认分组'),
(11,2,'系统','SYSTEM','sys_job_group','','','N','0','admin','2024-06-13 03:27:03','',NULL,'系统分组'),
(12,1,'是','Y','sys_yes_no','','primary','Y','0','admin','2024-06-13 03:27:03','',NULL,'系统默认是'),
(13,2,'否','N','sys_yes_no','','danger','N','0','admin','2024-06-13 03:27:03','',NULL,'系统默认否'),
(14,1,'通知','1','sys_notice_type','','warning','Y','0','admin','2024-06-13 03:27:03','',NULL,'通知'),
(15,2,'公告','2','sys_notice_type','','success','N','0','admin','2024-06-13 03:27:03','',NULL,'公告'),
(16,1,'正常','0','sys_notice_status','','primary','Y','0','admin','2024-06-13 03:27:03','',NULL,'正常状态'),
(17,2,'关闭','1','sys_notice_status','','danger','N','0','admin','2024-06-13 03:27:03','',NULL,'关闭状态'),
(18,99,'其他','0','sys_oper_type','','info','N','0','admin','2024-06-13 03:27:03','',NULL,'其他操作'),
(19,1,'新增','1','sys_oper_type','','info','N','0','admin','2024-06-13 03:27:03','',NULL,'新增操作'),
(20,2,'修改','2','sys_oper_type','','info','N','0','admin','2024-06-13 03:27:03','',NULL,'修改操作'),
(21,3,'删除','3','sys_oper_type','','danger','N','0','admin','2024-06-13 03:27:03','',NULL,'删除操作'),
(22,4,'授权','4','sys_oper_type','','primary','N','0','admin','2024-06-13 03:27:03','',NULL,'授权操作'),
(23,5,'导出','5','sys_oper_type','','warning','N','0','admin','2024-06-13 03:27:03','',NULL,'导出操作'),
(24,6,'导入','6','sys_oper_type','','warning','N','0','admin','2024-06-13 03:27:03','',NULL,'导入操作'),
(25,7,'强退','7','sys_oper_type','','danger','N','0','admin','2024-06-13 03:27:03','',NULL,'强退操作'),
(26,8,'生成代码','8','sys_oper_type','','warning','N','0','admin','2024-06-13 03:27:03','',NULL,'生成操作'),
(27,9,'清空数据','9','sys_oper_type','','danger','N','0','admin','2024-06-13 03:27:03','',NULL,'清空操作'),
(28,1,'成功','0','sys_common_status','','primary','N','0','admin','2024-06-13 03:27:03','',NULL,'正常状态'),
(29,2,'失败','1','sys_common_status','','danger','N','0','admin','2024-06-13 03:27:03','',NULL,'停用状态');

/*Table structure for table `sys_dict_type` */

DROP TABLE IF EXISTS `sys_dict_type`;

CREATE TABLE `sys_dict_type` (
  `dict_id` bigint NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE KEY `dict_type` (`dict_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='字典类型表';

/*Data for the table `sys_dict_type` */

insert  into `sys_dict_type`(`dict_id`,`dict_name`,`dict_type`,`status`,`create_by`,`create_time`,`update_by`,`update_time`,`remark`) values 
(1,'用户性别','sys_user_sex','0','admin','2024-06-13 03:27:03','',NULL,'用户性别列表'),
(2,'菜单状态','sys_show_hide','0','admin','2024-06-13 03:27:03','',NULL,'菜单状态列表'),
(3,'系统开关','sys_normal_disable','0','admin','2024-06-13 03:27:03','',NULL,'系统开关列表'),
(4,'任务状态','sys_job_status','0','admin','2024-06-13 03:27:03','',NULL,'任务状态列表'),
(5,'任务分组','sys_job_group','0','admin','2024-06-13 03:27:03','',NULL,'任务分组列表'),
(6,'系统是否','sys_yes_no','0','admin','2024-06-13 03:27:03','',NULL,'系统是否列表'),
(7,'通知类型','sys_notice_type','0','admin','2024-06-13 03:27:03','',NULL,'通知类型列表'),
(8,'通知状态','sys_notice_status','0','admin','2024-06-13 03:27:03','',NULL,'通知状态列表'),
(9,'操作类型','sys_oper_type','0','admin','2024-06-13 03:27:03','',NULL,'操作类型列表'),
(10,'系统状态','sys_common_status','0','admin','2024-06-13 03:27:03','',NULL,'登录状态列表');

/*Table structure for table `sys_job` */

DROP TABLE IF EXISTS `sys_job`;

CREATE TABLE `sys_job` (
  `job_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`,`job_name`,`job_group`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='定时任务调度表';

/*Data for the table `sys_job` */

insert  into `sys_job`(`job_id`,`job_name`,`job_group`,`invoke_target`,`cron_expression`,`misfire_policy`,`concurrent`,`status`,`create_by`,`create_time`,`update_by`,`update_time`,`remark`) values 
(1,'系统默认（无参）','DEFAULT','ryTask.ryNoParams','0/10 * * * * ?','3','1','1','admin','2024-06-13 03:27:03','',NULL,''),
(2,'系统默认（有参）','DEFAULT','ryTask.ryParams(\'ry\')','0/15 * * * * ?','3','1','1','admin','2024-06-13 03:27:03','',NULL,''),
(3,'系统默认（多参）','DEFAULT','ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)','0/20 * * * * ?','3','1','1','admin','2024-06-13 03:27:03','',NULL,'');

/*Table structure for table `sys_job_log` */

DROP TABLE IF EXISTS `sys_job_log`;

CREATE TABLE `sys_job_log` (
  `job_log_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '异常信息',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='定时任务调度日志表';

/*Data for the table `sys_job_log` */

/*Table structure for table `sys_logininfor` */

DROP TABLE IF EXISTS `sys_logininfor`;

CREATE TABLE `sys_logininfor` (
  `info_id` bigint NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '提示消息',
  `login_time` datetime DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  KEY `idx_sys_logininfor_s` (`status`) USING BTREE,
  KEY `idx_sys_logininfor_lt` (`login_time`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=183 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='系统访问记录';

/*Data for the table `sys_logininfor` */

insert  into `sys_logininfor`(`info_id`,`user_name`,`ipaddr`,`login_location`,`browser`,`os`,`status`,`msg`,`login_time`) values 
(105,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-02 01:55:10'),
(106,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','1','验证码错误','2024-07-02 07:19:21'),
(107,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-03 08:55:03'),
(108,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-03 09:29:28'),
(109,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-23 08:57:17'),
(110,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-24 02:05:35'),
(111,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-24 03:19:13'),
(112,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-24 06:27:48'),
(113,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-25 03:13:58'),
(114,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-25 06:17:56'),
(115,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-25 07:31:34'),
(116,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-25 09:21:22'),
(117,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-07-26 05:53:34'),
(118,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-08-07 07:02:39'),
(119,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-08-07 09:40:22'),
(120,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','1','验证码已失效','2024-08-09 03:03:52'),
(121,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-08-09 03:03:55'),
(122,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-08-09 09:21:46'),
(123,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-08-21 07:31:04'),
(124,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','1','验证码已失效','2024-08-21 07:37:25'),
(125,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-08-21 07:37:29'),
(126,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','1','验证码错误','2024-08-21 10:00:42'),
(127,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','1','验证码错误','2024-08-21 10:00:48'),
(128,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-09-05 09:54:53'),
(129,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-09-06 01:49:07'),
(130,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-09-06 07:04:07'),
(131,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-09-09 07:20:36'),
(132,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','退出成功','2024-09-09 07:20:55'),
(133,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-09-09 07:21:07'),
(134,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-09-10 09:28:26'),
(135,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-09-10 10:41:26'),
(136,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-09-10 11:59:41'),
(137,'admin','127.0.0.1','内网IP','Chrome 13','Windows 10','0','登录成功','2024-10-28 09:08:58'),
(138,'admin','127.0.0.1','内网IP','Chrome 13','Windows 10','0','登录成功','2024-10-29 06:44:19'),
(139,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-10-30 14:11:13'),
(140,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-10-30 15:21:39'),
(141,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-10-30 17:30:26'),
(142,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-10-31 09:52:24'),
(143,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-10-31 10:41:36'),
(144,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-10-31 13:49:37'),
(145,'admin','192.168.1.102','内网IP','Chrome 12','Windows 10','0','登录成功','2024-10-31 14:53:39'),
(146,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-10-31 15:53:14'),
(147,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-10-31 17:58:54'),
(148,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-01 09:21:17'),
(149,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-01 10:03:56'),
(150,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','退出成功','2024-11-01 11:40:51'),
(151,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-01 11:42:51'),
(152,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-01 13:24:05'),
(153,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-01 16:44:30'),
(154,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','退出成功','2024-11-01 16:51:36'),
(155,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-01 16:51:40'),
(156,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-01 17:33:56'),
(157,'admin','127.0.0.1','内网IP','Chrome 12','Mac OS X','0','登录成功','2024-11-02 14:27:25'),
(158,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-04 09:31:02'),
(159,'admin','127.0.0.1','内网IP','Chrome 13','Mac OS X','1','验证码已失效','2024-11-04 09:37:06'),
(160,'admin','127.0.0.1','内网IP','Chrome 13','Mac OS X','0','登录成功','2024-11-04 09:37:28'),
(161,'admin','127.0.0.1','内网IP','Chrome 13','Mac OS X','0','登录成功','2024-11-04 12:12:26'),
(162,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-04 14:13:00'),
(163,'admin','127.0.0.1','内网IP','Chrome 13','Mac OS X','0','登录成功','2024-11-04 15:43:37'),
(164,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-04 15:57:05'),
(165,'admin','127.0.0.1','内网IP','Chrome 13','Mac OS X','0','登录成功','2024-11-04 17:43:58'),
(166,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-04 18:16:50'),
(167,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-05 09:26:42'),
(168,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-05 11:31:12'),
(169,'admin','127.0.0.1','内网IP','Chrome 13','Mac OS X','0','登录成功','2024-11-05 13:28:18'),
(170,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-05 14:01:48'),
(171,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-05 14:59:37'),
(172,'admin','127.0.0.1','内网IP','Chrome 13','Mac OS X','0','登录成功','2024-11-05 15:15:32'),
(173,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-05 15:39:13'),
(174,'admin','127.0.0.1','内网IP','Chrome 13','Mac OS X','0','登录成功','2024-11-05 17:00:16'),
(175,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-05 17:20:48'),
(176,'admin','127.0.0.1','内网IP','Chrome 13','Mac OS X','0','登录成功','2024-11-05 18:27:00'),
(177,'admin','127.0.0.1','内网IP','Chrome 13','Mac OS X','0','登录成功','2024-11-06 08:38:59'),
(178,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-06 09:24:52'),
(179,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-06 11:09:07'),
(180,'admin','127.0.0.1','内网IP','Chrome 13','Mac OS X','0','登录成功','2024-11-06 11:49:11'),
(181,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-06 12:41:18'),
(182,'admin','127.0.0.1','内网IP','Chrome 12','Windows 10','0','登录成功','2024-11-06 15:22:46');

/*Table structure for table `sys_menu` */

DROP TABLE IF EXISTS `sys_menu`;

CREATE TABLE `sys_menu` (
  `menu_id` bigint NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint DEFAULT '0' COMMENT '父菜单ID',
  `order_num` int DEFAULT '0' COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '路由参数',
  `is_frame` int DEFAULT '1' COMMENT '是否为外链（0是 1否）',
  `is_cache` int DEFAULT '0' COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2057 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='菜单权限表';

/*Data for the table `sys_menu` */

insert  into `sys_menu`(`menu_id`,`menu_name`,`parent_id`,`order_num`,`path`,`component`,`query`,`is_frame`,`is_cache`,`menu_type`,`visible`,`status`,`perms`,`icon`,`create_by`,`create_time`,`update_by`,`update_time`,`remark`) values 
(1,'系统管理',0,11,'system',NULL,'',1,0,'M','0','0','','system','admin','2024-06-13 03:27:02','admin','2024-07-24 06:29:24','系统管理目录'),
(2,'系统监控',0,12,'monitor',NULL,'',1,0,'M','0','0','','monitor','admin','2024-06-13 03:27:02','admin','2024-07-24 06:29:30','系统监控目录'),
(3,'系统工具',0,13,'tool',NULL,'',1,0,'M','0','0','','tool','admin','2024-06-13 03:27:02','admin','2024-07-24 06:30:17','系统工具目录'),
(100,'用户管理',1,1,'user','system/user/index','',1,0,'C','0','0','system:user:list','user','admin','2024-06-13 03:27:02','',NULL,'用户管理菜单'),
(101,'角色管理',1,2,'role','system/role/index','',1,0,'C','0','0','system:role:list','peoples','admin','2024-06-13 03:27:02','',NULL,'角色管理菜单'),
(102,'菜单管理',1,3,'menu','system/menu/index','',1,0,'C','0','0','system:menu:list','tree-table','admin','2024-06-13 03:27:02','',NULL,'菜单管理菜单'),
(103,'部门管理',1,4,'dept','system/dept/index','',1,0,'C','0','0','system:dept:list','tree','admin','2024-06-13 03:27:02','',NULL,'部门管理菜单'),
(104,'岗位管理',1,5,'post','system/post/index','',1,0,'C','0','0','system:post:list','post','admin','2024-06-13 03:27:02','',NULL,'岗位管理菜单'),
(105,'字典管理',1,6,'dict','system/dict/index','',1,0,'C','0','0','system:dict:list','dict','admin','2024-06-13 03:27:02','',NULL,'字典管理菜单'),
(106,'参数设置',1,7,'config','system/config/index','',1,0,'C','0','0','system:config:list','edit','admin','2024-06-13 03:27:02','',NULL,'参数设置菜单'),
(107,'通知公告',1,8,'notice','system/notice/index','',1,0,'C','0','0','system:notice:list','message','admin','2024-06-13 03:27:02','',NULL,'通知公告菜单'),
(108,'日志管理',1,9,'log','','',1,0,'M','0','0','','log','admin','2024-06-13 03:27:02','',NULL,'日志管理菜单'),
(109,'在线用户',2,1,'online','monitor/online/index','',1,0,'C','0','0','monitor:online:list','online','admin','2024-06-13 03:27:02','',NULL,'在线用户菜单'),
(110,'定时任务',2,2,'job','monitor/job/index','',1,0,'C','0','0','monitor:job:list','job','admin','2024-06-13 03:27:02','',NULL,'定时任务菜单'),
(111,'数据监控',2,3,'druid','monitor/druid/index','',1,0,'C','0','0','monitor:druid:list','druid','admin','2024-06-13 03:27:02','',NULL,'数据监控菜单'),
(112,'服务监控',2,4,'server','monitor/server/index','',1,0,'C','0','0','monitor:server:list','server','admin','2024-06-13 03:27:02','',NULL,'服务监控菜单'),
(113,'缓存监控',2,5,'cache','monitor/cache/index','',1,0,'C','0','0','monitor:cache:list','redis','admin','2024-06-13 03:27:02','',NULL,'缓存监控菜单'),
(114,'缓存列表',2,6,'cacheList','monitor/cache/list','',1,0,'C','0','0','monitor:cache:list','redis-list','admin','2024-06-13 03:27:02','',NULL,'缓存列表菜单'),
(115,'表单构建',3,1,'build','tool/build/index','',1,0,'C','0','0','tool:build:list','build','admin','2024-06-13 03:27:02','',NULL,'表单构建菜单'),
(116,'代码生成',3,2,'gen','tool/gen/index','',1,0,'C','0','0','tool:gen:list','code','admin','2024-06-13 03:27:02','',NULL,'代码生成菜单'),
(117,'系统接口',3,3,'swagger','tool/swagger/index','',1,0,'C','0','0','tool:swagger:list','swagger','admin','2024-06-13 03:27:02','',NULL,'系统接口菜单'),
(500,'操作日志',108,1,'operlog','monitor/operlog/index','',1,0,'C','0','0','monitor:operlog:list','form','admin','2024-06-13 03:27:02','',NULL,'操作日志菜单'),
(501,'登录日志',108,2,'logininfor','monitor/logininfor/index','',1,0,'C','0','0','monitor:logininfor:list','logininfor','admin','2024-06-13 03:27:02','',NULL,'登录日志菜单'),
(1000,'用户查询',100,1,'','','',1,0,'F','0','0','system:user:query','#','admin','2024-06-13 03:27:02','',NULL,''),
(1001,'用户新增',100,2,'','','',1,0,'F','0','0','system:user:add','#','admin','2024-06-13 03:27:02','',NULL,''),
(1002,'用户修改',100,3,'','','',1,0,'F','0','0','system:user:edit','#','admin','2024-06-13 03:27:02','',NULL,''),
(1003,'用户删除',100,4,'','','',1,0,'F','0','0','system:user:remove','#','admin','2024-06-13 03:27:02','',NULL,''),
(1004,'用户导出',100,5,'','','',1,0,'F','0','0','system:user:export','#','admin','2024-06-13 03:27:02','',NULL,''),
(1005,'用户导入',100,6,'','','',1,0,'F','0','0','system:user:import','#','admin','2024-06-13 03:27:02','',NULL,''),
(1006,'重置密码',100,7,'','','',1,0,'F','0','0','system:user:resetPwd','#','admin','2024-06-13 03:27:02','',NULL,''),
(1007,'角色查询',101,1,'','','',1,0,'F','0','0','system:role:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1008,'角色新增',101,2,'','','',1,0,'F','0','0','system:role:add','#','admin','2024-06-13 03:27:03','',NULL,''),
(1009,'角色修改',101,3,'','','',1,0,'F','0','0','system:role:edit','#','admin','2024-06-13 03:27:03','',NULL,''),
(1010,'角色删除',101,4,'','','',1,0,'F','0','0','system:role:remove','#','admin','2024-06-13 03:27:03','',NULL,''),
(1011,'角色导出',101,5,'','','',1,0,'F','0','0','system:role:export','#','admin','2024-06-13 03:27:03','',NULL,''),
(1012,'菜单查询',102,1,'','','',1,0,'F','0','0','system:menu:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1013,'菜单新增',102,2,'','','',1,0,'F','0','0','system:menu:add','#','admin','2024-06-13 03:27:03','',NULL,''),
(1014,'菜单修改',102,3,'','','',1,0,'F','0','0','system:menu:edit','#','admin','2024-06-13 03:27:03','',NULL,''),
(1015,'菜单删除',102,4,'','','',1,0,'F','0','0','system:menu:remove','#','admin','2024-06-13 03:27:03','',NULL,''),
(1016,'部门查询',103,1,'','','',1,0,'F','0','0','system:dept:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1017,'部门新增',103,2,'','','',1,0,'F','0','0','system:dept:add','#','admin','2024-06-13 03:27:03','',NULL,''),
(1018,'部门修改',103,3,'','','',1,0,'F','0','0','system:dept:edit','#','admin','2024-06-13 03:27:03','',NULL,''),
(1019,'部门删除',103,4,'','','',1,0,'F','0','0','system:dept:remove','#','admin','2024-06-13 03:27:03','',NULL,''),
(1020,'岗位查询',104,1,'','','',1,0,'F','0','0','system:post:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1021,'岗位新增',104,2,'','','',1,0,'F','0','0','system:post:add','#','admin','2024-06-13 03:27:03','',NULL,''),
(1022,'岗位修改',104,3,'','','',1,0,'F','0','0','system:post:edit','#','admin','2024-06-13 03:27:03','',NULL,''),
(1023,'岗位删除',104,4,'','','',1,0,'F','0','0','system:post:remove','#','admin','2024-06-13 03:27:03','',NULL,''),
(1024,'岗位导出',104,5,'','','',1,0,'F','0','0','system:post:export','#','admin','2024-06-13 03:27:03','',NULL,''),
(1025,'字典查询',105,1,'#','','',1,0,'F','0','0','system:dict:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1026,'字典新增',105,2,'#','','',1,0,'F','0','0','system:dict:add','#','admin','2024-06-13 03:27:03','',NULL,''),
(1027,'字典修改',105,3,'#','','',1,0,'F','0','0','system:dict:edit','#','admin','2024-06-13 03:27:03','',NULL,''),
(1028,'字典删除',105,4,'#','','',1,0,'F','0','0','system:dict:remove','#','admin','2024-06-13 03:27:03','',NULL,''),
(1029,'字典导出',105,5,'#','','',1,0,'F','0','0','system:dict:export','#','admin','2024-06-13 03:27:03','',NULL,''),
(1030,'参数查询',106,1,'#','','',1,0,'F','0','0','system:config:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1031,'参数新增',106,2,'#','','',1,0,'F','0','0','system:config:add','#','admin','2024-06-13 03:27:03','',NULL,''),
(1032,'参数修改',106,3,'#','','',1,0,'F','0','0','system:config:edit','#','admin','2024-06-13 03:27:03','',NULL,''),
(1033,'参数删除',106,4,'#','','',1,0,'F','0','0','system:config:remove','#','admin','2024-06-13 03:27:03','',NULL,''),
(1034,'参数导出',106,5,'#','','',1,0,'F','0','0','system:config:export','#','admin','2024-06-13 03:27:03','',NULL,''),
(1035,'公告查询',107,1,'#','','',1,0,'F','0','0','system:notice:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1036,'公告新增',107,2,'#','','',1,0,'F','0','0','system:notice:add','#','admin','2024-06-13 03:27:03','',NULL,''),
(1037,'公告修改',107,3,'#','','',1,0,'F','0','0','system:notice:edit','#','admin','2024-06-13 03:27:03','',NULL,''),
(1038,'公告删除',107,4,'#','','',1,0,'F','0','0','system:notice:remove','#','admin','2024-06-13 03:27:03','',NULL,''),
(1039,'操作查询',500,1,'#','','',1,0,'F','0','0','monitor:operlog:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1040,'操作删除',500,2,'#','','',1,0,'F','0','0','monitor:operlog:remove','#','admin','2024-06-13 03:27:03','',NULL,''),
(1041,'日志导出',500,3,'#','','',1,0,'F','0','0','monitor:operlog:export','#','admin','2024-06-13 03:27:03','',NULL,''),
(1042,'登录查询',501,1,'#','','',1,0,'F','0','0','monitor:logininfor:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1043,'登录删除',501,2,'#','','',1,0,'F','0','0','monitor:logininfor:remove','#','admin','2024-06-13 03:27:03','',NULL,''),
(1044,'日志导出',501,3,'#','','',1,0,'F','0','0','monitor:logininfor:export','#','admin','2024-06-13 03:27:03','',NULL,''),
(1045,'账户解锁',501,4,'#','','',1,0,'F','0','0','monitor:logininfor:unlock','#','admin','2024-06-13 03:27:03','',NULL,''),
(1046,'在线查询',109,1,'#','','',1,0,'F','0','0','monitor:online:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1047,'批量强退',109,2,'#','','',1,0,'F','0','0','monitor:online:batchLogout','#','admin','2024-06-13 03:27:03','',NULL,''),
(1048,'单条强退',109,3,'#','','',1,0,'F','0','0','monitor:online:forceLogout','#','admin','2024-06-13 03:27:03','',NULL,''),
(1049,'任务查询',110,1,'#','','',1,0,'F','0','0','monitor:job:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1050,'任务新增',110,2,'#','','',1,0,'F','0','0','monitor:job:add','#','admin','2024-06-13 03:27:03','',NULL,''),
(1051,'任务修改',110,3,'#','','',1,0,'F','0','0','monitor:job:edit','#','admin','2024-06-13 03:27:03','',NULL,''),
(1052,'任务删除',110,4,'#','','',1,0,'F','0','0','monitor:job:remove','#','admin','2024-06-13 03:27:03','',NULL,''),
(1053,'状态修改',110,5,'#','','',1,0,'F','0','0','monitor:job:changeStatus','#','admin','2024-06-13 03:27:03','',NULL,''),
(1054,'任务导出',110,6,'#','','',1,0,'F','0','0','monitor:job:export','#','admin','2024-06-13 03:27:03','',NULL,''),
(1055,'生成查询',116,1,'#','','',1,0,'F','0','0','tool:gen:query','#','admin','2024-06-13 03:27:03','',NULL,''),
(1056,'生成修改',116,2,'#','','',1,0,'F','0','0','tool:gen:edit','#','admin','2024-06-13 03:27:03','',NULL,''),
(1057,'生成删除',116,3,'#','','',1,0,'F','0','0','tool:gen:remove','#','admin','2024-06-13 03:27:03','',NULL,''),
(1058,'导入代码',116,4,'#','','',1,0,'F','0','0','tool:gen:import','#','admin','2024-06-13 03:27:03','',NULL,''),
(1059,'预览代码',116,5,'#','','',1,0,'F','0','0','tool:gen:preview','#','admin','2024-06-13 03:27:03','',NULL,''),
(1060,'生成代码',116,6,'#','','',1,0,'F','0','0','tool:gen:code','#','admin','2024-06-13 03:27:03','',NULL,''),
(2000,'测量数据管理',0,1,'meas',NULL,NULL,1,0,'M','0','0','','list','admin','2024-06-13 03:45:09','admin','2024-07-24 06:29:20',''),
(2001,'光谱辐射',2056,2,'radiation','meas/radiation/index',NULL,1,0,'C','0','0','meas:radiation:list','select','admin','2024-06-13 06:18:11','admin','2024-09-06 01:52:27','光谱辐射菜单'),
(2002,'光谱辐射查询',2001,1,'#','',NULL,1,0,'F','0','0','meas:radiation:query','#','admin','2024-06-13 06:18:11','',NULL,''),
(2003,'光谱辐射新增',2001,2,'#','',NULL,1,0,'F','0','0','meas:radiation:add','#','admin','2024-06-13 06:18:11','',NULL,''),
(2004,'光谱辐射修改',2001,3,'#','',NULL,1,0,'F','0','0','meas:radiation:edit','#','admin','2024-06-13 06:18:11','',NULL,''),
(2005,'光谱辐射删除',2001,4,'#','',NULL,1,0,'F','0','0','meas:radiation:remove','#','admin','2024-06-13 06:18:11','',NULL,''),
(2006,'光谱辐射导出',2001,5,'#','',NULL,1,0,'F','0','0','meas:radiation:export','#','admin','2024-06-13 06:18:11','',NULL,''),
(2007,'测量环境数据',2000,1,'envData','meas/envData/index',NULL,1,0,'C','0','0','meas:envData:list','swagger','admin','2024-06-13 06:19:05','admin','2024-07-24 06:55:07','测量环境数据菜单'),
(2008,'测量环境数据查询',2007,1,'#','',NULL,1,0,'F','0','0','meas:envData:query','#','admin','2024-06-13 06:19:05','',NULL,''),
(2009,'测量环境数据新增',2007,2,'#','',NULL,1,0,'F','0','0','meas:envData:add','#','admin','2024-06-13 06:19:05','',NULL,''),
(2010,'测量环境数据修改',2007,3,'#','',NULL,1,0,'F','0','0','meas:envData:edit','#','admin','2024-06-13 06:19:05','',NULL,''),
(2011,'测量环境数据删除',2007,4,'#','',NULL,1,0,'F','0','0','meas:envData:remove','#','admin','2024-06-13 06:19:05','',NULL,''),
(2012,'测量环境数据导出',2007,5,'#','',NULL,1,0,'F','0','0','meas:envData:export','#','admin','2024-06-13 06:19:05','',NULL,''),
(2013,'测量批次',2055,2,'measBatch','meas/measBatch/index',NULL,1,0,'C','0','0','meas:measBatch:list','number','admin','2024-06-13 06:19:10','admin','2024-07-24 07:49:01','测量批次菜单'),
(2014,'测量批次查询',2013,1,'#','',NULL,1,0,'F','0','0','meas:measBatch:query','#','admin','2024-06-13 06:19:10','',NULL,''),
(2015,'测量批次新增',2013,2,'#','',NULL,1,0,'F','0','0','meas:measBatch:add','#','admin','2024-06-13 06:19:10','',NULL,''),
(2016,'测量批次修改',2013,3,'#','',NULL,1,0,'F','0','0','meas:measBatch:edit','#','admin','2024-06-13 06:19:10','',NULL,''),
(2017,'测量批次删除',2013,4,'#','',NULL,1,0,'F','0','0','meas:measBatch:remove','#','admin','2024-06-13 06:19:10','',NULL,''),
(2018,'测量批次导出',2013,5,'#','',NULL,1,0,'F','0','0','meas:measBatch:export','#','admin','2024-06-13 06:19:10','',NULL,''),
(2019,'数据结果',2000,2,'dataResults','meas/dataResults/index',NULL,1,0,'C','0','0','meas:dataResults:list','table','admin','2024-06-13 06:19:16','admin','2024-09-06 01:53:05','数据结果菜单'),
(2020,'数据结果查询',2019,1,'#','',NULL,1,0,'F','0','0','meas:dataResults:query','#','admin','2024-06-13 06:19:16','',NULL,''),
(2021,'数据结果新增',2019,2,'#','',NULL,1,0,'F','0','0','meas:dataResults:add','#','admin','2024-06-13 06:19:16','',NULL,''),
(2022,'数据结果修改',2019,3,'#','',NULL,1,0,'F','0','0','meas:dataResults:edit','#','admin','2024-06-13 06:19:16','',NULL,''),
(2023,'数据结果删除',2019,4,'#','',NULL,1,0,'F','0','0','meas:dataResults:remove','#','admin','2024-06-13 06:19:16','',NULL,''),
(2024,'数据结果导出',2019,5,'#','',NULL,1,0,'F','0','0','meas:dataResults:export','#','admin','2024-06-13 06:19:16','',NULL,''),
(2025,'热像仪测试数据',2056,3,'thermalImagerTesDdata','meas/thermalImagerTesDdata/index',NULL,1,0,'C','0','0','meas:thermalImagerTesDdata:list','online','admin','2024-06-13 06:19:21','admin','2024-09-06 01:52:37','热像仪测试数据菜单'),
(2026,'热像仪测试数据查询',2025,1,'#','',NULL,1,0,'F','0','0','meas:thermalImagerTesDdata:query','#','admin','2024-06-13 06:19:21','',NULL,''),
(2027,'热像仪测试数据新增',2025,2,'#','',NULL,1,0,'F','0','0','meas:thermalImagerTesDdata:add','#','admin','2024-06-13 06:19:21','',NULL,''),
(2028,'热像仪测试数据修改',2025,3,'#','',NULL,1,0,'F','0','0','meas:thermalImagerTesDdata:edit','#','admin','2024-06-13 06:19:21','',NULL,''),
(2029,'热像仪测试数据删除',2025,4,'#','',NULL,1,0,'F','0','0','meas:thermalImagerTesDdata:remove','#','admin','2024-06-13 06:19:21','',NULL,''),
(2030,'热像仪测试数据导出',2025,5,'#','',NULL,1,0,'F','0','0','meas:thermalImagerTesDdata:export','#','admin','2024-06-13 06:19:21','',NULL,''),
(2031,'发动机型号',2055,1,'engineModel','meas/engineModel/index',NULL,1,0,'C','0','0','meas:engineModel:list','table','admin','2024-06-13 06:19:26','admin','2024-07-24 07:01:00','发动机型号菜单'),
(2032,'发动机型号查询',2031,1,'#','',NULL,1,0,'F','0','0','meas:engineModel:query','#','admin','2024-06-13 06:19:26','',NULL,''),
(2033,'发动机型号新增',2031,2,'#','',NULL,1,0,'F','0','0','meas:engineModel:add','#','admin','2024-06-13 06:19:26','',NULL,''),
(2034,'发动机型号修改',2031,3,'#','',NULL,1,0,'F','0','0','meas:engineModel:edit','#','admin','2024-06-13 06:19:26','',NULL,''),
(2035,'发动机型号删除',2031,4,'#','',NULL,1,0,'F','0','0','meas:engineModel:remove','#','admin','2024-06-13 06:19:26','',NULL,''),
(2036,'发动机型号导出',2031,5,'#','',NULL,1,0,'F','0','0','meas:engineModel:export','#','admin','2024-06-13 06:19:26','',NULL,''),
(2037,'透过率',2056,4,'transmissionRate','meas/transmissionRate/index',NULL,1,0,'C','0','0','meas:transmissionRate:list','druid','admin','2024-06-13 06:19:33','admin','2024-09-06 01:52:46','透过率菜单'),
(2038,'透过率查询',2037,1,'#','',NULL,1,0,'F','0','0','meas:transmissionRate:query','#','admin','2024-06-13 06:19:33','',NULL,''),
(2039,'透过率新增',2037,2,'#','',NULL,1,0,'F','0','0','meas:transmissionRate:add','#','admin','2024-06-13 06:19:33','',NULL,''),
(2040,'透过率修改',2037,3,'#','',NULL,1,0,'F','0','0','meas:transmissionRate:edit','#','admin','2024-06-13 06:19:33','',NULL,''),
(2041,'透过率删除',2037,4,'#','',NULL,1,0,'F','0','0','meas:transmissionRate:remove','#','admin','2024-06-13 06:19:33','',NULL,''),
(2042,'透过率导出',2037,5,'#','',NULL,1,0,'F','0','0','meas:transmissionRate:export','#','admin','2024-06-13 06:19:33','',NULL,''),
(2043,'状态',2055,3,'status','meas/status/index',NULL,1,0,'C','0','0','meas:status:list','server','admin','2024-07-23 10:00:48','admin','2024-07-24 07:49:20','状态菜单'),
(2044,'状态查询',2043,1,'#','',NULL,1,0,'F','0','0','meas:status:query','#','admin','2024-07-23 10:00:48','',NULL,''),
(2045,'状态新增',2043,2,'#','',NULL,1,0,'F','0','0','meas:status:add','#','admin','2024-07-23 10:00:48','',NULL,''),
(2046,'状态修改',2043,3,'#','',NULL,1,0,'F','0','0','meas:status:edit','#','admin','2024-07-23 10:00:48','',NULL,''),
(2047,'状态删除',2043,4,'#','',NULL,1,0,'F','0','0','meas:status:remove','#','admin','2024-07-23 10:00:48','',NULL,''),
(2048,'状态导出',2043,5,'#','',NULL,1,0,'F','0','0','meas:status:export','#','admin','2024-07-23 10:00:48','',NULL,''),
(2049,'角度',2055,4,'angle','meas/angle/index',NULL,1,0,'C','0','0','meas:angle:list','cascader','admin','2024-07-23 10:00:48','admin','2024-07-24 07:48:53','角度菜单'),
(2050,'角度查询',2049,1,'#','',NULL,1,0,'F','0','0','meas:angle:query','#','admin','2024-07-23 10:00:48','',NULL,''),
(2051,'角度新增',2049,2,'#','',NULL,1,0,'F','0','0','meas:angle:add','#','admin','2024-07-23 10:00:48','',NULL,''),
(2052,'角度修改',2049,3,'#','',NULL,1,0,'F','0','0','meas:angle:edit','#','admin','2024-07-23 10:00:48','',NULL,''),
(2053,'角度删除',2049,4,'#','',NULL,1,0,'F','0','0','meas:angle:remove','#','admin','2024-07-23 10:00:48','',NULL,''),
(2054,'角度导出',2049,5,'#','',NULL,1,0,'F','0','0','meas:angle:export','#','admin','2024-07-23 10:00:48','',NULL,''),
(2055,'基础数据管理',0,3,'backdata',NULL,NULL,1,0,'M','0','0','','slider','admin','2024-07-24 06:29:02','admin','2024-09-06 01:55:06',''),
(2056,'后台数据管理',0,2,'bg',NULL,NULL,1,0,'M','0','0','','redis','admin','2024-09-06 01:52:10','admin','2024-09-06 01:55:00','');

/*Table structure for table `sys_notice` */

DROP TABLE IF EXISTS `sys_notice`;

CREATE TABLE `sys_notice` (
  `notice_id` int NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='通知公告表';

/*Data for the table `sys_notice` */

insert  into `sys_notice`(`notice_id`,`notice_title`,`notice_type`,`notice_content`,`status`,`create_by`,`create_time`,`update_by`,`update_time`,`remark`) values 
(1,'温馨提醒：2018-07-01 若依新版本发布啦','2','新版本内容','0','admin','2024-06-13 03:27:03','',NULL,'管理员'),
(2,'维护通知：2018-07-01 若依系统凌晨维护','1','维护内容','0','admin','2024-06-13 03:27:03','',NULL,'管理员');

/*Table structure for table `sys_oper_log` */

DROP TABLE IF EXISTS `sys_oper_log`;

CREATE TABLE `sys_oper_log` (
  `oper_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '模块标题',
  `business_type` int DEFAULT '0' COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '请求方式',
  `operator_type` int DEFAULT '0' COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '返回参数',
  `status` int DEFAULT '0' COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint DEFAULT '0' COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  KEY `idx_sys_oper_log_bt` (`business_type`) USING BTREE,
  KEY `idx_sys_oper_log_s` (`status`) USING BTREE,
  KEY `idx_sys_oper_log_ot` (`oper_time`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=188 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='操作日志记录';

/*Data for the table `sys_oper_log` */

insert  into `sys_oper_log`(`oper_id`,`title`,`business_type`,`method`,`request_method`,`operator_type`,`oper_name`,`dept_name`,`oper_url`,`oper_ip`,`oper_location`,`oper_param`,`json_result`,`status`,`error_msg`,`oper_time`,`cost_time`) values 
(1,'代码生成',6,'com.meas.generator.controller.GenController.importTableSave()','POST',1,'admin','研发部门','/tool/gen/importTable','127.0.0.1','内网IP','{\"tables\":\"status,angle\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-23 09:43:29',116),
(2,'代码生成',2,'com.meas.generator.controller.GenController.editSave()','PUT',1,'admin','研发部门','/tool/gen','127.0.0.1','内网IP','{\"businessName\":\"angle\",\"className\":\"Angle\",\"columns\":[{\"capJavaField\":\"Angle\",\"columnComment\":\"角度\",\"columnId\":100,\"columnName\":\"angle\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"1\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"angle\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":true,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":101,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":true,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":102,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createTime\",\"javaType\":\"Date\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UpdateBy\",\"columnComment\":\"更新人\",\"columnId\":103,\"columnName\":\"update_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"updateBy\",\"javaType\":\"String\",\"list\":false,\"params','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-23 09:47:22',47),
(3,'代码生成',2,'com.meas.generator.controller.GenController.editSave()','PUT',1,'admin','研发部门','/tool/gen','127.0.0.1','内网IP','{\"businessName\":\"angle\",\"className\":\"Angle\",\"columns\":[{\"capJavaField\":\"Angle\",\"columnComment\":\"角度\",\"columnId\":100,\"columnName\":\"angle\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"1\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"angle\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":true,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":1,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":101,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"0\",\"isPk\":\"0\",\"isQuery\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":true,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":102,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createTime\",\"javaType\":\"Date\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UpdateBy\",\"columnComment\":\"更新人\",\"columnId\":103,\"columnName\":\"update_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"updateBy\",\"javaType\":\"St','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-23 09:49:41',32),
(4,'代码生成',2,'com.meas.generator.controller.GenController.editSave()','PUT',1,'admin','研发部门','/tool/gen','127.0.0.1','内网IP','{\"businessName\":\"status\",\"className\":\"Status\",\"columns\":[{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":105,\"columnName\":\"status\",\"columnType\":\"varchar(63)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"1\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":true,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":1,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":106,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":true,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":107,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createTime\",\"javaType\":\"Date\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UpdateBy\",\"columnComment\":\"更新人\",\"columnId\":108,\"columnName\":\"update_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-23 09:43:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"updateBy\",\"javaType\":\"String\",\"list\":','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-23 09:57:49',36),
(5,'代码生成',8,'com.meas.generator.controller.GenController.batchGenCode()','GET',1,'admin','研发部门','/tool/gen/batchGenCode','127.0.0.1','内网IP','{\"tables\":\"angle,status\"}',NULL,0,NULL,'2024-07-23 09:57:58',332),
(6,'代码生成',3,'com.meas.generator.controller.GenController.remove()','DELETE',1,'admin','研发部门','/tool/gen/9','127.0.0.1','内网IP','{}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:06:12',40),
(7,'代码生成',3,'com.meas.generator.controller.GenController.remove()','DELETE',1,'admin','研发部门','/tool/gen/10','127.0.0.1','内网IP','{}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:06:16',14),
(8,'代码生成',6,'com.meas.generator.controller.GenController.importTableSave()','POST',1,'admin','研发部门','/tool/gen/importTable','127.0.0.1','内网IP','{\"tables\":\"angle,status\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:06:26',81),
(9,'代码生成',3,'com.meas.generator.controller.GenController.remove()','DELETE',1,'admin','研发部门','/tool/gen/11,12','127.0.0.1','内网IP','{}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:08:15',15),
(10,'代码生成',6,'com.meas.generator.controller.GenController.importTableSave()','POST',1,'admin','研发部门','/tool/gen/importTable','127.0.0.1','内网IP','{\"tables\":\"angle,status\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:08:35',70),
(11,'代码生成',3,'com.meas.generator.controller.GenController.remove()','DELETE',1,'admin','研发部门','/tool/gen/13,14','127.0.0.1','内网IP','{}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:08:44',15),
(12,'代码生成',6,'com.meas.generator.controller.GenController.importTableSave()','POST',1,'admin','研发部门','/tool/gen/importTable','127.0.0.1','内网IP','{\"tables\":\"meas_status,meas_angle\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:12:06',80),
(13,'代码生成',2,'com.meas.generator.controller.GenController.editSave()','PUT',1,'admin','研发部门','/tool/gen','127.0.0.1','内网IP','{\"businessName\":\"angle\",\"className\":\"MeasAngle\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"序号\",\"columnId\":130,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Angle\",\"columnComment\":\"角度\",\"columnId\":131,\"columnName\":\"angle\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"angle\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":132,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":133,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createTime\",\"javaType\":\"Date\",\"list\":false,\"params\":{},\"pk\":false,\"query\":false','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:13:27',47),
(14,'代码生成',2,'com.meas.generator.controller.GenController.editSave()','PUT',1,'admin','研发部门','/tool/gen','127.0.0.1','内网IP','{\"businessName\":\"status\",\"className\":\"MeasStatus\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"序号\",\"columnId\":136,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":137,\"columnName\":\"status\",\"columnType\":\"varchar(63)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Index\",\"columnComment\":\"排序\",\"columnId\":138,\"columnName\":\"index\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"index\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":139,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":false,\"params','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:13:38',36),
(15,'代码生成',8,'com.meas.generator.controller.GenController.batchGenCode()','GET',1,'admin','研发部门','/tool/gen/batchGenCode','127.0.0.1','内网IP','{\"tables\":\"meas_angle,meas_status\"}',NULL,0,NULL,'2024-07-24 02:17:36',368),
(16,'代码生成',2,'com.meas.generator.controller.GenController.editSave()','PUT',1,'admin','研发部门','/tool/gen','127.0.0.1','内网IP','{\"businessName\":\"status\",\"className\":\"MeasStatus\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"序号\",\"columnId\":136,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"updateTime\":\"2024-07-24 02:13:38\",\"usableColumn\":false},{\"capJavaField\":\"Status\",\"columnComment\":\"状态\",\"columnId\":137,\"columnName\":\"status\",\"columnType\":\"varchar(63)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"status\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"updateTime\":\"2024-07-24 02:13:38\",\"usableColumn\":false},{\"capJavaField\":\"Index\",\"columnComment\":\"排序\",\"columnId\":138,\"columnName\":\"index\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"index\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"updateTime\":\"2024-07-24 02:13:38\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建人\",\"columnId\":139,\"columnName\":\"create_by\",\"columnType\":\"varchar(32)\",\"createBy\":\"admin\",\"createTime\":\"2024-07-24 02:12:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:31:19',52),
(17,'状态',1,'com.meas.system.controller.MeasStatusController.add()','POST',1,'admin','研发部门','/system/status','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 10:37:43\",\"index\":1,\"params\":{},\"status\":\"最大\"}',NULL,1,'\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'index,\n                    \n                    \n                    create_time\' at line 4\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasStatusMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasStatusMapper.insertMeasStatus-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_status          ( status,                                          index,                                                               create_time )           values ( ?,                                          ?,                                                               ? )\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'index,\n                    \n                    \n                    create_time\' at line 4\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'index,\n                    \n                    \n                    create_time\' at line 4','2024-07-24 02:37:43',62),
(18,'状态',1,'com.meas.system.controller.MeasStatusController.add()','POST',1,'admin','研发部门','/system/status','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 10:43:03\",\"id\":1,\"index\":1,\"params\":{},\"status\":\"最大\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:43:03',137),
(19,'角度',1,'com.meas.system.controller.MeasAngleController.add()','POST',1,'admin','研发部门','/system/angle','127.0.0.1','内网IP','{\"angle\":1,\"createTime\":\"2024-07-24 10:43:11\",\"id\":1,\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 02:43:11',14),
(20,'状态',1,'com.meas.system.controller.MeasStatusController.add()','POST',1,'admin','研发部门','/meas/status','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 11:22:12\",\"id\":2,\"index\":2,\"params\":{},\"status\":\"中间\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 03:22:12',19),
(21,'状态',1,'com.meas.system.controller.MeasStatusController.add()','POST',1,'admin','研发部门','/meas/status','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 11:22:24\",\"id\":3,\"index\":0,\"params\":{},\"status\":\"最最大\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 03:22:24',10),
(22,'状态',1,'com.meas.system.controller.MeasStatusController.add()','POST',1,'admin','研发部门','/meas/status','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 11:22:33\",\"id\":4,\"index\":3,\"params\":{},\"status\":\"最小\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 03:22:33',11),
(23,'角度',1,'com.meas.system.controller.MeasAngleController.add()','POST',1,'admin','研发部门','/meas/angle','127.0.0.1','内网IP','{\"angle\":-180,\"createTime\":\"2024-07-24 11:22:53\",\"id\":2,\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 03:22:53',19),
(24,'角度',1,'com.meas.system.controller.MeasAngleController.add()','POST',1,'admin','研发部门','/meas/angle','127.0.0.1','内网IP','{\"angle\":90,\"createTime\":\"2024-07-24 11:22:59\",\"id\":3,\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 03:22:59',19),
(25,'角度',1,'com.meas.system.controller.MeasAngleController.add()','POST',1,'admin','研发部门','/meas/angle','127.0.0.1','内网IP','{\"angle\":-90,\"createTime\":\"2024-07-24 11:23:05\",\"id\":4,\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 03:23:05',18),
(26,'菜单管理',1,'com.meas.web.controller.system.SysMenuController.add()','POST',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"后台数据管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"backdata\",\"status\":\"0\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:29:02',21),
(27,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"createTime\":\"2024-06-13 03:45:09\",\"icon\":\"list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"测量数据管理\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"meas\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:29:20',12),
(28,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"createTime\":\"2024-06-13 03:27:02\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":11,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:29:24',11),
(29,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"createTime\":\"2024-06-13 03:27:02\",\"icon\":\"monitor\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2,\"menuName\":\"系统监控\",\"menuType\":\"M\",\"orderNum\":12,\"params\":{},\"parentId\":0,\"path\":\"monitor\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:29:30',11),
(30,'菜单管理',3,'com.meas.web.controller.system.SysMenuController.remove()','DELETE',1,'admin','研发部门','/system/menu/4','127.0.0.1','内网IP','{}','{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}',0,NULL,'2024-07-24 06:29:34',23),
(31,'角色管理',2,'com.meas.web.controller.system.SysRoleController.edit()','PUT',1,'admin','研发部门','/system/role','127.0.0.1','内网IP','{\"admin\":false,\"createTime\":\"2024-06-13 03:27:02\",\"dataScope\":\"2\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[3,115,116,1055,1056,1057,1058,1059,1060,117,1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,102,1012,1013,1014,1015,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,105,1025,1026,1027,1028,1029,106,1030,1031,1032,1033,1034,107,1035,1036,1037,1038,108,500,1039,1040,1041,501,1042,1043,1044,1045,2,109,1046,1047,1048,110,1049,1050,1051,1052,1053,1054,111,112,113,114],\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:29:50',36),
(32,'菜单管理',3,'com.meas.web.controller.system.SysMenuController.remove()','DELETE',1,'admin','研发部门','/system/menu/4','127.0.0.1','内网IP','{}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:30:09',16),
(33,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"createTime\":\"2024-06-13 03:27:02\",\"icon\":\"tool\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"系统工具\",\"menuType\":\"M\",\"orderNum\":13,\"params\":{},\"parentId\":0,\"path\":\"tool\",\"perms\":\"\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:30:17',10),
(34,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/angle/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2049,\"menuName\":\"角度\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"angle\",\"perms\":\"meas:angle:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:30:38',10),
(35,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/status/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2043,\"menuName\":\"状态\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"status\",\"perms\":\"meas:status:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:30:47',12),
(36,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/measBatch/index\",\"createTime\":\"2024-06-13 06:19:10\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"测量批次\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"measBatch\",\"perms\":\"meas:measBatch:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:31:09',11),
(37,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/engineModel/index\",\"createTime\":\"2024-06-13 06:19:26\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"发动机型号\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"engineModel\",\"perms\":\"meas:engineModel:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:31:46',10),
(38,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/radiation/index\",\"createTime\":\"2024-06-13 06:18:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"光谱辐射\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"radiation\",\"perms\":\"meas:radiation:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:52:37',13),
(39,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/thermalImagerTesDdata/index\",\"createTime\":\"2024-06-13 06:19:21\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2025,\"menuName\":\"热像仪测试数据\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"thermalImagerTesDdata\",\"perms\":\"meas:thermalImagerTesDdata:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:52:51',9),
(40,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/transmissionRate/index\",\"createTime\":\"2024-06-13 06:19:33\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"透过率\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":2000,\"path\":\"transmissionRate\",\"perms\":\"meas:transmissionRate:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:52:57',12),
(41,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/envData/index\",\"createTime\":\"2024-06-13 06:19:05\",\"icon\":\"swagger\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2007,\"menuName\":\"测量环境数据\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"envData\",\"perms\":\"meas:envData:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:55:07',10),
(42,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/dataResults/index\",\"createTime\":\"2024-06-13 06:19:16\",\"icon\":\"table\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"数据结果\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"dataResults\",\"perms\":\"meas:dataResults:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:55:24',10),
(43,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/radiation/index\",\"createTime\":\"2024-06-13 06:18:11\",\"icon\":\"select\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"光谱辐射\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"radiation\",\"perms\":\"meas:radiation:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:55:37',11),
(44,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/thermalImagerTesDdata/index\",\"createTime\":\"2024-06-13 06:19:21\",\"icon\":\"online\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2025,\"menuName\":\"热像仪测试数据\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"thermalImagerTesDdata\",\"perms\":\"meas:thermalImagerTesDdata:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:56:05',10),
(45,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/transmissionRate/index\",\"createTime\":\"2024-06-13 06:19:33\",\"icon\":\"druid\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"透过率\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":2000,\"path\":\"transmissionRate\",\"perms\":\"meas:transmissionRate:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:56:14',11),
(46,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"createTime\":\"2024-07-24 06:29:02\",\"icon\":\"slider\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2055,\"menuName\":\"后台数据管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"backdata\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:59:37',11),
(47,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/angle/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2049,\"menuName\":\"角度\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"angle\",\"perms\":\"meas:angle:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 06:59:46',10),
(48,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/status/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2043,\"menuName\":\"状态\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"status\",\"perms\":\"meas:status:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 07:00:07',11),
(49,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/measBatch/index\",\"createTime\":\"2024-06-13 06:19:10\",\"icon\":\"number\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"测量批次\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"measBatch\",\"perms\":\"meas:measBatch:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 07:00:26',11),
(50,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/engineModel/index\",\"createTime\":\"2024-06-13 06:19:26\",\"icon\":\"table\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"发动机型号\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2055,\"path\":\"engineModel\",\"perms\":\"meas:engineModel:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 07:01:00',10),
(51,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/angle/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2049,\"menuName\":\"角度\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":2055,\"path\":\"angle\",\"perms\":\"meas:angle:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 07:48:53',24),
(52,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/measBatch/index\",\"createTime\":\"2024-06-13 06:19:10\",\"icon\":\"number\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"测量批次\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2055,\"path\":\"measBatch\",\"perms\":\"meas:measBatch:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 07:49:01',12),
(53,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/status/index\",\"createTime\":\"2024-07-23 10:00:48\",\"icon\":\"server\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2043,\"menuName\":\"状态\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2055,\"path\":\"status\",\"perms\":\"meas:status:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 07:49:20',12),
(54,'发动机型号',1,'com.meas.system.controller.MeasEngineModelController.add()','POST',1,'admin','研发部门','/meas/engineModel','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:00:24\",\"model\":\"111\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:00:25',133),
(55,'发动机型号',1,'com.meas.system.controller.MeasEngineModelController.add()','POST',1,'admin','研发部门','/meas/engineModel','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:00:25\",\"model\":\"111\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:00:25',10),
(56,'发动机型号',1,'com.meas.system.controller.MeasEngineModelController.add()','POST',1,'admin','研发部门','/meas/engineModel','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:00:33\",\"model\":\"22\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:00:33',10),
(57,'发动机型号',1,'com.meas.system.controller.MeasEngineModelController.add()','POST',1,'admin','研发部门','/meas/engineModel','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:00:52\",\"model\":\"333\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:00:52',10),
(58,'发动机型号',2,'com.meas.system.controller.MeasEngineModelController.edit()','PUT',1,'admin','研发部门','/meas/engineModel','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:00:25\",\"id\":1,\"model\":\"型号xx\",\"params\":{},\"updateTime\":\"2024-07-24 16:01:21\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:01:21',11),
(59,'发动机型号',2,'com.meas.system.controller.MeasEngineModelController.edit()','PUT',1,'admin','研发部门','/meas/engineModel','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:00:25\",\"id\":2,\"model\":\"型号yy\",\"params\":{},\"updateTime\":\"2024-07-24 16:01:31\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:01:31',10),
(60,'发动机型号',2,'com.meas.system.controller.MeasEngineModelController.edit()','PUT',1,'admin','研发部门','/meas/engineModel','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:00:34\",\"id\":3,\"model\":\"型号zz\",\"params\":{},\"updateTime\":\"2024-07-24 16:01:44\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:01:44',9),
(61,'发动机型号',2,'com.meas.system.controller.MeasEngineModelController.edit()','PUT',1,'admin','研发部门','/meas/engineModel','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:00:53\",\"id\":4,\"model\":\"型号333\",\"params\":{},\"updateTime\":\"2024-07-24 16:01:49\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:01:49',11),
(62,'测量批次',1,'com.meas.system.controller.MeasBatchController.add()','POST',1,'admin','研发部门','/meas/measBatch','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:15:39\",\"engineId\":1,\"measurementBatch\":\"批次1\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:15:39',19),
(63,'测量批次',1,'com.meas.system.controller.MeasBatchController.add()','POST',1,'admin','研发部门','/meas/measBatch','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:15:52\",\"engineId\":1,\"measurementBatch\":\"批次1-1\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:15:52',9),
(64,'测量批次',1,'com.meas.system.controller.MeasBatchController.add()','POST',1,'admin','研发部门','/meas/measBatch','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:16:02\",\"engineId\":2,\"measurementBatch\":\"批次2-1\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:16:02',10),
(65,'测量批次',1,'com.meas.system.controller.MeasBatchController.add()','POST',1,'admin','研发部门','/meas/measBatch','127.0.0.1','内网IP','{\"createTime\":\"2024-07-24 16:16:09\",\"engineId\":2,\"measurementBatch\":\"批次2-2\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-24 08:16:09',7),
(66,'测量环境数据',1,'com.meas.system.controller.MeasEnvDataController.add()','POST',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"1\",\"createTime\":\"2024-07-25 11:24:46\",\"engineStatus\":\"1\",\"location\":\"111\",\"measurementBatchId\":1,\"params\":{},\"time\":\"2024-07-03\"}',NULL,1,'\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasEnvDataMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasEnvDataMapper.insertMeasEnvData-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_env_data          ( measurement_batch_id,             engine_status,             angle,                                       time,             location,                                                                                           create_time )           values ( ?,             ?,             ?,                                       ?,             ?,                                                                                           ? )\r\n### Cause: java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value\n; Field \'turbine_post_temp\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value','2024-07-25 03:24:46',68),
(67,'测量环境数据',1,'com.meas.system.controller.MeasEnvDataController.add()','POST',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"1\",\"createTime\":\"2024-07-25 11:24:52\",\"engineStatus\":\"1\",\"location\":\"111\",\"measurementBatchId\":1,\"params\":{},\"time\":\"2024-07-03\"}',NULL,1,'\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasEnvDataMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasEnvDataMapper.insertMeasEnvData-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_env_data          ( measurement_batch_id,             engine_status,             angle,                                       time,             location,                                                                                           create_time )           values ( ?,             ?,             ?,                                       ?,             ?,                                                                                           ? )\r\n### Cause: java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value\n; Field \'turbine_post_temp\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'turbine_post_temp\' doesn\'t have a default value','2024-07-25 03:24:52',9),
(68,'测量环境数据',1,'com.meas.system.controller.MeasEnvDataController.add()','POST',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"1\",\"createTime\":\"2024-07-25 11:30:18\",\"engineStatus\":\"1\",\"location\":\"111\",\"measurementBatchId\":1,\"params\":{},\"time\":\"2024-07-03\",\"turbinePostTemp\":\"/profile/upload/2024/07/25/新建 文本文档_20240725112616A001.txt\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-07-25 03:30:18',28),
(69,'测量环境数据',1,'com.meas.system.controller.MeasEnvDataController.add()','POST',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:52:30\",\"engineStatus\":\"中间\",\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:52:30\",\"engineStatus\":\"中间\",\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}}',0,NULL,'2024-08-07 09:52:30',62),
(70,'测量环境数据',1,'com.meas.system.controller.MeasEnvDataController.add()','POST',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:53:29\",\"engineStatus\":\"中间\",\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:53:29\",\"engineStatus\":\"中间\",\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}}',0,NULL,'2024-08-07 09:59:25',356251),
(71,'测量环境数据',1,'com.meas.system.controller.MeasEnvDataController.add()','POST',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:59:39\",\"engineStatus\":\"中间\",\"id\":4,\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:59:39\",\"engineStatus\":\"中间\",\"id\":4,\"location\":\"11\",\"measurementBatchId\":3,\"model\":\"2\",\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07\"}}',0,NULL,'2024-08-07 09:59:54',14881),
(72,'发动机型号',1,'com.meas.system.controller.MeasEngineModelController.add()','POST',1,'admin','研发部门','/meas/engineModel','127.0.0.1','内网IP','{\"createTime\":\"2024-08-21 15:40:17\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"id\":5,\"model\":\"发动\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 07:40:17',21),
(73,'测量环境数据',1,'com.meas.system.controller.MeasEnvDataController.add()','POST',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-08-21 15:46:12\",\"engineModel\":\"5\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"location\":\"1\",\"params\":{},\"time\":\"2024-07-10 00:00\"}',NULL,1,'\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'measurement_batch_id\' doesn\'t have a default value\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasEnvDataMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasEnvDataMapper.insertMeasEnvData-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_env_data          ( engine_status,             angle,                                       time,             location,                                                                                           create_time )           values ( ?,             ?,                                       ?,             ?,                                                                                           ? )\r\n### Cause: java.sql.SQLException: Field \'measurement_batch_id\' doesn\'t have a default value\n; Field \'measurement_batch_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'measurement_batch_id\' doesn\'t have a default value','2024-08-21 07:46:12',80),
(74,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:59:40\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":4,\"location\":\"11\",\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":3,\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/08/21/11_20240821161558A005.txt\",\"updateTime\":\"2024-08-21 16:22:17\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:22:17',41),
(75,'透过率',1,'com.meas.system.controller.MeasTransmissionRateController.add()','POST',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:17\",\"curve1\":\"/profile/upload/2024/08/21/透过率_20240821162052A022.txt\",\"curve2\":\"/profile/upload/2024/08/21/透过率_20240821162056A023.txt\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"params\":{},\"rawData\":\"/profile/upload/2024/08/21/222_20240821162046A021.txt\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:17\",\"curve1\":\"/profile/upload/2024/08/21/透过率_20240821162052A022.txt\",\"curve2\":\"/profile/upload/2024/08/21/透过率_20240821162056A023.txt\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"params\":{},\"rawData\":\"/profile/upload/2024/08/21/222_20240821162046A021.txt\"}}',0,NULL,'2024-08-21 08:22:17',54),
(76,'光谱辐射',1,'com.meas.system.controller.MeasSpectralRadiationController.add()','POST',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"90\",\"backgroundData\":\"/profile/upload/2024/08/21/lgm_20240821161606A006.lgm\",\"calCurve\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt\",\"createTime\":\"2024-08-21 16:22:17\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"gain\":2,\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"lensFView\":2,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"1\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt\",\"radiance2\":\"/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt\",\"rawData\":\"/profile/upload/2024/08/21/222_20240821161730A011.txt\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"backgroundData\":\"/profile/upload/2024/08/21/lgm_20240821161606A006.lgm\",\"calCurve\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt\",\"createTime\":\"2024-08-21 16:22:17\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"gain\":2,\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"lensFView\":2,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"1\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt\",\"radiance2\":\"/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt\",\"rawData\":\"/profile/upload/2024/08/21/222_20240821161730A011.txt\"}}',0,NULL,'2024-08-21 08:22:17',58),
(77,'热像仪测试数据',1,'com.meas.system.controller.MeasThermalImagerTestDataController.add()','POST',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:17\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"2\",\"params\":{},\"radIllumination\":\"\",\"radTemp\":\"/profile/upload/2024/08/21/11_20240821162036A020.txt\",\"radiance\":\"/profile/upload/2024/08/21/热像仪_20240821161927A018.txt\",\"tempCal\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:17\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"2\",\"params\":{},\"radIllumination\":\"\",\"radTemp\":\"/profile/upload/2024/08/21/11_20240821162036A020.txt\",\"radiance\":\"/profile/upload/2024/08/21/热像仪_20240821161927A018.txt\",\"tempCal\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt\"}}',0,NULL,'2024-08-21 08:22:17',61),
(78,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:59:40\",\"engineModel\":\"5\",\"engineStatus\":\"中间\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"id\":4,\"location\":\"11\",\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":3,\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/08/21/11_20240821161558A005.txt\",\"updateTime\":\"2024-08-21 16:22:59\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:22:59',14),
(79,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"90\",\"backgroundData\":\"/profile/upload/2024/08/21/lgm_20240821161606A006.lgm\",\"calCurve\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"gain\":2,\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"lensFView\":2,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"1\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt\",\"radiance2\":\"/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt\",\"rawData\":\"/profile/upload/2024/08/21/222_20240821161730A011.txt\",\"updateTime\":\"2024-08-21 16:22:59\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:22:59',17),
(80,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"2\",\"params\":{},\"radIllumination\":\"\",\"radTemp\":\"/profile/upload/2024/08/21/11_20240821162036A020.txt\",\"radiance\":\"/profile/upload/2024/08/21/热像仪_20240821161927A018.txt\",\"tempCal\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt\",\"updateTime\":\"2024-08-21 16:22:59\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:22:59',17),
(81,'透过率',2,'com.meas.system.controller.MeasTransmissionRateController.edit()','PUT',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"curve1\":\"/profile/upload/2024/08/21/透过率_20240821162052A022.txt\",\"curve2\":\"/profile/upload/2024/08/21/透过率_20240821162056A023.txt\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"params\":{},\"rawData\":\"/profile/upload/2024/08/21/222_20240821162046A021.txt\",\"updateTime\":\"2024-08-21 16:22:59\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:22:59',17),
(82,'透过率',2,'com.meas.system.controller.MeasTransmissionRateController.edit()','PUT',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"curve1\":\"/profile/upload/2024/08/21/透过率_20240821162052A022.txt\",\"curve2\":\"/profile/upload/2024/08/21/透过率_20240821162056A023.txt\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"params\":{},\"rawData\":\"/profile/upload/2024/08/21/222_20240821162046A021.txt\",\"updateTime\":\"2024-08-21 16:28:36\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:28:36',11),
(83,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"2\",\"params\":{},\"radIllumination\":\"\",\"radTemp\":\"/profile/upload/2024/08/21/11_20240821162036A020.txt\",\"radiance\":\"/profile/upload/2024/08/21/热像仪_20240821161927A018.txt\",\"tempCal\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt\",\"updateTime\":\"2024-08-21 16:28:36\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:28:36',14),
(84,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-07 17:59:40\",\"engineModel\":\"5\",\"engineStatus\":\"中间\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"id\":4,\"location\":\"11\",\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":3,\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/08/21/11_20240821161558A005.txt\",\"updateTime\":\"2024-08-21 16:28:36\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:28:36',14),
(85,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"90\",\"backgroundData\":\"/profile/upload/2024/08/21/lgm_20240821161606A006.lgm\",\"calCurve\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"gain\":2,\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"lensFView\":2,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"1\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt\",\"radiance2\":\"/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt\",\"rawData\":\"/profile/upload/2024/08/21/222_20240821161730A011.txt\",\"updateTime\":\"2024-08-21 16:28:36\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:28:36',14),
(86,'透过率',2,'com.meas.system.controller.MeasTransmissionRateController.edit()','PUT',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"curve1\":\"/profile/upload/2024/08/21/透过率_20240821162052A022.txt\",\"curve2\":\"/profile/upload/2024/08/21/透过率_20240821162056A023.txt\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"params\":{},\"rawData\":\"/profile/upload/2024/08/21/222_20240821162046A021.txt\",\"updateTime\":\"2024-08-21 16:28:46\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:28:46',11),
(87,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"90\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"2\",\"params\":{},\"radIllumination\":\"\",\"radTemp\":\"/profile/upload/2024/08/21/11_20240821162036A020.txt\",\"radiance\":\"/profile/upload/2024/08/21/热像仪_20240821161927A018.txt\",\"tempCal\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161816A014.txt\",\"updateTime\":\"2024-08-21 16:28:46\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:28:46',14),
(88,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"90\",\"backgroundData\":\"/profile/upload/2024/08/21/lgm_20240821161606A006.lgm\",\"calCurve\":\"/profile/upload/2024/08/21/标定曲线3-5_20240821161613A007.txt,/profile/upload/2024/08/21/标定曲线8-14_20240821161650A008.txt\",\"createTime\":\"2024-08-21 16:22:18\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"gain\":2,\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":1,\"lensFView\":2,\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":4,\"model\":\"1\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/21/辐射亮度3-5_20240821161743A012.txt\",\"radiance2\":\"/profile/upload/2024/08/21/辐射亮度8-14_20240821161747A013.txt\",\"rawData\":\"/profile/upload/2024/08/21/222_20240821161730A011.txt\",\"updateTime\":\"2024-08-21 16:28:46\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:28:46',13),
(89,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-90\",\"createTime\":\"2024-08-07 17:59:40\",\"engineModel\":\"型号yy\",\"engineStatus\":\"中间\",\"geometryFiles\":\"f2\",\"geometryImage\":\"g2\",\"id\":4,\"location\":\"11\",\"measurementBatch\":\"批次2-1\",\"measurementBatchId\":3,\"params\":{},\"temperature\":235,\"testDistance\":11,\"time\":\"2024-08-07 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/08/21/11_20240821161558A005.txt\",\"updateTime\":\"2024-08-21 16:28:46\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-21 08:28:46',13),
(90,'测量批次',1,'com.meas.system.controller.MeasBatchController.add()','POST',1,'admin','一部','/meas/measBatch','127.0.0.1','内网IP','{\"createTime\":\"2024-08-23 10:59:39\",\"engineId\":5,\"id\":5,\"measurementBatch\":\"20240823105929-发动\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-23 02:59:39',81),
(91,'测量批次',1,'com.meas.system.controller.MeasBatchController.add()','POST',1,'admin','一部','/meas/measBatch','127.0.0.1','内网IP','{\"createTime\":\"2024-08-23 11:00:33\",\"engineId\":5,\"id\":6,\"measurementBatch\":\"20240823110028-发动\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-23 03:00:33',12),
(92,'状态',1,'com.meas.system.controller.MeasStatusController.add()','POST',1,'admin','一部','/meas/status','127.0.0.1','内网IP','{\"createTime\":\"2024-08-23 11:08:08\",\"id\":5,\"index\":3,\"params\":{},\"status\":\"1\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-23 03:08:08',13),
(93,'角度',1,'com.meas.system.controller.MeasAngleController.add()','POST',1,'admin','一部','/meas/angle','127.0.0.1','内网IP','{\"angle\":2,\"createTime\":\"2024-08-23 11:08:18\",\"id\":5,\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-23 03:08:18',16),
(94,'测量环境数据',1,'com.meas.system.controller.MeasEnvDataController.add()','POST',1,'admin','一部','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"2\",\"atmosPress\":1.1,\"concentration\":1.2,\"createTime\":\"2024-08-23 11:12:25\",\"engineModel\":\"5\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"humidity\":1.2,\"id\":5,\"location\":\"111.1\",\"measurementBatchId\":6,\"params\":{},\"temperature\":230.1,\"testDistance\":100,\"time\":\"2024-08-23 11:08\",\"windSpeed\":1.1}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"2\",\"atmosPress\":1.1,\"concentration\":1.2,\"createTime\":\"2024-08-23 11:12:25\",\"engineModel\":\"5\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"humidity\":1.2,\"id\":5,\"location\":\"111.1\",\"measurementBatchId\":6,\"params\":{},\"temperature\":230.1,\"testDistance\":100,\"time\":\"2024-08-23 11:08\",\"windSpeed\":1.1}}',0,NULL,'2024-08-23 03:12:25',16),
(95,'光谱辐射',1,'com.meas.system.controller.MeasSpectralRadiationController.add()','POST',1,'admin','一部','/meas/radiation','127.0.0.1','内网IP','{\"backgroundData\":\"/profile/upload/2024/08/23/lgm_20240823111308A001.lgm\",\"calCurve\":\"/profile/upload/2024/08/23/标定曲线3-5_20240823111312A002.txt\",\"createTime\":\"2024-08-23 11:20:40\",\"gain\":2,\"id\":2,\"lensFView\":12.2,\"measurementBatchId\":5,\"model\":\"qqq\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/23/辐射亮度3-5_20240823111356A006.txt\",\"radiance2\":\"/profile/upload/2024/08/23/辐射亮度8-14_20240823111404A007.txt\",\"rawData\":\"/profile/upload/2024/08/23/222_20240823111353A005.txt\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"backgroundData\":\"/profile/upload/2024/08/23/lgm_20240823111308A001.lgm\",\"calCurve\":\"/profile/upload/2024/08/23/标定曲线3-5_20240823111312A002.txt\",\"createTime\":\"2024-08-23 11:20:40\",\"gain\":2,\"id\":2,\"lensFView\":12.2,\"measurementBatchId\":5,\"model\":\"qqq\",\"params\":{},\"radiance1\":\"/profile/upload/2024/08/23/辐射亮度3-5_20240823111356A006.txt\",\"radiance2\":\"/profile/upload/2024/08/23/辐射亮度8-14_20240823111404A007.txt\",\"rawData\":\"/profile/upload/2024/08/23/222_20240823111353A005.txt\"}}',0,NULL,'2024-08-23 03:20:40',15),
(96,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','一部','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"2\",\"atmosPress\":1.1,\"concentration\":1.2,\"createTime\":\"2024-08-23 11:12:25\",\"engineModel\":\"发动\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"humidity\":1.2,\"id\":5,\"location\":\"111.1\",\"measurementBatch\":\"20240823110028-发动\",\"measurementBatchId\":6,\"params\":{},\"temperature\":230.1,\"testDistance\":100,\"time\":\"2024-08-23 11:08\",\"updateTime\":\"2024-08-23 11:20:40\",\"windSpeed\":1.1}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-08-23 03:20:40',12),
(97,'透过率',1,'com.meas.system.controller.MeasTransmissionRateController.add()','POST',1,'admin','一部','/meas/transmissionRate','127.0.0.1','内网IP','{\"createTime\":\"2024-08-23 11:20:40\",\"curve1\":\"/profile/upload/2024/08/23/透过率_20240823112032A015.txt\",\"curve2\":\"/profile/upload/2024/08/23/透过率_20240823112038A016.txt\",\"id\":2,\"measurementBatchId\":5,\"params\":{},\"rawData\":\"/profile/upload/2024/08/23/11_20240823112028A014.txt\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-08-23 11:20:40\",\"curve1\":\"/profile/upload/2024/08/23/透过率_20240823112032A015.txt\",\"curve2\":\"/profile/upload/2024/08/23/透过率_20240823112038A016.txt\",\"id\":2,\"measurementBatchId\":5,\"params\":{},\"rawData\":\"/profile/upload/2024/08/23/11_20240823112028A014.txt\"}}',0,NULL,'2024-08-23 03:20:40',21),
(98,'热像仪测试数据',1,'com.meas.system.controller.MeasThermalImagerTestDataController.add()','POST',1,'admin','一部','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"createTime\":\"2024-08-23 11:20:40\",\"id\":2,\"integrationTime\":11,\"measurementBatchId\":5,\"model\":\"22\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/08/23/辐射亮度3-5_20240823111923A010.txt\",\"radTemp\":\"/profile/upload/2024/08/23/辐射亮度8-14_20240823112018A013.txt\",\"radiance\":\"/profile/upload/2024/08/23/热像仪_20240823112002A012.txt\",\"tempCal\":\"/profile/upload/2024/08/23/标定曲线3-5_20240823111846A008.txt\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-08-23 11:20:40\",\"id\":2,\"integrationTime\":11,\"measurementBatchId\":5,\"model\":\"22\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/08/23/辐射亮度3-5_20240823111923A010.txt\",\"radTemp\":\"/profile/upload/2024/08/23/辐射亮度8-14_20240823112018A013.txt\",\"radiance\":\"/profile/upload/2024/08/23/热像仪_20240823112002A012.txt\",\"tempCal\":\"/profile/upload/2024/08/23/标定曲线3-5_20240823111846A008.txt\"}}',0,NULL,'2024-08-23 03:20:40',30),
(99,'数据结果',2,'com.meas.system.controller.MeasDataResultsController.edit()','PUT',1,'admin','一部','/meas/dataResults','127.0.0.1','内网IP','{\"angle\":\"2\",\"engineModel\":\"发动\",\"engineStatus\":\"20240823110028-发动\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"measurementBatch\":\"20240823110028-发动\",\"measurementBatchId\":\"5\",\"params\":{},\"specBandIrr1\":3,\"specBandIrr2\":5,\"specIrr1\":\"/profile/upload/2024/08/23/光谱辐射计3~5μm波段的标定系数_20240823113407A017.txt\",\"specIrr2\":\"/profile/upload/2024/08/23/光谱辐射计8~14μm波段的标定系数_20240823113411A018.txt\",\"updateTime\":\"2024-08-23 11:34:26\"}','{\"msg\":\"操作失败\",\"code\":500}',0,NULL,'2024-08-23 03:34:26',7),
(100,'数据结果',2,'com.meas.system.controller.MeasDataResultsController.edit()','PUT',1,'admin','一部','/meas/dataResults','127.0.0.1','内网IP','{\"angle\":\"2\",\"engineModel\":\"发动\",\"engineStatus\":\"20240823110028-发动\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"measurementBatch\":\"20240823110028-发动\",\"measurementBatchId\":\"5\",\"params\":{},\"specBandIrr1\":3,\"specBandIrr2\":5,\"specIrr1\":\"/profile/upload/2024/08/23/光谱辐射计3~5μm波段的标定系数_20240823113407A017.txt\",\"specIrr2\":\"/profile/upload/2024/08/23/光谱辐射计8~14μm波段的标定系数_20240823113411A018.txt\",\"updateTime\":\"2024-08-23 11:34:31\"}','{\"msg\":\"操作失败\",\"code\":500}',0,NULL,'2024-08-23 03:34:31',5),
(101,'数据结果',2,'com.meas.system.controller.MeasDataResultsController.edit()','PUT',1,'admin','一部','/meas/dataResults','127.0.0.1','内网IP','{\"angle\":\"2\",\"engineModel\":\"发动\",\"engineStatus\":\"20240823110028-发动\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"measurementBatch\":\"20240823110028-发动\",\"measurementBatchId\":\"5\",\"params\":{},\"specBandIrr1\":3,\"specBandIrr2\":5,\"specIrr1\":\"/profile/upload/2024/08/23/光谱辐射计3~5μm波段的标定系数_20240823113407A017.txt\",\"specIrr2\":\"/profile/upload/2024/08/23/光谱辐射计8~14μm波段的标定系数_20240823113411A018.txt\",\"updateTime\":\"2024-08-23 11:34:43\"}','{\"msg\":\"操作失败\",\"code\":500}',0,NULL,'2024-08-23 03:34:43',3),
(102,'数据结果',2,'com.meas.system.controller.MeasDataResultsController.edit()','PUT',1,'admin','一部','/meas/dataResults','127.0.0.1','内网IP','{\"angle\":\"2\",\"engineModel\":\"发动\",\"engineStatus\":\"20240823110028-发动\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"measurementBatch\":\"20240823110028-发动\",\"measurementBatchId\":\"5\",\"params\":{},\"specBandIrr1\":3,\"specBandIrr2\":5,\"specIrr1\":\"/profile/upload/2024/08/23/光谱辐射计3~5μm波段的标定系数_20240823113407A017.txt\",\"specIrr2\":\"/profile/upload/2024/08/23/光谱辐射计8~14μm波段的标定系数_20240823113411A018.txt\",\"updateTime\":\"2024-08-23 11:42:10\"}','{\"msg\":\"操作失败\",\"code\":500}',0,NULL,'2024-08-23 03:42:10',7),
(103,'菜单管理',1,'com.meas.web.controller.system.SysMenuController.add()','POST',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"createBy\":\"admin\",\"icon\":\"redis\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"测量后台管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"bg\",\"status\":\"0\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 01:52:10',28),
(104,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/radiation/index\",\"createTime\":\"2024-06-13 06:18:11\",\"icon\":\"select\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"光谱辐射\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2056,\"path\":\"radiation\",\"perms\":\"meas:radiation:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 01:52:27',13),
(105,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/thermalImagerTesDdata/index\",\"createTime\":\"2024-06-13 06:19:21\",\"icon\":\"online\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2025,\"menuName\":\"热像仪测试数据\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2056,\"path\":\"thermalImagerTesDdata\",\"perms\":\"meas:thermalImagerTesDdata:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 01:52:37',12),
(106,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/transmissionRate/index\",\"createTime\":\"2024-06-13 06:19:33\",\"icon\":\"druid\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"透过率\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":2056,\"path\":\"transmissionRate\",\"perms\":\"meas:transmissionRate:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 01:52:46',13),
(107,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"component\":\"meas/dataResults/index\",\"createTime\":\"2024-06-13 06:19:16\",\"icon\":\"table\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"数据结果\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"dataResults\",\"perms\":\"meas:dataResults:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 01:53:05',13),
(108,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"createTime\":\"2024-07-24 06:29:02\",\"icon\":\"slider\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2055,\"menuName\":\"基础数据管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"backdata\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 01:53:32',13),
(109,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"createTime\":\"2024-09-06 01:52:10\",\"icon\":\"redis\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2056,\"menuName\":\"后台数据管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"bg\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 01:55:00',13),
(110,'菜单管理',2,'com.meas.web.controller.system.SysMenuController.edit()','PUT',1,'admin','研发部门','/system/menu','127.0.0.1','内网IP','{\"children\":[],\"createTime\":\"2024-07-24 06:29:02\",\"icon\":\"slider\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2055,\"menuName\":\"基础数据管理\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"backdata\",\"perms\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 01:55:06',13),
(111,'发动机型号',1,'com.meas.system.controller.MeasEngineModelController.add()','POST',1,'admin','研发部门','/meas/engineModel','127.0.0.1','内网IP','{\"createTime\":\"2024-09-06 10:20:45\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"id\":6,\"model\":\"超级发动机\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 02:20:45',75),
(112,'测量批次',1,'com.meas.system.controller.MeasBatchController.add()','POST',1,'admin','研发部门','/meas/measBatch','127.0.0.1','内网IP','{\"createTime\":\"2024-09-06 10:22:22\",\"engineId\":6,\"id\":7,\"measurementBatch\":\"20240906102158-超级发动机\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 02:22:22',12),
(113,'测量批次',1,'com.meas.system.controller.MeasBatchController.add()','POST',1,'admin','研发部门','/meas/measBatch','127.0.0.1','内网IP','{\"createTime\":\"2024-09-06 10:22:35\",\"engineId\":6,\"id\":8,\"measurementBatch\":\"20240906102232-超级发动机\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 02:22:35',10),
(114,'测量环境数据',1,'com.meas.system.controller.MeasEnvDataController.add()','POST',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":1000,\"concentration\":1000,\"createTime\":\"2024-09-06 10:25:17\",\"engineModel\":\"6\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"humidity\":99.99,\"id\":6,\"location\":\"西安\",\"measurementBatchId\":7,\"params\":{},\"temperature\":230.11,\"testDistance\":12,\"time\":\"2024-09-10 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/09/06/涡轮后温度_20240906102344A004.txt\",\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"-180\",\"atmosPress\":1000,\"concentration\":1000,\"createTime\":\"2024-09-06 10:25:17\",\"engineModel\":\"6\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"humidity\":99.99,\"id\":6,\"location\":\"西安\",\"measurementBatchId\":7,\"params\":{},\"temperature\":230.11,\"testDistance\":12,\"time\":\"2024-09-10 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/09/06/涡轮后温度_20240906102344A004.txt\",\"windSpeed\":100}}',0,NULL,'2024-09-06 02:25:17',16),
(115,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":1000,\"concentration\":1000,\"createTime\":\"2024-09-06 10:25:17\",\"engineModel\":\"超级发动机\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"humidity\":99.99,\"id\":6,\"location\":\"西安\",\"measurementBatch\":\"20240906102158-超级发动机\",\"measurementBatchId\":7,\"params\":{},\"temperature\":230.11,\"testDistance\":12,\"time\":\"2024-09-10 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/09/06/涡轮后温度_20240906102344A004.txt\",\"updateTime\":\"2024-09-06 11:24:56\",\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 03:24:56',25),
(116,'透过率',1,'com.meas.system.controller.MeasTransmissionRateController.add()','POST',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"createTime\":\"2024-09-06 11:24:56\",\"curve1\":\"/profile/upload/2024/09/06/透过率_20240906112448A041.txt\",\"curve2\":\"/profile/upload/2024/09/06/透过率_20240906112454A042.txt\",\"id\":3,\"measurementBatchId\":6,\"params\":{},\"rawData\":\"/profile/upload/2024/09/06/目标数据-原始_20240906112440A040.txt\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-09-06 11:24:56\",\"curve1\":\"/profile/upload/2024/09/06/透过率_20240906112448A041.txt\",\"curve2\":\"/profile/upload/2024/09/06/透过率_20240906112454A042.txt\",\"id\":3,\"measurementBatchId\":6,\"params\":{},\"rawData\":\"/profile/upload/2024/09/06/目标数据-原始_20240906112440A040.txt\"}}',0,NULL,'2024-09-06 03:24:57',103),
(117,'热像仪测试数据',1,'com.meas.system.controller.MeasThermalImagerTestDataController.add()','POST',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"createTime\":\"2024-09-06 11:24:56\",\"filterNo\":\"xxfe123\",\"fps\":\"30\",\"id\":3,\"integrationTime\":100,\"lensFView\":\"1000\",\"measurementBatchId\":6,\"model\":\"x型号\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/06/辐射亮度3-5_20240906112219A037.txt\",\"radTemp\":\"/profile/upload/2024/09/06/热像仪-辐射温度_20240906112423A039.txt\",\"radiance\":\"/profile/upload/2024/09/06/热像仪-辐射亮度_20240906105209A025.txt\",\"spectralBand\":\"3\",\"tempCal\":\"/profile/upload/2024/09/06/标定温度_20240906105615A031.txt\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-09-06 11:24:56\",\"filterNo\":\"xxfe123\",\"fps\":\"30\",\"id\":3,\"integrationTime\":100,\"lensFView\":\"1000\",\"measurementBatchId\":6,\"model\":\"x型号\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/06/辐射亮度3-5_20240906112219A037.txt\",\"radTemp\":\"/profile/upload/2024/09/06/热像仪-辐射温度_20240906112423A039.txt\",\"radiance\":\"/profile/upload/2024/09/06/热像仪-辐射亮度_20240906105209A025.txt\",\"spectralBand\":\"3\",\"tempCal\":\"/profile/upload/2024/09/06/标定温度_20240906105615A031.txt\"}}',0,NULL,'2024-09-06 03:24:57',117),
(118,'光谱辐射',1,'com.meas.system.controller.MeasSpectralRadiationController.add()','POST',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"backgroundData\":\"/profile/upload/2024/09/06/背景数据_20240906102554A005.lgm\",\"calCurve\":\"/profile/upload/2024/09/06/标定曲线3-5_20240906102605A006.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/06/标定温度_20240906112115A036.txt\\\"}]\",\"createTime\":\"2024-09-06 11:24:56\",\"gain\":2,\"lensFView\":88,\"measurementBatchId\":6,\"model\":\"x型号\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/06/光谱辐射计测得3~5μm的光谱辐射亮度_20240906112052A035.txt\",\"radiance2\":\"/profile/upload/2024/09/06/光谱辐射计测得8~14μm的光谱辐射亮度_20240906112020A034.txt\",\"rawData\":\"/profile/upload/2024/09/06/目标数据-原始_20240906104447A013.txt\"}',NULL,1,'\r\n### Error updating database.  Cause: java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906112115A036.txt\"}]\' for column \'cal_temp\' at row 1\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasSpectralRadiationMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasSpectralRadiationMapper.insertMeasSpectralRadiation-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_spectral_radiation          ( measurement_batch_id,             model,             lens_f_view,             gain,             background_data,             cal_temp,             cal_curve,             raw_data,             radiance_1,             radiance_2,                          create_time )           values ( ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,                          ? )\r\n### Cause: java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906112115A036.txt\"}]\' for column \'cal_temp\' at row 1\n; uncategorized SQLException; SQL state [HY000]; error code [1366]; Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906112115A036.txt\"}]\' for column \'cal_temp\' at row 1; nested exception is java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906112115A036.txt\"}]\' for column \'cal_temp\' at row 1','2024-09-06 03:24:57',442),
(119,'光谱辐射',1,'com.meas.system.controller.MeasSpectralRadiationController.add()','POST',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/06/标定温度_20240906113151A044.txt\\\"}]\",\"createTime\":\"2024-09-06 11:32:01\",\"engineModel\":\"超级发动机\",\"engineStatus\":\"最最大\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"lensFView\":10,\"measurementBatch\":\"20240906102158-超级发动机\",\"measurementBatchId\":6,\"model\":\"222\",\"params\":{}}',NULL,1,'\r\n### Error updating database.  Cause: java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906113151A044.txt\"}]\' for column \'cal_temp\' at row 1\r\n### The error may exist in file [D:\\workspace\\java\\meas\\meas-system\\target\\classes\\mapper\\meas\\MeasSpectralRadiationMapper.xml]\r\n### The error may involve com.meas.system.mapper.MeasSpectralRadiationMapper.insertMeasSpectralRadiation-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into meas_spectral_radiation          ( measurement_batch_id,             model,             lens_f_view,             gain,                          cal_temp,                                                                              create_time )           values ( ?,             ?,             ?,             ?,                          ?,                                                                              ? )\r\n### Cause: java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906113151A044.txt\"}]\' for column \'cal_temp\' at row 1\n; uncategorized SQLException; SQL state [HY000]; error code [1366]; Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906113151A044.txt\"}]\' for column \'cal_temp\' at row 1; nested exception is java.sql.SQLException: Incorrect integer value: \'[{\"temp\":10,\"calTempFile\":\"/profile/upload/2024/09/06/标定温度_20240906113151A044.txt\"}]\' for column \'cal_temp\' at row 1','2024-09-06 03:32:01',7),
(120,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":1000,\"concentration\":1000,\"createTime\":\"2024-09-06 10:25:17\",\"engineModel\":\"超级发动机\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"humidity\":99.99,\"id\":6,\"location\":\"西安\",\"measurementBatch\":\"20240906102158-超级发动机\",\"measurementBatchId\":7,\"params\":{},\"temperature\":230.11,\"testDistance\":12,\"time\":\"2024-09-10 00:00\",\"turbinePostTemp\":\"/profile/upload/2024/09/06/涡轮后温度_20240906102344A004.txt\",\"updateTime\":\"2024-09-06 11:32:01\",\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 03:32:01',15),
(121,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-06 11:24:57\",\"engineModel\":\"超级发动机\",\"engineStatus\":\"最最大\",\"filterNo\":\"xxfe123\",\"fps\":\"30\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"id\":3,\"integrationTime\":100,\"lensFView\":\"1000\",\"measurementBatch\":\"20240906102158-超级发动机\",\"measurementBatchId\":6,\"model\":\"x型号\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/06/辐射亮度3-5_20240906112219A037.txt\",\"radTemp\":\"/profile/upload/2024/09/06/热像仪-辐射温度_20240906112423A039.txt\",\"radiance\":\"/profile/upload/2024/09/06/热像仪-辐射亮度_20240906105209A025.txt\",\"spectralBand\":\"3\",\"tempCal\":\"/profile/upload/2024/09/06/标定温度_20240906105615A031.txt\",\"updateTime\":\"2024-09-06 11:32:01\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 03:32:01',17),
(122,'透过率',2,'com.meas.system.controller.MeasTransmissionRateController.edit()','PUT',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-06 11:24:57\",\"curve1\":\"/profile/upload/2024/09/06/透过率_20240906112448A041.txt\",\"curve2\":\"/profile/upload/2024/09/06/透过率_20240906112454A042.txt\",\"engineModel\":\"超级发动机\",\"engineStatus\":\"最最大\",\"geometryFiles\":\"/profile/upload/2024/09/06/几何模型_20240906102025A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/06/发动机_20240906102036A002.jpg\",\"id\":3,\"measurementBatch\":\"20240906102158-超级发动机\",\"measurementBatchId\":6,\"params\":{},\"rawData\":\"/profile/upload/2024/09/06/目标数据-原始_20240906112440A040.txt\",\"updateTime\":\"2024-09-06 11:32:01\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-06 03:32:01',17),
(123,'发动机型号',1,'com.meas.system.controller.MeasEngineModelController.add()','POST',1,'admin','研发部门','/meas/engineModel','127.0.0.1','内网IP','{\"createTime\":\"2024-09-09 15:22:35\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":7,\"model\":\"发动机A\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-09 07:22:35',56),
(124,'测量批次',1,'com.meas.system.controller.MeasBatchController.add()','POST',1,'admin','研发部门','/meas/measBatch','127.0.0.1','内网IP','{\"createTime\":\"2024-09-09 15:23:45\",\"engineId\":7,\"id\":9,\"measurementBatch\":\"123-发动机A\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-09 07:23:46',26),
(125,'状态',1,'com.meas.system.controller.MeasStatusController.add()','POST',1,'admin','研发部门','/meas/status','127.0.0.1','内网IP','{\"createTime\":\"2024-09-09 15:24:56\",\"id\":6,\"index\":-1,\"params\":{},\"status\":\"状态测试\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-09 07:24:56',21),
(126,'测量环境数据',1,'com.meas.system.controller.MeasEnvDataController.add()','POST',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:24\",\"engineModel\":\"7\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":100,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:24\",\"engineModel\":\"7\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":100,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"windSpeed\":100}}',0,NULL,'2024-09-09 07:27:24',43),
(127,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":100,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-09-09 15:35:39\",\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-09 07:35:39',42),
(128,'光谱辐射',1,'com.meas.system.controller.MeasSpectralRadiationController.add()','POST',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"createTime\":\"2024-09-09 15:35:39\",\"gain\":10,\"id\":3,\"lensFView\":10,\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"createTime\":\"2024-09-09 15:35:39\",\"gain\":10,\"id\":3,\"lensFView\":10,\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\"}}',0,NULL,'2024-09-09 07:35:39',128),
(129,'透过率',1,'com.meas.system.controller.MeasTransmissionRateController.add()','POST',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"createTime\":\"2024-09-09 15:35:39\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"id\":4,\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/09/09/222_20240909153501A015.txt\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-09-09 15:35:39\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"id\":4,\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/09/09/222_20240909153501A015.txt\"}}',0,NULL,'2024-09-09 07:35:39',133),
(130,'热像仪测试数据',1,'com.meas.system.controller.MeasThermalImagerTestDataController.add()','POST',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"createTime\":\"2024-09-09 15:35:39\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt\",\"radTemp\":\"/profile/upload/2024/09/09/11_20240909153422A014.txt\",\"radiance\":\"/profile/upload/2024/09/09/热像仪-辐射亮度_20240909153257A012.txt\",\"spectralBand\":\"1000000000000\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"createTime\":\"2024-09-09 15:35:39\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt\",\"radTemp\":\"/profile/upload/2024/09/09/11_20240909153422A014.txt\",\"radiance\":\"/profile/upload/2024/09/09/热像仪-辐射亮度_20240909153257A012.txt\",\"spectralBand\":\"1000000000000\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\"}}',0,NULL,'2024-09-09 07:35:39',129),
(131,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":100,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-09-09 16:23:23\",\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-09 08:23:23',14),
(132,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"updateTime\":\"2024-09-09 16:23:23\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-09 08:23:23',12),
(133,'透过率',2,'com.meas.system.controller.MeasTransmissionRateController.edit()','PUT',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/09/09/222_20240909153501A015.txt\",\"updateTime\":\"2024-09-09 16:23:23\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-09 08:23:23',16),
(134,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt\",\"radTemp\":\"/profile/upload/2024/09/09/11_20240909153422A014.txt\",\"radiance\":\"/profile/upload/2024/09/09/热像仪-辐射亮度_20240909153257A012.txt\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-09-09 16:23:23\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-09-09 08:23:23',16),
(135,'测量批次',1,'com.meas.system.controller.MeasBatchController.add()','POST',1,'admin','研发部门','/meas/measBatch','127.0.0.1','内网IP','{\"createTime\":\"2024-10-29 15:05:37\",\"engineId\":5,\"id\":10,\"measurementBatch\":\"20241029150535-发动\",\"params\":{}}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-29 07:05:38',376),
(136,'测量环境数据',1,'com.meas.system.controller.MeasEnvDataController.add()','POST',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-10-29 15:08:19\",\"engineModel\":\"5\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"id\":8,\"location\":\"1\",\"measurementBatchId\":10,\"params\":{},\"testDistance\":1,\"time\":\"2024-10-29 15:08\"}','{\"msg\":\"操作成功\",\"code\":200,\"data\":{\"angle\":\"-180\",\"createTime\":\"2024-10-29 15:08:19\",\"engineModel\":\"5\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/08/21/x_t_20240821154006A001.x_t\",\"geometryImage\":\"/profile/upload/2024/08/21/j20_20240821154015A002.jpg\",\"id\":8,\"location\":\"1\",\"measurementBatchId\":10,\"params\":{},\"testDistance\":1,\"time\":\"2024-10-29 15:08\"}}',0,NULL,'2024-10-29 07:08:19',54),
(137,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-30 17:30:46\",\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:30:46',32),
(138,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"updateTime\":\"2024-10-30 17:30:46\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:30:46',22),
(139,'透过率',2,'com.meas.system.controller.MeasTransmissionRateController.edit()','PUT',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/09/09/222_20240909153501A015.txt\",\"updateTime\":\"2024-10-30 17:30:46\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:30:46',14),
(140,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt\",\"radTemp\":\"/profile/upload/2024/09/09/11_20240909153422A014.txt\",\"radiance\":\"/profile/upload/2024/09/09/热像仪-辐射亮度_20240909153257A012.txt\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-10-30 17:30:46\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:30:46',20),
(141,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-30 17:38:50\",\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:38:50',15),
(142,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"updateTime\":\"2024-10-30 17:38:50\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:38:50',14),
(143,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt\",\"radTemp\":\"/profile/upload/2024/09/09/11_20240909153422A014.txt\",\"radiance\":\"/profile/upload/2024/09/09/热像仪-辐射亮度_20240909153257A012.txt\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-10-30 17:38:50\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:38:50',11),
(144,'透过率',2,'com.meas.system.controller.MeasTransmissionRateController.edit()','PUT',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/09/09/222_20240909153501A015.txt\",\"updateTime\":\"2024-10-30 17:38:50\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:38:50',8),
(145,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-30 17:53:19\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:53:19',30),
(146,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt\",\"radTemp\":\"/profile/upload/2024/09/09/11_20240909153422A014.txt\",\"radiance\":\"/profile/upload/2024/09/09/热像仪-辐射亮度_20240909153257A012.txt\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-10-30 17:53:19\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:53:19',15),
(147,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"updateTime\":\"2024-10-30 17:53:19\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:53:19',16),
(148,'透过率',2,'com.meas.system.controller.MeasTransmissionRateController.edit()','PUT',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/09/09/222_20240909153501A015.txt\",\"updateTime\":\"2024-10-30 17:53:19\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-30 17:53:19',15),
(149,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-31 09:57:18\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 09:57:19',17),
(150,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt,/profile/upload/2024/10/31/aa_20241031095657A002.txt\",\"updateTime\":\"2024-10-31 09:57:19\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 09:57:19',8),
(151,'代码生成',2,'com.meas.generator.controller.GenController.synchDb()','GET',1,'admin','研发部门','/tool/gen/synchDb/meas_spectral_radiation','127.0.0.1','内网IP','{}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 10:42:15',219),
(152,'代码生成',2,'com.meas.generator.controller.GenController.editSave()','PUT',1,'admin','研发部门','/tool/gen','127.0.0.1','内网IP','{\"businessName\":\"radiation\",\"className\":\"MeasSpectralRadiation\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"编号\",\"columnId\":43,\"columnName\":\"id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-06-13 03:41:03\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"updateTime\":\"2024-10-31 10:42:15\",\"usableColumn\":false},{\"capJavaField\":\"MeasurementBatchId\",\"columnComment\":\"测量批次id\",\"columnId\":44,\"columnName\":\"measurement_batch_id\",\"columnType\":\"int(11)\",\"createBy\":\"admin\",\"createTime\":\"2024-06-13 03:41:03\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"measurementBatchId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"updateTime\":\"2024-10-31 10:42:15\",\"usableColumn\":false},{\"capJavaField\":\"Model\",\"columnComment\":\"型号\",\"columnId\":45,\"columnName\":\"model\",\"columnType\":\"varchar(50)\",\"createBy\":\"admin\",\"createTime\":\"2024-06-13 03:41:03\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"model\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"updateTime\":\"2024-10-31 10:42:15\",\"usableColumn\":false},{\"capJavaField\":\"LensFView\",\"columnComment\":\"镜头视场角\",\"columnId\":46,\"columnName\":\"lens_f_view\",\"columnType\":\"decimal(8,2)\",\"createBy\":\"admin\",\"createTime\":\"2024-06-13 03:41:03\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"i','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 10:48:11',122),
(153,'代码生成',2,'com.meas.generator.controller.GenController.synchDb()','GET',1,'admin','研发部门','/tool/gen/synchDb/meas_spectral_radiation','127.0.0.1','内网IP','{}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 10:48:18',125),
(154,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/09/09/光谱辐射测量数据-标定曲线3-5_20240909152817A005.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"updateTime\":\"2024-10-31 11:14:50\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 11:14:51',27),
(155,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-31 11:14:50\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 11:14:51',27),
(156,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-31 11:28:55\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 11:28:55',7),
(157,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/10/31/标定曲线3-5_20241031112854A005.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"calTempEk\":\"/profile/upload/2024/10/31/背景数据_20241031112846A004.lgm\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"updateTime\":\"2024-10-31 11:28:56\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 11:28:56',7),
(158,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-31 11:29:12\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 11:29:12',12),
(159,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/10/31/标定曲线3-5_20241031112854A005.txt,/profile/upload/2024/10/31/标定曲线8-14_20241031112909A006.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"calTempEk\":\"/profile/upload/2024/10/31/背景数据_20241031112846A004.lgm\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"updateTime\":\"2024-10-31 11:29:12\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 11:29:12',11),
(160,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/10/31/标定曲线3-5_20241031112854A005.txt,/profile/upload/2024/10/31/标定曲线8-14_20241031112909A006.txt\",\"calTempEk\":\"/profile/upload/2024/10/31/背景数据_20241031112846A004.lgm\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"tackleTarget1\":\"/profile/upload/2024/10/31/光谱辐射计3~5μm波段的标定系数_20241031142701A007.txt\",\"updateTime\":\"2024-10-31 14:27:46\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 14:27:46',10),
(161,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-31 14:27:46\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 14:27:46',9),
(162,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/10/31/标定曲线3-5_20241031112854A005.txt,/profile/upload/2024/10/31/标定曲线8-14_20241031112909A006.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/222_20240909152901A006.txt\\\"},{\\\"temp\\\":20,\\\"calTempFile\\\":\\\"/profile/upload/2024/09/09/11_20240909152919A007.txt\\\"}]\",\"calTempEk\":\"/profile/upload/2024/10/31/背景数据_20241031112846A004.lgm\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"rawTarget1\":\"/profile/upload/2024/10/31/背景数据_20241031142841A008.lgm,/profile/upload/2024/10/31/背景数据_20241031142846A009.lgm\",\"tackleTarget1\":\"/profile/upload/2024/10/31/光谱辐射计3~5μm波段的标定系数_20241031142701A007.txt\",\"updateTime\":\"2024-10-31 14:28:51\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 14:28:51',5),
(163,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-31 14:28:51\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 14:28:51',7),
(164,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-31 14:33:04\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 14:33:04',7),
(165,'透过率',2,'com.meas.system.controller.MeasTransmissionRateController.edit()','PUT',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/10/31/透过率原始数据测试_20241031143233A010.xls\",\"updateTime\":\"2024-10-31 14:33:04\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 14:33:04',12),
(166,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-31 14:35:42\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 14:35:42',9),
(167,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt\",\"radTemp\":\"/profile/upload/2024/10/31/热像仪-辐射温度_20241031143504A011.txt\",\"radiance\":\"/profile/upload/2024/10/31/热像仪-辐射亮度_20241031143522A012.txt\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-10-31 14:35:42\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 14:35:42',15),
(168,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/09/09/热像仪-辐射温度？？_20240909153301A013.txt\",\"radTemp\":\"/profile/upload/2024/10/31/热像仪-辐射温度_20241031143504A011.txt\",\"radiance\":\"/profile/upload/2024/10/31/热像仪-辐射亮度_20241031150332A015.txt\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-10-31 15:03:34\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 15:03:34',10),
(169,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-10-31 15:03:34\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-10-31 15:03:34',17),
(170,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"angleId\":2,\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"engineStatusId\":6,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-11-05 15:15:50\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 15:15:50',22),
(171,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/11/05/热像仪-辐射亮度_20241105151548A002.zip\",\"radTemp\":\"/profile/upload/2024/10/31/热像仪-辐射温度_20241031143504A011.txt\",\"radiance\":\"/profile/upload/2024/10/31/热像仪-辐射亮度_20241031150332A015.txt\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-11-05 15:15:50\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 15:15:50',21),
(172,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"angleId\":2,\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"engineStatusId\":6,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-11-05 15:25:07\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 15:25:07',12),
(173,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/11/05/热像仪-辐射亮度_20241105151548A002.zip\",\"radTemp\":\"/profile/upload/2024/11/05/1_20241105152340A003.txt\",\"radiance\":\"/profile/upload/2024/10/31/热像仪-辐射亮度_20241031150332A015.txt\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-11-05 15:25:07\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 15:25:07',6),
(174,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"angleId\":2,\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"engineStatusId\":6,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-11-05 17:24:28\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 17:24:28',8),
(175,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/11/05/热像仪-辐射亮度_20241105151548A002.zip\",\"radTemp\":\"/profile/upload/2024/11/05/1_20241105152340A003.txt\",\"radiance\":\"/profile/upload/2024/10/31/热像仪-辐射亮度_20241031150332A015.txt\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-11-05 17:24:28\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 17:24:28',8),
(176,'透过率',2,'com.meas.system.controller.MeasTransmissionRateController.edit()','PUT',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/10/31/透过率原始数据测试_20241031143233A010.xls\",\"updateTime\":\"2024-11-05 17:24:28\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 17:24:28',16),
(177,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/10/31/标定曲线3-5_20241031112854A005.txt,/profile/upload/2024/10/31/标定曲线8-14_20241031112909A006.txt\",\"calTemp\":\"[{\\\"temp\\\":10,\\\"calTempFile\\\":null},{\\\"temp\\\":10,\\\"calTempFile\\\":\\\"/profile/upload/2024/11/05/标定曲线3-5_20241105172124A004.txt\\\"}]\",\"calTempEk\":\"/profile/upload/2024/10/31/背景数据_20241031112846A004.lgm\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"rawTarget1\":\"/profile/upload/2024/10/31/背景数据_20241031142841A008.lgm,/profile/upload/2024/10/31/背景数据_20241031142846A009.lgm\",\"tackleTarget1\":\"/profile/upload/2024/10/31/光谱辐射计3~5μm波段的标定系数_20241031142701A007.txt\",\"updateTime\":\"2024-11-05 17:24:28\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 17:24:28',21),
(178,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/11/05/辐射照度_20241105172616A006.zip\",\"radTemp\":\"/profile/upload/2024/11/05/辐射温度_20241105172621A007.zip\",\"radiance\":\"/profile/upload/2024/11/05/辐射亮度_20241105172610A005.zip\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-11-05 17:26:24\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 17:26:24',7),
(179,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"angleId\":2,\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"engineStatusId\":6,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-11-05 17:26:24\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 17:26:24',9),
(180,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"angleId\":2,\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"engineStatusId\":6,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-11-05 17:36:20\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 17:36:20',6),
(181,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/11/05/辐射照度_20241105172616A006.zip\",\"radTemp\":\"/profile/upload/2024/11/05/辐射温度_20241105172621A007.zip\",\"radiance\":\"/profile/upload/2024/11/05/辐射亮度_20241105172610A005.zip\",\"spectralBand\":\"8~12\",\"tempCal\":\"/profile/upload/2024/09/09/标定温度_20240909153252A011.txt\",\"updateTime\":\"2024-11-05 17:36:20\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 17:36:20',6),
(182,'光谱辐射',2,'com.meas.system.controller.MeasSpectralRadiationController.edit()','PUT',1,'admin','研发部门','/meas/radiation','127.0.0.1','内网IP','{\"angle\":\"-180\",\"backgroundData\":\"/profile/upload/2024/09/09/lgm_20240909152808A004.lgm\",\"calCurve\":\"/profile/upload/2024/10/31/标定曲线3-5_20241031112854A005.txt,/profile/upload/2024/10/31/标定曲线8-14_20241031112909A006.txt,/profile/upload/2024/11/05/1_20241105173555A008.txt\",\"calTempEk\":\"/profile/upload/2024/10/31/背景数据_20241031112846A004.lgm\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"gain\":10,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":3,\"lensFView\":10,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"型号ABC\",\"params\":{},\"radiance1\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度3-5_20240909153030A009.txt\",\"radiance2\":\"/profile/upload/2024/09/09/光谱辐射测量数据-辐射亮度8-14_20240909153035A010.txt\",\"rawData\":\"/profile/upload/2024/09/09/11_20240909153025A008.txt\",\"rawTarget1\":\"/profile/upload/2024/10/31/背景数据_20241031142841A008.lgm,/profile/upload/2024/10/31/背景数据_20241031142846A009.lgm\",\"tackleTarget1\":\"/profile/upload/2024/10/31/光谱辐射计3~5μm波段的标定系数_20241031142701A007.txt\",\"updateTime\":\"2024-11-05 17:36:20\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 17:36:20',8),
(183,'透过率',2,'com.meas.system.controller.MeasTransmissionRateController.edit()','PUT',1,'admin','研发部门','/meas/transmissionRate','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"curve1\":\"/profile/upload/2024/09/09/透过率-透过率曲线3-5？？_20240909153507A016.txt\",\"curve2\":\"/profile/upload/2024/09/09/透过率-透过率曲线8-14？？_20240909153511A017.txt\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"params\":{},\"rawData\":\"/profile/upload/2024/10/31/透过率原始数据测试_20241031143233A010.xls\",\"updateTime\":\"2024-11-05 17:36:20\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 17:36:20',4),
(184,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"angleId\":2,\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"engineStatusId\":6,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-11-05 18:51:00\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 18:51:00',11),
(185,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/11/05/辐射照度_20241105172616A006.zip\",\"radTemp\":\"/profile/upload/2024/11/05/辐射温度_20241105172621A007.zip\",\"radiance\":\"/profile/upload/2024/11/05/辐射亮度_20241105172610A005.zip\",\"spectralBand\":\"8~12\",\"tempCal\":\"[{\\\"temp\\\":10,\\\"tempCalFile\\\":\\\"/profile/upload/2024/11/05/温度标定_20241105185034A010.txt\\\"},{\\\"temp\\\":20,\\\"tempCalFile\\\":\\\"/profile/upload/2024/11/05/温度标定_20241105185046A011.txt\\\"}]\",\"updateTime\":\"2024-11-05 18:51:01\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-05 18:51:01',6),
(186,'测量环境数据',2,'com.meas.system.controller.MeasEnvDataController.edit()','PUT',1,'admin','研发部门','/meas/envData','127.0.0.1','内网IP','{\"angle\":\"-180\",\"angleId\":2,\"atmosPress\":100,\"concentration\":100,\"createTime\":\"2024-09-09 15:27:25\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"engineStatusId\":6,\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"humidity\":99,\"id\":7,\"location\":\"西安xxx\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":9,\"params\":{},\"temperature\":250,\"testDistance\":101,\"time\":\"2024-09-03 00:02\",\"turbinePostTemp\":\"/profile/upload/2024/09/09/11_20240909152544A003.txt\",\"updateTime\":\"2024-11-06 11:22:18\",\"visibility\":10,\"windSpeed\":100}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-06 11:22:18',24),
(187,'热像仪测试数据',2,'com.meas.system.controller.MeasThermalImagerTestDataController.edit()','PUT',1,'admin','研发部门','/meas/thermalImagerTesDdata','127.0.0.1','内网IP','{\"angle\":\"-180\",\"createTime\":\"2024-09-09 15:35:40\",\"engineModel\":\"发动机A\",\"engineStatus\":\"状态测试\",\"filterNo\":\"编号123fes\",\"fps\":\"100000000\",\"geometryFiles\":\"/profile/upload/2024/09/09/几何模型_20240909152221A001.x_t\",\"geometryImage\":\"/profile/upload/2024/09/09/background_20240909152231A002.jpg\",\"id\":4,\"integrationTime\":100,\"lensFView\":\"100\",\"measurementBatch\":\"123-发动机A\",\"measurementBatchId\":7,\"model\":\"xinghao123\",\"params\":{},\"radIllumination\":\"/profile/upload/2024/11/05/辐射亮度_20241105172610A005.zip\",\"radTemp\":\"/profile/upload/2024/11/05/辐射温度_20241105172621A007.zip\",\"radiance\":\"/profile/upload/2024/11/06/热像仪-辐射亮度(1)_20241106112216A004.zip\",\"spectralBand\":\"8~12\",\"tempCal\":\"[{\\\"temp\\\":10,\\\"tempCalFile\\\":\\\"/profile/upload/2024/11/05/温度标定_20241105185034A010.txt\\\"},{\\\"temp\\\":20,\\\"tempCalFile\\\":\\\"/profile/upload/2024/11/05/温度标定_20241105185046A011.txt\\\"}]\",\"updateTime\":\"2024-11-06 11:22:18\"}','{\"msg\":\"操作成功\",\"code\":200}',0,NULL,'2024-11-06 11:22:18',19);

/*Table structure for table `sys_post` */

DROP TABLE IF EXISTS `sys_post`;

CREATE TABLE `sys_post` (
  `post_id` bigint NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='岗位信息表';

/*Data for the table `sys_post` */

insert  into `sys_post`(`post_id`,`post_code`,`post_name`,`post_sort`,`status`,`create_by`,`create_time`,`update_by`,`update_time`,`remark`) values 
(1,'ceo','董事长',1,'0','admin','2024-06-13 03:27:02','',NULL,''),
(2,'se','项目经理',2,'0','admin','2024-06-13 03:27:02','',NULL,''),
(3,'hr','人力资源',3,'0','admin','2024-06-13 03:27:02','',NULL,''),
(4,'user','普通员工',4,'0','admin','2024-06-13 03:27:02','',NULL,'');

/*Table structure for table `sys_role` */

DROP TABLE IF EXISTS `sys_role`;

CREATE TABLE `sys_role` (
  `role_id` bigint NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) DEFAULT '1' COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) DEFAULT '1' COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='角色信息表';

/*Data for the table `sys_role` */

insert  into `sys_role`(`role_id`,`role_name`,`role_key`,`role_sort`,`data_scope`,`menu_check_strictly`,`dept_check_strictly`,`status`,`del_flag`,`create_by`,`create_time`,`update_by`,`update_time`,`remark`) values 
(1,'超级管理员','admin',1,'1',1,1,'0','0','admin','2024-06-13 03:27:02','',NULL,'超级管理员'),
(2,'普通角色','common',2,'2',1,1,'0','0','admin','2024-06-13 03:27:02','admin','2024-07-24 06:29:50','普通角色');

/*Table structure for table `sys_role_dept` */

DROP TABLE IF EXISTS `sys_role_dept`;

CREATE TABLE `sys_role_dept` (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `dept_id` bigint NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`,`dept_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='角色和部门关联表';

/*Data for the table `sys_role_dept` */

insert  into `sys_role_dept`(`role_id`,`dept_id`) values 
(2,100),
(2,101),
(2,105);

/*Table structure for table `sys_role_menu` */

DROP TABLE IF EXISTS `sys_role_menu`;

CREATE TABLE `sys_role_menu` (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`,`menu_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='角色和菜单关联表';

/*Data for the table `sys_role_menu` */

insert  into `sys_role_menu`(`role_id`,`menu_id`) values 
(2,1),
(2,2),
(2,3),
(2,100),
(2,101),
(2,102),
(2,103),
(2,104),
(2,105),
(2,106),
(2,107),
(2,108),
(2,109),
(2,110),
(2,111),
(2,112),
(2,113),
(2,114),
(2,115),
(2,116),
(2,117),
(2,500),
(2,501),
(2,1000),
(2,1001),
(2,1002),
(2,1003),
(2,1004),
(2,1005),
(2,1006),
(2,1007),
(2,1008),
(2,1009),
(2,1010),
(2,1011),
(2,1012),
(2,1013),
(2,1014),
(2,1015),
(2,1016),
(2,1017),
(2,1018),
(2,1019),
(2,1020),
(2,1021),
(2,1022),
(2,1023),
(2,1024),
(2,1025),
(2,1026),
(2,1027),
(2,1028),
(2,1029),
(2,1030),
(2,1031),
(2,1032),
(2,1033),
(2,1034),
(2,1035),
(2,1036),
(2,1037),
(2,1038),
(2,1039),
(2,1040),
(2,1041),
(2,1042),
(2,1043),
(2,1044),
(2,1045),
(2,1046),
(2,1047),
(2,1048),
(2,1049),
(2,1050),
(2,1051),
(2,1052),
(2,1053),
(2,1054),
(2,1055),
(2,1056),
(2,1057),
(2,1058),
(2,1059),
(2,1060);

/*Table structure for table `sys_user` */

DROP TABLE IF EXISTS `sys_user`;

CREATE TABLE `sys_user` (
  `user_id` bigint NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='用户信息表';

/*Data for the table `sys_user` */

insert  into `sys_user`(`user_id`,`dept_id`,`user_name`,`nick_name`,`user_type`,`email`,`phonenumber`,`sex`,`avatar`,`password`,`status`,`del_flag`,`login_ip`,`login_date`,`create_by`,`create_time`,`update_by`,`update_time`,`remark`) values 
(1,103,'admin','若依','00','ry@163.com','15888888888','1','','$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2','0','0','127.0.0.1','2024-11-06 15:22:47','admin','2024-06-13 03:27:02','','2024-11-06 15:22:46','管理员'),
(2,105,'ry','若依','00','ry@qq.com','15666666666','1','','$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2','0','0','127.0.0.1','2024-06-13 03:27:02','admin','2024-06-13 03:27:02','',NULL,'测试员');

/*Table structure for table `sys_user_post` */

DROP TABLE IF EXISTS `sys_user_post`;

CREATE TABLE `sys_user_post` (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `post_id` bigint NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`,`post_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='用户与岗位关联表';

/*Data for the table `sys_user_post` */

insert  into `sys_user_post`(`user_id`,`post_id`) values 
(1,1),
(2,2);

/*Table structure for table `sys_user_role` */

DROP TABLE IF EXISTS `sys_user_role`;

CREATE TABLE `sys_user_role` (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`,`role_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='用户和角色关联表';

/*Data for the table `sys_user_role` */

insert  into `sys_user_role`(`user_id`,`role_id`) values 
(1,1),
(2,2);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
